Version 49.1
------------

* Fix frequent crashes when with gdk-pixbuf 2.44

Bug fixes and improvements:

 !149, Add image/avif to the MimeType list in the .desktop (Link Mauve)
 !162, appdata: Add missing developer name (Sabri Ünal)
 !167, Set prgname to application ID (Balló György)
 !168, data: Rename appdata to metainfo and use rDNS app id (AsciiWolf)
 !169, metadata: Hide unreachable help URL (Sabri Ünal)
 !170, desktop: Add more keywords (Sabri Ünal)
 !171, content type to mime type conversion (mugiseyebrows, Christoph Reiter)
 #324, Official website has been retired (Andre Klapper)
 #330, org.gnome.eog.desktop should list image/heic as MimeType (Felix Riemann)
 #334, Segfault SIGSEGV when switching images (Felix Riemann)

New and updated translations:

- Alexander Shopov [bg]
- Daniel Rusek [cs]
- Jiri Grönroos [fi]
- Yosef Or Boczko [he]
- Balázs Úr [hu]
- Ekaterine Papava [ka]
- Aurimas Černius [lt]
- Piotr Drąg [pl]
- Juliano de Souza Camargo [pt_BR]
- Ser82-png [ru]
- Martin Srebotnjak [sl]
- Мирослав Николић [sr]
- Anders Jonsson [sv]
- Theppitak Karoonboonyanan [th]
- Emin Tufan Çetin [tr]
- Yuri Chornoivan [uk]
- lumingzh [zh_CN]

New and updated manual translations

- Balázs Úr [hu]
- Piotr Drąg [pl]
- Ser82-png [ru]
- Anders Jonsson [sv]
- Sabri Ünal [tr]
- Yuri Chornoivan [uk]

Version 47.0
------------

Bug fixes and improvements:

 !166, Fix icon name (Balló György)

New and updated translations:

- Jhonata Fernandes [pt_BR]

Version 47.beta
---------------

Bug fixes and improvements:

 !163, desktop: Add jpeg-xl to MimeType list (Jeremy Bícha)
 !164, EogWindow: Raise priority of image loading and transformation jobs
       (Felix Riemann)
 !165, EogMetadataDetails: Support copying metadata values to
       the clipboard (Felix Riemann)

Version 45.4
------------

Bug fixes and improvements:

 !151, Regenerate thumbnails on save (Roberto Vidal, Felix Riemann)
 !161, Use "fast" content type as fallback if normal content type
       is unavailable (Felix Riemann)
 * docs: Replace dead links to developer-old.gnome.org (Andre Klapper)

New and updated translations:

- Jean-Marc Tissières [fr]
- Scrambled777 [hi]
- Sabri Ünal [tr]

Version 45.3
------------

New and updated translations:

- Daniel Mustieles [es]
- Sveinn í Felli [is]
- Aurimas Černius [lt]
- Rūdolfs Mazurs [lv]
- Martin Srebotnjak [sl]
- Cheng-Chia Tseng [zh_TW]

New and updated manual translations

- Juliano de Souza Camargo [pt_BR]
- Sabri Ünal [tr]

Version 45.2
------------

Bug fixes and improvements:

 !158, data: Update appdata (Sabri Ünal)

New and updated translations:

- Jürgen Benvenuti [de]
- Jiri Grönroos [fi]
- Daniel Șerbănescu, Florentina Mușat [ro]
- Dušan Kazik [sk]

Version 45.1
------------

Bug fixes and improvements:

 #300, Statusbar image position incorrect (Felix Riemann)

New and updated translations:

- Sabri Ünal [tr]

New and updated manual translations

- Balázs Úr [hu]
- Ser82-png [ru]

Version 45.0
------------

Bug fixes and improvements:

 * help: Replace dead IRC links (Andre Klapper)

New and updated translations:

- Yuras Shumovich [be]
- Nathan Follens [nl]

New and updated manual translations

- Piotr Drąg [pl]
- Anders Jonsson [sv]
- Yuri Chornoivan [uk]

Version 45.rc
-------------

New and updated translations:

- maite guix [ca]
- Daniel Rusek [cs]
- Asier Sarasua Garmendia [eu]
- Fran Diéguez [gl]
- Kukuh Syafaat [id]
- Baurzhan Muftakhidinov [kk]
- Piotr Drąg [pl]
- Anders Jonsson [sv]
- Sabri Ünal [tr]
- Nanling [zh_CN]

New and updated manual translations

- Piotr Drąg [pl]
- Anders Jonsson [sv]
- Sabri Ünal [tr]

Version 45.alpha
----------------

Bug fixes and improvements:

 !157, Rename Image Viewer -> Eye of GNOME (Michael Catanzaro)

New and updated translations:

- Danial Behzadi [fa]
- Yosef Or Boczko [he]
- Balázs Úr [hu]
- Ekaterine Papava [ka]
- Hugo Carvalho [pt]
- Ser82-png [ru]
- Yuri Chornoivan [uk]

New and updated manual translations

- Balázs Úr [hu]
- Ser82-png [ru]
- Yuri Chornoivan [uk]

Version 44.3
------------

Bug fixes and improvements:

 #294, EOG gets stuck in infinite while loop if animation loops a
       finite number of times (Felix Riemann)
 Note: The minimum glib version is raised to 2.73.2 since !153 depends on it!
       This was not noticed in 44.2.

New and updated translations:

- Bruce Cowan [en_GB]
- Sveinn í Felli [is]
- Leônidas Araújo [pt_BR]

Version 44.2
------------

Bug fixes and improvements:

 !153, EogWindow: Fix refcount and signal handler issues around
                  GSettings handles (Felix Riemann)
 !154, Replace filename with basename (Khem Raj)

New and updated translations:

- Gianvito Cavasoli [it]
- Sabri Ünal [tr]

Version 44.1
------------

Bug fixes and improvements:

 !150, EogImage: ref priv->anim to avoid double free issues (Alberto Ruiz)
 !152, EogImage: Do not leak animation iter (Felix Riemann)
 #288, segfault when switching between animated webp images (Felix Riemann)

New and updated translations:

- Alexander Shopov [bg]
- Rūdolfs Mazurs [lv]
- Nathan Follens [nl]
- Sabri Ünal [tr]
- Trần Ngọc Quân [vi]
- Nanling [zh_CN]

New and updated manual translations

- Andika Triwidada [id]

Version 44.0
------------

Bug fixes and improvements:

 * help: Switch mailing list URLs over to GNOME Discourse (Andre Klapper)

New and updated translations:

- Alexander Shopov [bg]
- Marek Černocký [cs]
- Ask Hjorth Larsen [da]
- Efstathios Iosifidis [el]
- Daniel Mustieles [es]
- Asier Sarasua Garmendia [eu]
- MohammadSaleh Kamyab [fa]
- Jiri Grönroos [fi]
- Irénée Thirion [fr]
- Balázs Úr [hu]
- Jeeyong Um [ko]
- Aurimas Černius [lt]
- Piotr Drąg [pl]
- Марко М. Костић [sr]
- Sabri Ünal [tr]

New and updated manual translations

- Alan Mortensen [da]
- Tim Sabsch [de]
- Irénée Thirion [fr]
- Balázs Úr [hu]
- Seong-ho Cho [ko]
- Piotr Drąg, Aviary.pl [pl]
- Ser82-png [ru]
- Anders Jonsson [sv]
- Sabri Ünal [tr]
- Yuri Chornoivan [uk]

Version 44.beta
----------------

Bug fixes and improvements:

 !148, Remove all codes inside #if 0 (Krifa75)

New and updated translations:

- Yuras Shumovich [be]
- Jürgen Benvenuti [de]
- Fabio Tomat [fur]
- Fran Diéguez [gl]
- Yosef Or Boczko [he]
- Kukuh Syafaat [id]
- Ekaterine Papava [ka]
- Quentin PAGÈS [oc]
- Hugo Carvalho [pt]
- Aleksandr Melman [ru]
- Dušan Kazik [sk]
- Martin Srebotnjak [sl]
- Anders Jonsson [sv]
- Sabri Ünal [tr]
- Yuri Chornoivan [uk]

Version 44.alpha
----------------

Bug fixes and improvements:

 !144, application: Add preferences shortcut (Sabri Ünal)
 !144, help-overlay: Use action-name properties (Sabri Ünal)
 !146, Drop eog_util_make_valid_utf8 (Krifa75)

Version 43.2
------------

Bug fixes and improvements:

 !142, Avoid critical warnings when saving images on exit (Felix Riemann)
 !143, Fix build on macOS (Weijia Wang)

New and updated translations:

- Нанба Наала [ab]
- Vasil Pupkin, Launchpad translators [be]
- OIS [ie]
- Aleksandr Melman [ru]

Version 43.1
------------

Bug fixes and improvements:

 !140, desktop: Remove obsolete Bugzilla entries (Jake Dane)
 !141, Add Swedish help images (Anders Jonsson)

New and updated translations:

- Нанба Наала [ab]
- Emin Tufan Çetin, Sabri Ünal [tr]

Version 43.0
-------------

New and updated translations:

- Pawan Chitrakar [ne]

New and updated manual translations

- Charles Monzat [fr]

Version 43.rc
-------------

New and updated translations:

- Нанба Наала [ab]
- Goran Vidović [hr]

Version 43.beta
---------------

Bug fixes and improvements:

 !128, Update eog-multiple-save-as-dialog.ui (Krifa75)
 !137, Update (or drop) the Docker image used by Flatpak job
       (Bartłomiej Piotrowski)
 !138, desktop: Add webp to MimeType list (Jeremy Bicha)

New and updated translations:

- Нанба Наала [ab]
- Emin Tufan Çetin [tr]

Version 43.alpha
----------------

Bug fixes and improvements:

 !135, Use G_DECLARE_INTERFACE in interface headers (Krifa75)
 !136, Replace include guards with #pragma once (Krifa75, Felix Riemann)
 #244, Window previews in shell overview are missing the title (Felix Riemann)

New and updated translations:

- Asier Sarasua Garmendia [eu]
- Gianvito Cavasoli [it]
- Temuri Doghonadze [ka]

New and updated manual translations

- Asier Sarasua Garmendia [eu]
- Emin Tufan Çetin, Sabri Ünal [tr]

Version 42.2
------------

New and updated translations:

- Christian Kirbach [de]
- Fabio Tomat [fur]

New and updated manual translations

- Ser82-png [ru]

Version 42.1
------------

Bug fixes and improvements:

 !133, Update for gnome-desktop thumbnail API changes (Michael Catanzaro)

New and updated translations:

- Sveinn í Felli [is]
- Rūdolfs Mazurs [lv]
- Nathan Follens [nl]
- Trần Ngọc Quân [vi]

Version 42.0
------------

Bug fixes and improvements:

 !124, appdata: Update screenshot (Sophie Herold)
 !129, Fix discovery of Evince for multi-page images (Krifa75)
 !130, EogWindow: Also set wallpaper as dark wallpaper (Felix Riemann)

New and updated translations:

- Alexander Shopov [bg]
- Ask Hjorth Larsen [da]
- Charles Monzat [fr]
- Balázs Úr [hu]
- sicklylife [ja]
- Baurzhan Muftakhidinov [kk]
- Jeeyong Um [ko]
- Kjartan Maraas [nb]
- Quentin PAGÈS [oc]
- Piotr Drąg [pl]
- Марко М. Костић [sr]
- lumingzh [zh_CN]

New and updated manual translations

- Miquel-Àngel Burgos i Fradeja, Jordi Mas [ca]

Version 42.rc
-------------

Bug fixes:

 !122, Replace gtk_window_set_title with hdy_header_bar_set_title (Krifa75)
 !126, Disable Presenter action if no images are loaded (Krifa75)

New and updated translations:

- maite guix [ca]
- Tim Sabsch, Philipp Kiemle [de]
- Daniel Mustieles García [es]
- Asier Sarasua Garmendia [eu]
- Danial Behzadi [fa]
- Jiri Grönroos [fi]
- Yosef Or Boczko [he]
- Goran Vidović [hr]
- Kukuh Syafaat [id]
- Aurimas Černius [lt]
- Hugo Carvalho [pt]
- Matheus Barbosa [pt_BR]
- Aleksandr Melman [ru]
- Dušan Kazik [sk]
- Matej Urbančič [sl]
- Luna Jernberg, Anders Jonsson [sv]
- Emin Tufan Çetin [tr]

New and updated manual translations

- Hugo Carvalho [pt]

Version 42.beta
---------------

Bug fixes and features:

 !76,  Use gtk_widget_queue_draw to display thumbnails faster (Krifa75)
 !105, Replace properties dialog (Peter Eisenmann)
 !118, Shortcuts: Update keyboard shortcuts (Jeremias Ortega)
 !119, eog-window: use correct type for display_profile (Zander Brown)
 !120, doc: migrate to gi-docgen (Iñigo Martínez)
 !121, Use libhandy for dark style preference and
       rounded window corners  (Christopher Davis)

New and updated translations:

- maite guix [ca]
- Marek Černocký [cs]
- Fran Dieguez [gl]
- Quentin PAGÈS [oc]
- Leônidas Araújo [pt_BR]
- Matej Urbančič [sl]
- Yuri Chornoivan [uk]

New and updated manual translations

- Jordi Mas [ca]
- Alan Mortensen [da]
- Henrique Roberto Gattermann Mittelstaedt [pt_BR]


Version 42.alpha
----------------

Bug fixes:

 !108, metainfo: Align app name with .desktop name (Sophie Herold)
 !111, build: Set of improvements for meson (Iñigo Martínez)
 !114, EogScrollView: Use overlay scrollbars (Jeremias Ortega)
 !115, Update libportal usage (Patrick Griffis)
 !116, make zoom entry more visually stable (Lukas K.)
 !117, eog-image: fix double-free of eog image status mutex (Antoine Jacoutot)

New and updated translations:

- Daniel Mustieles [es]
- Asier Sarasua Garmendia [eu]
- Fabio Tomat [fur]
- Yosef Or Boczko [he]
- Meskó Balázs [hu]
- Kukuh Syafaat [id]
- Sveinn í Felli [is]
- Quentin PAGÈS [oc]
- Hugo Carvalho [pt]
- Alexey Rubtsov [ru]
- Yuri Chornoivan [uk]
- lumingzh [zh_CN]

Version 41.1
------------

Bug fixes:

 !110, Accessibility: add proper mnemonic relations and labelling
       (Valentin Villenave)
 !113, Remove incorrect arg for i18n.merge_file (rvalue)
 #209, Saving image fails with GVFS SFTP backend (wvengen)

New and updated translations:

- rofiquzzaki rofiquzzaki, Kukuh Syafaat [id]
- Sveinn í Felli [is]

Version 41.0
------------

New and updated manual translations

- Tim Sabsch [de]
- Rodrigo Lledó, Daniel Mustieles [es]
- Asier Sarasua Garmendia [eu]
- Balázs Úr [hu]
- Seong-ho Cho [ko]
- Piotr Drąg [pl]

Version 41.rc
-------------

New and updated manual translations

- Marek Černocký [cs]
- Andika Triwidada [id]
- Seong-ho Cho [ko]
- Anders Jonsson [sv]

Version 41.beta
---------------

Bug fixes:

 !97,  Help: Make App icon a bit larger (Sabri Ünal)
 !102, Fix deprecated functions (Krifa75)
 !106, EogImage: Do not crash if content type or filesize cannot be
       detected (Felix Riemann)

New and updated translations:

- Alexander Shopov [bg]
- Quentin PAGÈS [oc]
- Alexey Rubtsov [ru]

New and updated manual translations

- Alexey Rubtsov [ru]
- Yuri Chornoivan [uk]

Version 40.2
------------

Bug fixes:

 !103, reload: Remove unused GtkActionGroup member (Krifa75)
 #195, Critical warning after closing EOG (invalid unclassed pointer;
       assertion 'EOG_IS_IMAGE (img)' failed) (Felix Riemann)

New and updated translations:

- Pawan Chitrakar [ne]
- Quentin PAGÈS [oc]

New and updated manual translations

- Daniel Mustieles [es]
- Andika Triwidada [id]

Version 40.1
------------

Bug fixes:

 !99   Fix warnings when dragging or receiving inputs on empty view (Krifa75)
 !100, Remove directories when unmount external drive (Krifa75)
 #189, Crash Report: eog_thumb_view_clear_range: assertion failed:
       (start_thumb <= end_thumb) (Andrew Consroe)

New and updated translations:

- Pawan Chitrakar [ne]

Version 40.0
------------

New and updated translations:

- Trần Ngọc Quân [vi]

New and updated manual translations

- Miquel-Àngel Burgos i Fradeja [ca]
- Piotr Drąg [pl]

Version 40.rc
-------------

Bug fixes:

 !91, docs: Remove shortcuts page (Sabri Ünal)
 !92, docs: Update EOG icon (Sabri Ünal)
 !93, docs: Update some outdated information (Sabri Ünal)
 !95, help: Preferences do not have a close button (Sabri Ünal)
 !96, help: Fix a sentence suggesting click on
            "Show other application" (Sabri Ünal)
 #146, Part of a large image (exceeding certain dimensions)
       does not display (Felix Riemann)
 #181, docs: Remove PicasaWeb support (Andre Klapper)

New and updated translations:

- scootergrisen [da]
- Fabio Tomat [fur]
- Fran Dieguez [gl]
- A S Alam [pa]
- Sabri Ünal, Emin Tufan Çetin [tr]

New and updated manual translations

- Marek Černocký [cs]
- scootergrisen [da]
- Mario Blättermann [de]
- Guillaume Bernard [fr]
- Balázs Úr [hu]
- Seong-ho Cho [ko]
- Anders Jonsson [sv]
- Yuri Chornoivan [uk]

Version 40.beta
---------------

Bug fixes:

 !83, Re-detect mimetype from data if loading fails the first time (Krifa75)
 !89, Update EogWindow and EogListStore when deleting
      a monitored directory (Krifa75)
 #169, Warning about overwriting GError when unlinking a directory
       while viewing (Felix Riemann)
 #172, Update appdata screenshot (Evi Kavrochorianou)

New and updated translations:

- Hugo Carvalho [pt]

Version 40.alpha
----------------

Bug fixes:

 !72, build: Centralize path absolutization (Jan Tojnar)
 !77, Refresh thumbnail when delete image from file manager (Krifa75)
 !78, Add G_FILE_MONITOR_EVENT_RENAMED monitor to update the view when
      only one image (Krifa75)
 !81, Free file_list if reopen in single-window (Krifa75)
 !84, Change Readme to Markdown (Claudius Ellsel)
 !85, Fix several image reference counting issues (Felix Riemann)
 !87, Change "<app>Gimp</app>" to "<app>GIMP</app>" (scootergrisen)
 !88, Change <app>image viewer</app> to <app>Image Viewer</app> (scootergrisen)
 #154, Assertion failed when rotate and save the same image multiple times
 #795112, Straighten out <app> and <gui> usage (Andre Klapper)

New and updated translations:

- Jordi Mas [ca]
- Yosef Or Boczko [he]
- Kjartan Maraas [nb]
- Hugo Carvalho [pt]
- Cheng-Chia Tseng [zh_TW]

New and updated manual translations

- Jordi Mas, Miquel-Àngel Burgos i Fradeja [ca]
- scootergrisen [da]
- Charles Monzat [fr]
- Andika Triwidada [id]
- Anders Jonsson [sv]
- Yuri Chornoivan [uk]

Version 3.38.0
--------------

New and updated translations:

- Alan Mortensen, Ask Hjorth Larsen [da]
- Efstathios Iosifidis [el]
- Meskó Balázs [hu]
- Gianvito Cavasoli [it]
- Jeeyong Um [ko]
- Rūdolfs Mazurs [lv]
- José Vieira, Juliano Camargo [pt]
- Emin Tufan Çetin [tr]

New and updated manual translations

- Miquel-Àngel Burgos i Fradeja [ca]

Version 3.37.92
---------------

New and updated translations:

- Marek Černocký [cs]
- Zander Brown [en_GB]
- Asier Sarasua Garmendia [eu]
- Danial Behzadi [fa]
- Jiri Grönroos [fi]
- Thibault Martin [fr]
- Fran Dieguez [gl]
- Goran Vidović [hr]
- sicklylife [ja]
- Nathan Follens [nl]
- Piotr Drąg [pl]
- Rafael Fontenelle [pt_BR]
- Dušan Kazik [sk]
- Matej Urbančič [sl]
- Марко М. Костић [sr]

New and updated manual translations

- Jordi Mas [ca]
- Marek Černocký [cs]
- Mario Blättermann [de]
- Bruce Cowan, Zander Brown [en_GB]
- Daniel Mustieles [es]
- Piotr Drąg [pl]

Version 3.37.90
---------------

Bug fixes:

 !66, build: Make libportal dependency optional (Felipe Borges)
 !68, help: change file to File (Monika Grabovska)
 !69, eog-window: Use view-restore symbolic icon (Diego Escalante Urrelo)
 !70, flatpak fixups (Jordan Petridis)
 !71, Make pressing Ctrl+Q close all windows (Martin van Zijl)
 #99, Use Wallpaper Portal for "Set as Wallpaper" when possible (Felipe Borges)
 #139, Should inhibit screensaver only in slideshow mode (Felix Riemann)

New and updated translations:

- Felix Riemann [de]
- Daniel Mustieles [es]
- Fabio Tomat [fur]
- Kukuh Syafaat [id]
- Baurzhan Muftakhidinov [kk]
- Aurimas Černius [lt]
- Anders Jonsson [sv]
- Emin Tufan Çetin [tr]
- Boyuan Yang [zh_CN]

New and updated manual translations

- Jordi Mas, Assumpta [ca]
- Anders Jonsson [sv]
- Yuri Chornoivan [uk]

Version 3.37.2
--------------

Bug fixes:

 !57, Made strings consistent in format-change.page (Prashant Rawat)
 !58, Make EoG usable on phones (Arnaud Ferraris)
 !60, Use Portals and GtkAppChooserDialog for the "Open With" choices
      (Felipe Borges)
 !61, EogThumbView: Fix visible range callback being queued to often
      (Felix Riemann)
 #113, String with zooming in and out might be incorrect (Andre Klapper)

New and updated translations:

- Gil Forcada [ca]
- Baurzhan Muftakhidinov [kk]
- Piotr Drąg [pl]
- Daniel Șerbănescu [ro]
- Yuri Chornoivan [uk]
- Boyuan Yang [zh_CN]
- Cheng-Chia Tseng [zh_TW]

New and updated manual translations

- Yuri Chornoivan [uk]

Version 3.37.1
--------------

Bug fixes:

 !48, Change "Back space" to "Backspace" (scootergrisen)
 !49, Change "Slide show" to "Slideshow" (scootergrisen)
 !56, Fix minor typos (Yuri Chornoivan)
 #115, "Use the keyboard keys" could explain which ones (Ali Hassan-Zahraee)

New and updated translations:

- Charles Monzat [fr]

New and updated manual translations

- Yuri Chornoivan [uk]

Version 3.36.2
--------------

Bug fixes:

 !50, help-overlay: Fix next/previous image shortcuts for RTL languages
 !51, appdata: Update to release 3.36.1 (Felipe Borges)
 !55, eog-application.c: Add new shortcut for zoom-normal action (Sabri Ünal)
 #121, Swipe left and swipe right action have the same description
       in Keyboard Shortcuts dialog (Felix Riemann)
 #124, eog 3.36 cannot open HEIF files via gdk-pixbuf loader (Felix Riemann)

New and updated translations:

- Jordi Mas [ca]
- Fabio Tomat [fur]
- Yosef Or Boczko [he]
- Matej Urbančič [sl]
- Yuri Chornoivan [uk]

New and updated manual translations

- Jordi Mas [ca]
- Yuri Chornoivan [uk]

Version 3.36.1
--------------

New and updated translations:

- Jwtiyar Nariman [ckb]
- Tim Sabsch [de]
- Kjartan Maraas [nb]
- Daniel Șerbănescu [ro]

New and updated manual translations

- Jordi Mas, Francesc Bassas i Bullich, Jaume Jorba,
  Jordi Sagues, Assumpta [ca]
- Charles Monzat [fr]
- Andika Triwidada [id]

Version 3.36.0
--------------

 * Corrected link to bug writing guide in help docs (Andre Klapper)

Bug fixes:

 !46, [BUG] Fix missing removable storage support in snap package (mindmatter)

New and updated translations:

- Andre Klapper [az]
- Andre Klapper [br]
- Gianvito Cavasoli [it]
- Jeeyong Um [ko]
- Nathan Follens [nl]
- Yuri Chornoivan [uk]

New and updated manual translations

- Marek Černocký [cs]
- Daniel Mustieles [es]
- Piotr Drąg [pl]
- Anders Jonsson [sv]

Version 3.35.92
---------------

New and updated translations:

- Jordi Mas [ca]
- Alan Mortensen [da]
- Jor Teron [mjw]
- Piotr Drąg [pl]
- pan93412, Chao-Hsiung Liao [zh_TW]

Version 3.35.91
---------------

New and updated translations:

- Marek Černocký [cs]
- Bruce Cowan [en_GB]
- Asier Sarasua Garmendia [eu]
- Danial Behzadi [fa]
- Jiri Grönroos [fi]
- Charles Monzat [fr]
- Fran Diéguez [gl]
- gogo [hr]
- Balázs Úr [hu]
- Kukuh Syafaat [id]
- sicklylife [ja]
- Aurimas Černius [lt]
- Rafael Fontenelle [pt_BR]
- Марко М. Костић [sr]
- Sabri Ünal [tr]

Version 3.35.3
--------------

Bug fixes:

 !36, EogPrintImageSetup: Rework spinbutton behaviour (Peter C. S. Scholtens)
 !38, Improve Keyboard Shortcuts (Sabri Ünal)
 !39, EogScrollView: Guard against attempting to create a surface using
      an invalid size (Michael Webster)
 !40, Remove outdated info from HACKING (Anton Leontiev)
 !41, App icon: minor updates for 3.36 (Tobias Bernard)
 !45, help: Add Danish screenshots (scootergrisen)

New and updated translations:

- Daniel Mustieles [es]
- abuyop [ms]
- Dušan Kazik [sk]
- Anders Jonsson [sv]

New and updated manual translations

- scootergrisen [da]
- Andika Triwidada [id]

Version 3.35.2
--------------

Bug fixes:

 !27, Various EogThumbView bugfixes (Krifa75)
 #66, Unfullscreen using F11 doesn't work if window is empty (Felix Riemann)
 #93, Pan gesture in RTL shows always next picture (Felix Riemann)
 #96, Publish nightly builds on nightly.gnome.org (Felix Riemann, Piotr Drąg)

New and updated translations:

- Jordi Mas [ca]
- Fran Diéguez [gl]
- Stas Solovey [ru]

New and updated manual translations

- Aleix Badia i Bosch [ca]
- Fran Diéguez [gl]

Version 3.35.1
--------------

Bug fixes:

 !26, Use librsvg's GInputStream functions (Federico Mena Quintero)
 !27, Various EogThumbView bugfixes (Krifa75)
 #81, Zoom with mouse wheel is really slow (Felix Riemann)

Version 3.34.1
--------------

Bug fixes:

 !25, Check errors after rsvg_handle_close() (Federico Mena Quintero)
 !32, icon: create a nightly app icon (Jakub Steiner)
 !33, EogApplication: Initialize debug before plugin engine (Anton Leontiev)

New and updated translations:

- Ask Hjorth Larsen [da]
- Gianvito Cavasoli [it]
- Ryuta Fujii [ja]

New and updated manual translations

- Jordi Mas [ca]
- Tim Sabsch [de]
- Rafael Fontenelle [pt_BR]

Version 3.34.0
--------------

New and updated translations:

- Danial Behzadi [fa]
- Ryuta Fujii [ja]
- Rūdolfs Mazurs [lv]
- Piotr Drąg [pl]

New and updated manual translations

- Ask Hjorth Larsen [da]
- Daniel Mustieles [es]
- Gabor Kelemen [hu]
- Piotr Drąg [pl]
- Sebastian Rasmussen [sv]

Version 3.33.91
---------------

New and updated translations:

- Marek Černocký [cs]
- Tim Sabsch [de]
- Claude Paroz [fr]
- Aurimas Černius [lt]
- Pawan Chitrakar [ne]

New and updated manual translations

- Pawan Chitrakar [ne]

Version 3.33.90
---------------

New and updated translations:

- Asier Sarasua Garmendia [eu]
- Jor Teron [mjw]
- Anders Jonsson [sv]

Version 3.33.3
--------------

Bug fixes

 !21, Improve meson port (Iñigo Martínez)
 !22, build: Use #ifdef consistently (Iñigo Martínez)

New and updated translations:

- Goran Vidović [hr]
- Sveinn í Felli [is]
- Nathan Follens [nl]

Version 3.33.2
--------------

Bug fixes

 #61, Unreasonable limitation of scaling in print dialog (Felix Riemann)

New and updated translations:

- Efstathios Iosifidis [el]
- Balázs Úr [hu]

New and updated manual translations

- Aleix Badia i Bosch [ca]

Version 3.33.1
--------------

 * Various help doc improvements (Andre Klapper)

Bug fixes:

 !20, Update librsvg and error checking (Federico Mena Quintero)
 #50, SIGSEGV in g_mutex_lock() (Felix Riemann)
 #51, PNG file displayed darker after conversion from JPEG file (F. Riemann)
 #54, Fullscreen has 3 buttons with exactly the same tooltip (Felix Riemann)
 #725359, only build and attach RGB color profiles to PNGs when both
          gAMA and cHRM are present (pdknsk)

New and updated translations:

- Khaled Hosny [ar]
- Jordi Mas [ca]
- Alan Mortensen [da]
- Charles Monzat [fr]
- gogo [hr]
- Kukuh Syafaat [id]
- Dušan Kazik [sk]
- Dingzhong Chen [zh_CN]

New and updated manual translations

- Marek Černocký [cs]
- Christian Kirbach [de]
- Balázs Úr [hu]
- Piotr Drąg [pl]

Version 3.32.0
--------------

New and updated translations:

- Kristjan SCHMIDT [eo]

New and updated manual translations

- Balázs Úr [hu]

Version 3.31.91
---------------

 * Improved help docs (Andre Klapper)

Bug fixes:

 !18, snap: Added snap packaging (Ken VanDine)
 !19, Remove uta.[ch] and the old drawing code (Federico Mena Quintero)

New and updated translations:

- Marek Černocký [cs]
- Alan Mortensen [da]
- Felix Riemann [de]
- Jiri Grönroos [fi]
- Charles Monzat [fr]
- Gianvito Cavasoli [it]
- Baurzhan Muftakhidinov [kk]
- Jeeyong Um [ko]
- Aurimas Černius [lt]
- Rūdolfs Mazurs [lv]
- Nathan Follens [nl]
- Piotr Drąg [pl]
- Rafael Fontenelle [pt_BR]
- Stas Solovey [ru]
- Марко М. Костић [sr]
- Trần Ngọc Quân [vi]
- pan93412 [zh_TW]

New and updated manual translations

- Piotr Drąg [pl]
- Anders Jonsson [sv]

Version 3.31.90
---------------

 * Improved wording in help docs (Andre Klapper)

Bug fixes:

 !16, EogScrollView: Set scale=1 for the image surface (Jan Alexander Steffens)

New and updated translations:

- Jordi Mas [ca]
- Fran Dieguez [gl]
- Balázs Úr [hu]
- Kukuh Syafaat [id]
- Shushi Kurose [ja]
- Florentina Mușat [ro]

New and updated manual translations

- Daniel Mustieles [es]
- Balázs Úr [hu]

Version 3.31.3
--------------

New and updated translations:

- Efstathios Iosifidis [el]
- Daniel Mustieles [es]
- Fabio Tomat [fur]
- Ryuta Fujii [ja]
- Anders Jonsson [sv]
- Sabri Ünal, Emin Tufan Çetin [tr]

New and updated manual translations

- Anders Jonsson [sv]

Version 3.31.2
--------------

 * Improved primary menu (Peter, Allan Day, Felix Riemann)
 * Improved app icon (Jakub Steiner)

Bug fixes:

 !14, Add View submenu (Peter)

New and updated translations:

- Carmen Bianca Bakker [eo]
- Daniel Mustieles [es]
- Charles Monzat [fr]
- Matej Urbančič [sl]

Version 3.31.1
--------------

 * Update app icon
 * Remove appmenu

Bug fixes:

 !3, Add Flatpak manifest (Jordan Petridis)
 !7, icon: update app icon (Jakub Steiner)
 !11, Remove appmenu (Robert Roth)
 !12, Fix warnings (Thomas Bechtold)
 #3, README is obsolete (Robert Roth)
 #15, Slideshow accidentally skips images when using a slow device
      for file access (Stefan Richter)
 #22, Use 96dpi when displaying SVGs (Antonio Ospite)

New and updated translations:

- Carmen Bianca Bakker [eo]

Version 3.28.4
--------------

 * Many documentation updates and fixes (Andre Klapper, Rafael Fontenelle)

Bug fixes:

 !4, User docs: Be clear about plugin tab (Rafael Fontenelle)
 !5, User docs: Remove non-extra plugin from list (Rafael Fontenelle)
 !6, User docs: Fix shortcut for image gallery (Rafael Fontenelle)
 #6, Space bar keyboard shortcut doesn't work (Andre Klapper)
 #8, Crash when holding right or left arrow key when "Date in statusbar"
     plugin is enabled (Felix Riemann)
 #10, "Failed to open file" warning when browsing in a collection of file
      (Felix Riemann)

New and updated translations:

- Jordi Mas [ca]
- Marek Černocký [cs]
- Rudolfs Mazurs [lv]
- Piotr Drąg [pl]
- Cheng-Chia Tseng [zh_TW]

New and updated manual translations

- Marek Černocký [cs]
- Mario Blättermann [de]
- Daniel Mustieles [es]
- Claude Paroz [fr]
- Balázs Úr [hu]
- Rudolfs Mazurs [lv]
- Piotr Drąg [pl]
- Rafael Fontenelle [pt_BR]
- Anders Jonsson [sv]

Version 3.28.3
--------------

Bug fixes:

 !1, Add OARS and update gitlab URLs (Nick Richards)
 !2, Add icns to mime types (Harry Mallon)
 #674284, EOG memory leak on viewing many jpeg images (Claudio Saavedra)
 #795998, build: it's enable_xmp not enable_exempi (Rasmus Thomsen)

New and updated translations:

- Pieter Schalk Schoeman [af]

Version 3.28.2
--------------

New and updated translations:

- Marcos Lans [gl]

Version 3.28.1
--------------

Bug fixes:

 #794472, EOG is missing an icon in full screen mode
          (eog-image-gallery-symbolic) (Felix Riemann)

New and updated translations:

- Daniel Șerbănescu [ro]

New and updated manual translations

- Alexandre Franke, Andre Klapper [fr]
- Piotr Drąg [pl]
- Anders Jonsson [sv]

Version 3.28.0
--------------

New and updated translations:

- Bruce Cowan [en_GB]
- gogo [hr]
- A S Alam [pa]

New and updated manual translations

- Marek Černocký [cs]
- Charles Monzat, Alexandre Franke [fr]
- Balázs Úr [hu]
- Piotr Drąg [pl]
- Anders Jonsson [sv]

Version 3.27.91
---------------

 * Build system improvements (Iñigo Martínez, Piotr Drąg, Felix Riemann)

Bug fixes:
 #793719, Various meson related improvements (Iñigo Martínez)

New and updated translations:

- Mario Blättermann [de]
- GunChleoc [gd]

New and updated manual translations

- Marek Černocký [cs]
- Mario Blättermann [de]
- Daniel Mustieles [es]
- Balázs Úr [hu]

Version 3.27.90
---------------

 * Swapped shortcuts for gallery and sidebar to match other GNOME apps
 * Disabled color profile generation from Exif values
 * Replaced several deprecated Glib/Gtk+ function calls

Bug fixes:
 #792682, F9 to toggle Side Pane (Felix Riemann)
 #792770, JPEG image renders black on-screen (Felix Riemann)
 #792923, Port from gtk_show_uri to gtk_show_uri_on_window (Timm Bäder)
 #792924, Fix warnings from recent glib changes to g_object_(un)ref (Timm Bäder)
 #792925, Remove gdk_window_process_updates call (Timm Bäder)

New and updated manual translations

- Piotr Drąg [pl]

Version 3.27.3
--------------

 * Drop Autotools support in favour of Meson (Iñigo Martínez)
 * Drop deprecated/unused files from help docs (Felix Riemann)

Bug fixes:
 #784354, Port to meson build system (Iñigo Martínez)

Version 3.27.2
--------------

Bug fixes:
 #787188, Close confirmation dialog looks outdated
 #787750, EOG 3.26 does not store recently used files

Version 3.27.1
--------------

 * Port to meson build system (Iñigo Martínez)

Bug fixes:
 #784354, Port to meson build system (Iñigo Martínez)
 #790078, build: Install appstream metadata to non-deprecated location
          (Jeremy Bicha)

Version 3.26.2
--------------

Bug fixes:
 #788582, Wrong line endings and broken tags in eog’s help
          (Ryan Schmidt, Piotr Drąg)

New and updated translations:

- Xavi Ivars [ca@valencia]
- Kjartan Maraas [nb]
- Mingcong Bai [zh_CN]

New and updated manual translations

- Daniel Mustieles, Ryan Schmidt, Piotr Drąg [es]
- Andre Klapper [lv]
- Piotr Drąg [pl]

Version 3.26.1
--------------

 * Fixed smaller translation bugs (Andre Klapper, Piotr Drąg)

New and updated translations:

- Yuras Shumovich [be]
- Efstathios Iosifidis [el]
- Arash Mousavi [fa]
- Sveinn í Felli [is]
- Justin van Steijn [nl]
- Stas Solovey [ru]

New and updated manual translations

- Andre Klapper [cs]
- Andre Klapper [de]
- Anders Jonsson [sv]

Version 3.26.0
--------------

New and updated translations:

- Lyubomir Vasilev [bg]
- Ask Hjorth Larsen [da]
- Iñaki Larrañaga Murgoitio [eu]
- Gianvito Cavasoli [it]
- sujiniku, Jiro Matsuzawa [ja]
- Nathan Follens [nl]

New and updated manual translations

- Jordi Mas, Aleix Badia i Bosch [ca]
- Gabor Kelemen [hu]
- Sebastian Rasmussen [sv]

Version 3.25.92
---------------

* Updated help docs (Andre Klapper)

Bug fixes:

 #759434, 100% zoom keyboard shortcut documentation and button/menu entry

New and updated translations:

- Jordi Mas [ca]
- Ask Hjorth Larsen [da]
- Jiri Grönroos [fi]
- Alexandre Franke, Charles Monzat [fr]
- Fran Dieguez [gl]
- gogo [hr]
- Sveinn í Felli [is]
- Jeeyong Um [ko]
- Aurimas Černius [lt]
- Rūdolfs Mazurs [lv]
- Piotr Drąg [pl]
- Rafael Fontenelle [pt_BR]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]
- Cheng-Chia Tseng [zh_TW]

New and updated manual translations

- Marek Černocký [cs]
- Christian Kirbach, Mario Blättermann [de]
- Daniel Mustieles [es]
- Rūdolfs Mazurs [lv]

Version 3.25.90
---------------

 * Miscellaneous fixes (Anders Jonsson, Andre Klapper, Bastien Nocera)

Bug fixes:

 #784942, thumbnail: Remove use of obsolete gnome-desktop-thumbnail helper

New and updated translations:

- Khaled Hosny [ar]
- Marek Černocký [cs]
- Meskó Balázs [hu]
- Anish A [ml]
- Dušan Kazik [sk]
- Matej Urbančič [sl]
- Anders Jonsson [sv]
- Çağatay Yiğit Şahin [tr]
- Trần Ngọc Quân [vi]

New and updated manual translations

- Mario Blättermann [de]
- Daniel Mustieles [es]
- Anders Jonsson [sv]

Version 3.25.1
--------------

 * Drop intltool support in favour of plain gettext

Bug fixes:

 #555831, be able to mount a volume from recent files (Ondrej Holy)

New and updated translations:

- Felix Riemann [de]
- Daniel Mustieles [es]
- Fabio Tomat [fur]
- Kukuh Syafaat [id]
- Baurzhan Muftakhidinov [kk]
- Stas Solovey [ru]
- Emin Tufan Çetin [tr]

Version 3.24.1
--------------

Bug fixes:

 #780675, gcc pragma build failure

New and updated translations:

- Tom Tryfonidis [el]
- Daniel Mustieles [es]
- gogo [hr]
- Kjartan Maraas [nb]

New and updated manual translations

- Rūdolfs Mazurs [lv]

Version 3.24.0
--------------

New and updated translations:

- gogo [hr]
- Gianvito Cavasoli [it]
- Changwoo Ryu [ko]
- Rūdolfs Mazurs [lv]
- Yuri Myasoedov [ru]
- Daniel Korostil [uk]

Version 3.23.92
---------------

New and updated translations:

- Jordi Mas [ca]
- Marek Černocký [cs]
- Joe Hansen [da]
- Mario Blättermann [de]
- Iñaki Larrañaga Murgoitio [eu]
- Jiri Grönroos [fi]
- Charles Monzat [fr]
- Fabio Tomat [fur]
- Fran Dieguez [gl]
- Gabor Kelemen [hu]
- Kukuh Syafaat [id]
- Baurzhan Muftakhidinov [kk]
- Moo [lt]
- A S Alam [pa]
- Piotr Drąg [pl]
- Rafael Fontenelle [pt_BR]
- Dušan Kazik [sk]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]
- Anders Jonsson [sv]
- Trần Ngọc Quân [vi]
- Chao-Hsiung Liao [zh_TW]

Version 3.23.91
---------------

 * Various fixes for the new zoom widget

Bug fixes:

 #778573, Make zoom menu wider

New and updated translations:

- Ask Hjorth Larsen [da]
- Daniel Mustieles [es]
- Iñaki Larrañaga Murgoitio [eu]
- Jiri Grönroos [fi]
- Charles Monzat [fr]
- Fabio Tomat [fur]
- Meskó Balázs [hu]
- Kukuh Syafaat [id]
- Baurzhan Muftakhidinov [kk]
- Kjartan Maraas [nb]
- Piotr Drąg [pl]
- Rafael Fontenelle [pt_BR]
- Dušan Kazik [sk]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]
- Daniel Korostil [uk]
- Chao-Hsiung Liao [zh_TW]

New and updated manual translations

- Jordi Mas [ca]

Version 3.23.90
---------------

 * Replace zoom scale with a text entry based on Evince's zoom widget
 * Fix keyboard navigation in the headerbar and popup menu

Bug fixes:

 #754985, no way to open menu using keyboard

New and updated translations:

- Jordi Mas [ca]
- Marek Černocký [cs]
- Kukuh Syafaat [id]
- Kjartan Maraas [nb]
- Dušan Kazik [sk]

Version 3.23.1
--------------

 * Several GTK deprecation fixes
 * Smaller bug and memory leak fixes

Bug fixes:

 #774001, Take advantage of Unicode (Piotr Drąg)
 #776984, eog displays jpeg image color incorrectly on wayland (Felix Riemann)

New and updated translations:

- Marek Černocký [cs]
- Mario Blättermann [de]
- Daniel Mustieles [es]
- Jiri Grönroos [fi]
- Fabio Tomat [fur]
- Meskó Balázs [hu]
- Baurzhan Muftakhidinov [kk]
- Piotr Drąg [pl]
- Rafael Fontenelle [pt_BR]
- Dingzhong Chen [zh_CN]

Version 3.20.5
--------------

 * Some smaller code improvements

Bug fixes:

 #772162, When deleting ALL images, the last one stays in preview (F. Riemann)

New and updated translations:

- David King [en_GB]
- Daniel Mustieles [es]
- gogo [hr]
- Hannie Dumoleyn [nl]
- Piotr Drąg [pl]
- Matej Urbančič [sl]

Version 3.20.4
--------------

Bug fixes:

 #770143, CVE-2016-6855 out-of-bounds write in eog 3.10.2
 #770197, eog leaks error message if loading an SVG fails

New and updated translations:

- gogo [hr]
- Muhammet Kara [tr]

New and updated manual translations

- Sebastian Rasmussen [sv]

Version 3.20.3
--------------

Bug fixes:

 #767003, Eye Of Gnome should refresh automatically the image when it is edited

New and updated translations:

- Frédéric Péters [fr]
- Sveinn í Felli [is]
- Kjartan Maraas [nb]
- Cédric Valmary (totenoc.eu) [oc]
- Daniel Șerbănescu [ro]
- Theppitak Karoonboonyanan [th]

Version 3.20.2
--------------

New and updated translations:

- Fabio Tomat [fur]
- GunChleoc [gd]
- Sérgio Cardeira [pt]

New and updated manual translations

- sujiniku, Jiro Matsuzawa [ja]

Version 3.20.1
--------------

 * Improved startup time especially on remote shares (Debarshi Ray)
 * Miscellaneous fixes and improvements (Debarshi Ray, Richard Hughes)

Bug fixes:

 #665897, Scaled down images have poor quality (Debarshi Ray)
 #764139, Opening a 100 kB file takes about 45 seconds (Debarshi Ray)

New and updated translations:

- Arash Mousavi [fa]
- Fabio Tomat [fur]
- Andika Triwidada [id]
- Trần Ngọc Quân [vi]

Version 3.20.0
--------------

New and updated translations:

- scootergrisen, Ask Hjorth Larsen [da]
- Inaki Larranaga Murgoitio [eu]
- Gianvito Cavasoli [it]
- Changwoo Ryu [ko]
- Марко М. Костић [sr]
- Marko M. Kostić [sr@latin]

Version 3.19.92
---------------

 * Code improvements (Debarshi Ray, Robert Ancell)
  
Bug fixes:

 #763505, EogPrintPreview: Silence -Wsign-compare and -Wswitch-default
          (Debarshi Ray)

New and updated translations:

- Khaled Hosny [ar]
- Jordi Mas [ca]
- Efstathios Iosifidis [el]
- Jiri Grönroos [fi]
- Yosef Or Boczko [he]
- Jiro Matsuzawa [ja]
- Aurimas Černius [lt]
- Rūdolfs Mazurs [lv]
- Piotr Drąg [pl]
- Stas Solovey [ru]
- Dušan Kazik [sk]
- Daniel Korostil [uk]

Version 3.19.91
---------------

New and updated translations:

- Jordi Mas [ca]
- Marek Černocký [cs]
- Alexandre Franke [fr]
- Fran Dieguez [gl]
- Piotr Drąg [pl]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]
- Anders Jonsson [sv]

Version 3.19.90
---------------

 * Better image quality when downscaling (Russel Haley, Felix Riemann)
 * Improved AppData (Richard Hughes)
 * Improved strings in the shortcuts window (Piotr Drąg, Alexandre Franke)

Bug fixes:

 #665897, Scaled down images have poor quality (Russel Haley, Felix Riemann)
 #761408, Add context to strings in the shortcut window (Piotr Drąg)
 #762028, >=eog-3.16 is affected by CVE-2013-7447 (Felix Riemann)

New and updated translations:

- Alexander Shopov [bg]
- Mario Blättermann [de]
- Tom Tryfonidis [el]
- Daniel Mustieles [es]
- Jiri Grönroos [fi]
- Erwan Georget [fr]
- Meskó Balázs, Gabor Kelemen [hu]
- Baurzhan Muftakhidinov [kk]
- Rūdolfs Mazurs [lv]
- Piotr Drąg [pl]
- Rafael Fontenelle [pt_BR]
- Dušan Kazik [sk]
- Chao-Hsiung Liao [zh_TW]

New and updated manual translations

- David King [fi]

Version 3.19.4
--------------

 * Small application menu improvements (Felix Riemann)

New and updated translations:

- Marek Černocký [cs]
- Mario Blättermann [de]
- Tom Tryfonidis [el]
- Daniel Mustieles [es]
- Jiri Grönroos [fi]
- Yosef Or Boczko [he]
- Jiro Matsuzawa [ja]
- Aurimas Černius [lt]
- Kjartan Maraas [nb]
- Gustavo Marques [pt_BR]
- Dušan Kazik [sk]

Version 3.19.3
--------------

 * Convert custom CSS to use CSS nodes (Trinh Anh Ngoc)
 * Add a shortcuts window (Felix Riemann)

Bug fixes:

 #757827, Provide a shortcuts window (Felix Riemann)
 #758763, Update CSS nodes (Trinh Anh Ngoc)

New and updated translations:

- Daniel Mustieles [es]
- Jiro Matsuzawa [ja]
- Baurzhan Muftakhidinov [kk]
- Pedro Albuquerque [pt]
- Dušan Kazik [sk]
- Sebastian Rasmussen [sv]

Version 3.19.2
--------------

 * Further UI improvements (Trinh Anh Ngoc)

Bug fixes:

 #754628, Improve UI (Trinh Anh Ngoc)

New and updated translations:

- Marek Černocký [cs]
- Daniel Mustieles [es]
- Jiri Grönroos [fi]
- GunChleoc [gd]
- Yosef Or Boczko [he]
- Aurimas Černius [lt]
- Kjartan Maraas [nb]
- Pedro Albuquerque [pt]
- Daniel Șerbănescu, Kalev Lember [ro]
- YunQiang Su, Jeff Bai [zh_CN]

Version 3.19.1
--------------

 * Various UI improvements (Trinh Anh Ngoc, Lars Uebernickel)

Bug fixes:

 #754628, Improve UI (Trinh Anh Ngoc)
 #754985, no way to open menu using keyboard (Felix Riemann)
 #755244, Some entries of the popovermenu entry should be grayed
          when no image opened (Felix Riemann)
 #755799, "Exit fullscreen" button has a dark background (Lars Uebernickel)

New and updated translations:

- Marek Černocký [cs]
- Inaki Larranaga Murgoitio [eu]
- Pedro Albuquerque [pt]
- Daniel Șerbănescu [ro]

Version 3.18.0
--------------

New and updated translations:

- Khaled Hosny [ar]
- scootergrisen [da]
- Rūdolfs Mazurs [lv]
- Enrico Nicoletto [pt_BR]
- Милош Поповић [sr]
- Miloš Popović [sr@latin]
- Trần Ngọc Quân [vi]

Version 3.17.92
---------------

Bug fixes:

 #754731, Use standard::display-name for Google Drive items (Debarshi Ray)

New and updated translations:

- Marek Černocký [cs]
- Bernd Homuth [de]
- Arash Mousavi [fa]
- Jiri Grönroos [fi]
- Erwan Georget [fr]
- Sveinn í Felli [is]
- Gianvito Cavasoli [it]
- Jiro Matsuzawa [ja]
- Baurzhan Muftakhidinov [kk]
- Changwoo Ryu [ko]
- Aurimas Černius [lt]
- Kjartan Maraas [nb]
- Matej Urbančič [sl]
- Muhammet Kara [tr]

Version 3.17.91
---------------

 * Various code improvements and fixes (Emmanuel Pacaud)

Bug fixes:

 #753987, Access key is not assigned to button "Open with Document Viewer"
          (Jiro Matzuzawa)
 #754104, Compilation cleanups (Emmanuel Pacaud)

New and updated translations:

- Tom Tryfonidis [el]
- Daniel Mustieles [es]
- Alexandre Franke [fr]
- Fran Dieguez [gl]
- Yosef Or Boczko [he]
- Balázs Úr [hu]
- Andika Triwidada [id]
- Piotr Drąg [pl]
- Pedro Albuquerque [pt]
- Yuri Myasoedov [ru]
- Dušan Kazik [sk]
- Anders Jonsson [sv]
- Chao-Hsiung Liao [zh_TW]

Version 3.17.90
---------------

Bug fixes:

 #753627, Add touchpad gesture event mask to EogScrolledWindow (Carlos Garnacho)

New and updated translations:

- Jordi Mas [ca]
- Efstathios Iosifidis [el]
- Fabio Tomat [fur]
- Andika Triwidada [id]
- Kjartan Maraas [nb]
- Enrico Nicoletto [pt_BR]

New and updated manual translations

- Henrik Löwendahl [sv]

Version 3.17.3
--------------

New and updated translations:

- Balázs Úr [hu]
- Sveinn í Felli [is]
- Pedro Albuquerque [pt]
- Stas Solovey [ru]
- Matej Urbančič [sl]

Version 3.17.2
--------------

Bug fixes:

 #746132, can't zoom to 100% 200% etc. in eog 3.15.91 (Felix Riemann)
 #751007, Compilation error when EXIF support disabled (Alexandre Rostovtsev)
 #751021, Use symbolic icons for fullscreen toolbar (Alexandre Franke)

New and updated translations:

- Marek Černocký [cs]
- Benjamin Steinwender [de]
- Dimitris Spingos (Δημήτρης Σπίγγος) [el]
- Piotr Drąg [en_CA]
- Daniel Mustieles [es]
- Yosef Or Boczko [he]
- Dušan Kazik [sk]
- Victor Ibragimov [tg]
- Muhammet Kara [tr]

Version 3.17.1
--------------

 * Small improvements for the new UI
 * Bug fixes and code improvements

Bug fixes:

 #538279, Always show image area box/outline (Felix Riemann)
 #739654, support multi-page TIFFs, somehow (Felix Riemann)
 #743477, Add a view category to the options popover menu (Felix Riemann)
 #746802, Zoom toggle button should zoom in and out when pressed (Felix Riemann)
 #748598, EOG opens tiff always with a small window (Felix Riemann)

New and updated translations:

- Cédric Valmary (Tot en òc) [oc]

New and updated manual translations

- Jordi Mas [ca]

Version 3.16.2
--------------

 * Install symbolic app icon (Jakub Steiner)

Bug fixes:

 #746842, provide a scalable -symbolic variant of the app icon (Jakub Steiner)
 #747806, Ctrl+W shortcut stopped working (Felix Riemann)
 #748653 - Progress not updated for corrupt images (Kent Vander Velden)

New and updated translations:

- Sveinn í Felli [is]
- Cédric Valmary (Tot en Òc) [oc]
- Dean Chen [zh_CN]

Version 3.16.1
--------------

Bug fixes:

 #735633, eog crashes when attempting two-finger zoom gesture on touchpad
 #747410, regression: default zoom incorrect when browsing

New and updated translations:

- Khaled Hosny [ar]
- Mattias Põldaru [et]
- Gianvito Cavasoli [it]
- Rūdolfs Mazurs [lv]
- Hannie Dumoleyn [nl]

Version 3.16.0
--------------

Bug fixes:

 #746336, remove the overlay timeout in dispose (Felix Riemann)

New and updated translations:

- Daniel Martinez [an]
- Jordi Mas [ca]
- Iñaki Larrañaga Murgoitio [eu]
- Andika Triwidada [id]

Version 3.15.92
---------------

 * Improvements to UI changes based on initial feedback (Felix Riemann)
 * Adjust UI tests for UI changes (Vadim Rutkovsky)

Bug fixes:

 #745077, The next/previous buttons in RTL are sliced (Felix Riemann)
 #746105, Larger margin for sidebar (Felix Riemann)

New and updated translations:

- Alexander Shopov [bg]
- Samir Ribić [bs]
- Ask Hjorth Larsen [da]
- Wolfgang Stoeggl [de]
- Jiri Grönroos [fi]
- Guillaume Bernard [fr]
- Fran Dieguez [gl]
- Yosef Or Boczko [he]
- Sveinn í Felli [is]
- Jiro Matsuzawa [ja]
- Baurzhan Muftakhidinov [kk]
- Changwoo Ryu [ko]
- Aurimas Černius [lt]
- A S Alam [pa]
- Paweł Żołnowski [pl]
- Matej Urbančič [sl]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]
- Anders Jonsson [sv]
- Victor Ibragimov [tg]
- Muhammet Kara [tr]
- Trần Ngọc Quân [vi]
- Chao-Hsiung Liao [zh_TW]

Version 3.15.90
---------------

 * More cleanup after the first round of UI modernization
 * Make GAction plugin interface actually usable by plugins
   NOTE: Plugins using the old GtkUIManager interface won't work anymore!

Bug fixes:

 #743887, Image buttons should have tooltips (Felix Riemann)

New and updated translations:

- Marek Černocký [cs]
- Efstathios Iosifidis [el]
- Kristjan SCHMIDT [eo]
- Daniel Mustieles [es]
- Yosef Or Boczko [he]
- Balázs Úr [hu]
- Sveinn í Felli [is]
- Åka Sikrom [nb]
- Rafael Ferreira [pt_BR]
- Stas Solovey [ru]
- Dušan Kazik [sk]
- Daniel Korostil [uk]

Version 3.15.1
--------------

 * Modernize the GUI (Allan Day, Jente Hidskes, Felix Riemann)
 * Migrate to GAction (Jente Hidskes, Felix Riemann)

Bug fixes:

 #740426, Use a header bar (Allan Day, Jente Hidskes, Felix Riemann)
 #741050, Migrate to GAction (Jente Hidskes, Felix Riemann)
 #742369, doesn't use high quality icon in the overview (Andreas Nilsson)

New and updated translations:

- Daniel Martinez [an]
- Marek Černocký [cs]
- Dimitris Spingos (Δημήτρης Σπίγγος) [el]
- Daniel Mustieles [es]
- Iñaki Larrañaga Murgoitio [eu]
- Fran Dieguez [gl]
- Yosef Or Boczko [he]
- Balázs Úr [hu]
- Sveinn í Felli [is]
- Aurimas Černius [lt]
- Hannie Dumoleyn [nl]
- Rafael Ferreira [pt_BR]
- Stas Solovey [ru]
- Dušan Kazik [sk]
- Trần Ngọc Quân [vi]

New and updated manual translations

- Christian Kirbach [de]

Version 3.14.3
--------------

 * Fix preferences dialog when using aggressive linker settings (Felix Riemann)
 * Fixed a few memory leaks (Boris Egorov, Felix Riemann)

Bug fixes:

 #739618, preferences does not load properly (Felix Riemann)
 #740348, Fixing memory leaks detected by cppcheck (Boris Egorov, Felix Riemann)

New and updated translations:

- Trần Ngọc Quân [vi]

Version 3.14.2
--------------

New and updated translations:

- Daniel Martinez [an]
- Timo Jyrinki [fi]
- Fabio Tomat [fur]
- Baurzhan Muftakhidinov [kk]

Version 3.14.1
--------------

Bug fixes:

 #737213, Cant't build eog-3.14 without XMP support (Felix Riemann)
 #737772, Confirmation dialogs should wrap their labels (Felix Riemann)
 #737960, Requires gtk+-3.14 (Felix Riemann)

New and updated translations:

- Arash Mousavi [fa]
- Pawan Chitrakar [ne]

New and updated manual translations

- Changwoo Ryu, Seong-ho Cho [ko]
- Rafael Ferreira [pt_BR]

Version 3.14.0
--------------

New and updated translations:

- Jiri Grönroos [fi]

Version 3.13.92
---------------

New and updated translations:

- Ivaylo Valkov [bg]
- Changwoo Ryu [ko]

New and updated manual translations

- Piotr Drąg [fi]
- Changwoo Ryu [ko]

Version 3.13.90
---------------

 * Touchscreen gestures support (Carlos Garnacho)
 * Updated UI tests (Vadim Rutkovsky)
 * Fix more deprecated GTK+ usage (Felix Riemann)

Bug fixes:

 #730656, [PATCH] Support touchscreen gestures (Carlos Garnacho)

New and updated translations:

- MarMav, Tom Tryfonidis [el]
- Jiro Matsuzawa [ja]

New and updated manual translations

- Daniel Șerbănescu [ro]

Version 3.13.3
--------------

 * Drop dreprecated GtkMisc and GtkAlignment usage (Felix Riemann)
 * Improvements to GUI test handling (Vadim Rutkovsky)

New and updated translations:

- Muhammet Kara [tr]

Version 3.13.2
--------------

 * Convert dialogs made with Glade to GResource and widget templates (Felix Riemann)

Bug fixes:

 #729494, Disable dark theme plugin does not disable the dark theme (Felix Riemann)
 #729498, Plugin manager not resizing in the preferences window (Felix Riemann)

New and updated translations:

- Carles Ferrando, Pau Iranzo [ca@valencia]

New and updated manual translations

- Tom Tryfonidis [el]
- Sami Jaktholm [fi]

Version 3.13.1
--------------

 * Added installed GUI tests (Vadim Rutkovsky)
 * Support extracting color profiles with GdkPixbuf (Felix Riemann)

Bug fixes:

 #727467, ignores colour profiles on TIFF (Felix Riemann)
 #727989, Add installed tests (Vadim Rutkovsky)
 #729018, Drop gnome-icon-theme dependency (Matthias Clasen)

New and updated translations:

- Rune Karlsson [sv]

Version 3.12.1
--------------

New and updated translations:

- Gabor Kelemen [hu]
- Dirgita [id]
- Ikuya Awashiro [ja]
- Peter Vágner [sk]

New and updated manual translations

- Marek Černocký [cs]
- Daniel Mustieles [es]
- Alexandre Franke [fr]
- Balázs Úr, Gabor Kelemen [hu]

Version 3.12.0
--------------

New and updated translations:

- Kenneth Nielsen [da]
- Iñaki Larrañaga Murgoitio [eu]
- Gabor Kelemen [hu]
- Gianvito Cavasoli [it]
- Jiro Matsuzawa [ja]

New and updated manual translations

- Marek Černocký [cs]
- Daniel Mustieles [es]
- Alexandre Franke [fr]
- Gabor Kelemen [hu]

Version 3.11.92
---------------

Bug fixes:

 #720340, 'save as' doesn't update window title (Felipe Ortiz)

New and updated translations:

- Wolfgang Stoeggl [de]
- Claude Paroz [fr]
- Changwoo Ryu [ko]
- Rūdolfs Mazurs [lv]
- A S Alam [pa]
- Paweł Żołnowski [pl]
- Tiago S. [pt]
- Yuri Myasoedov [ru]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]

New and updated manual translations

- Fievez Yoann, Frédéric Péters [fr]

Version 3.11.91
---------------

 * Improved color management compatibility (pdknsk)
 * Improved Exif GPS tag handling (Felix Riemann)

Bug fixes:

 #554498, No colour conversion when image does not have embedded ICC profile
 #725357, support for color correction of RGBA images (pdknsk)
 #725416, GPS information are shown without decimal values (Felix Riemann)

New and updated translations:

- Ihar Hrachyshka [be]
- Pau Iranzo [ca]
- Andika Triwidada [id]
- Sandeep Shedmake [mr]

Version 3.11.90
---------------

Bug fixes:

 #722235, Use unity-control-center if running under Unity (Robert Ancell)
 #723544, Fix the previous and the next icons in RTL (Yosef Or Boczko)
 #723546, Fix the undo icon in RTL (Yosef Or Boczko)

New and updated translations:

- Khaled Hosny [ar]
- Nilamdyuti Goswami [as]
- Marek Černocký [cs]
- Vangelis Skarmoutsos [el]
- Mattias Põldaru [et]
- Jiri Grönroos [fi]
- GunChleoc [gd]
- Yosef Or Boczko [he]
- Shankar Prasad [kn]
- Aurimas Černius [lt]
- Fábio Nogueira [pt_BR]
- Theppitak Karoonboonyanan [th]
- Daniel Korostil [uk]
- Chao-Hsiung Liao [zh_HK, zh_TW]

Version 3.11.4
--------------

 * Use Python 3.x for Python plugins (Felix Riemann)
 * AppData improvements (William Jon McCann, Piotr Drąg)
 * Misc improvements and optimizations (Felix Riemann, Lars Uebernickel)

Bug fixes:

 #721488, License text contains obsolete FSF postal address (Felix Riemann)
 #721755, Don't call gdk_threads_init() (Lars Uebernickel)

New and updated translations:

- Dimitris Spingos (Δημήτρης Σπίγγος) [el]
- Fran Dieguez [gl]
- Yosef Or Boczko [he]
- Kjartan Maraas [nb]
- Matej Urbančič [sl]
- Victor Ibragimov [tg]
- Tong Hui [zh_CN]

Version 3.11.3
--------------

 * Image background layer uses GdkRGBA to avoid color conversion from
   GdkColor and principally allow transparent backgrounds (Felix Riemann)
 * Make several actions available over D-Bus (Ryan Lortie, Felix Riemann)
 * Fixed more deprecated GtkStyle and GtkStock usage (Felix Riemann)

Bug fixes:

 #712350, eog doesn't export actions on D-Bus (Ryan Lortie, Felix Riemann)
 #720144, app menu: standardize Help/About/Quit (Michael Catanzaro)

New and updated translations:

- Daniel Mustieles [es]
- Jiri Grönroos [fi]
- Kjartan Maraas [nb]
- Rafael Ferreira [pt_BR]
- Victor Ibragimov [tg]

New and updated manual translations

- Dimitris Spingos (Δημήτρης Σπίγγος) [el]

Version 3.11.2
--------------

 * Various improvements and bugfixes (Felix Riemann, Jasper Lievisse Adriaanse)

Bug fixes:

 #509406, split/rename general metadata support from libexif support
 #700717, Sidepane is not resizable (can be stretched but cant be made smaller)
 #712354, error: redefinition of typedef 'EogJob' (Jasper Lievisse Adriaanse)

New and updated translations:

- Dimitris Spingos [el]
- Daniel Mustieles [es]
- Fran Dieguez [gl]
- Wouter Bolsterlee [nl]
- Matej Urbančič [sl]
- Victor Ibragimov [tg]

Version 3.11.1
--------------

 * Use GtkOverlay and GtkRevealer for fullscreen toolbar (Felix Riemann)
 * Add AppData support (Richard Hughes)
 * Build system improvements (Felix Riemann)
 * Replace several deprecated APIs (Felix Riemann)
 * Various improvements and bugfixes (John Hiesey, Felix Riemann)

Bug fixes:

 #582931, nautilus steals eog focus when opening second image (John Hiesey)
 #708757, Please include an AppData file (Richard Hughes)

New and updated translations:

- Carles Ferrando, Josep Sànchez [ca@valencia]
- Dimitris Spingos (Δημήτρης Σπίγγος) [el]
- Daniel Mustieles [es]
- Arash Mousavi [fa]
- Yosef Or Boczko [he]
- Rūdolfs Mazurs [lv]
- Matej Urbančič [sl]
- Victor Ibragimov [tg]
- Gökhan Gurbetoğlu [tr]
- tuhaihe [zh_CN]
- Cheng-Chia Tseng [zh_HK, zh_TW]

New and updated manual translations

- Marek Černocký [cs]
- Rūdolfs Mazurs [lv]

Version 3.10.0
--------------

Bug fixes:

 #708554, Add translator comment to "Viewing a slideshow" (Felix Riemann)

New and updated translations:

- Khaled Hosny [ar]
- Josep Sànchez [ca]
- Kenneth Nielsen [da]
- Iñaki Larrañaga Murgoitio [eu]
- GunChleoc [gd]
- Jiro Matsuzawa [ja]
- Reinout van Schouwen [nl]
- A S Alam [pa]
- António Lima [pt]
- Pavol Klačanský [sk]
- Daniel Korostil [uk]

New and updated manual translations

- Enrico Nicoletto [pt_BR]

Version 3.9.92
--------------

New and updated translations:

- Nilamdyuti Goswami [as]
- Ihar Hrachyshka [be]
- Marek Černocký [cs]
- Benjamin Steinwender [de]
- Mattias Põldaru [et]
- Jiri Grönroos [fi]
- Alexandre Franke  [fr]
- Yaron Shahrabani [he]
- Balázs Úr [hu]
- Gianvito Cavasoli [it]
- Baurzhan Muftakhidinov [kk]
- Changwoo Ryu [ko]
- Rūdolfs Mazurs [lv]
- Kjartan Maraas [nb]
- Rafael Ferreira [pt_BR]
- Dmitriy S. Seregin [ru]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]
- Theppitak Karoonboonyanan [th]
- Chao-Hsiung Liao [zh_HK, zh_TW]

New and updated manual translations

- Marek Černocký [cs]

Version 3.9.91
--------------

 * Build system fixes (Seán de Búrca)
 * Miscellaneous fixes and cleanups (Jiro Matsuzawa, Felix Riemann)

Bug fixes:

 #706837, build fails due to missing IT_PROG_INTLTOOL macro (Seán de Búrca)
 #707099, build fails due to extraneous command in autogen (Seán de Búrca)
 #707212, Mnemonics conflict in delete-confirmation dialog. (Jiro Matsuzawa)

New and updated translations:

- Ryan Lortie, Tiffany Antopolski [eo]
- Daniel Mustieles [es]
- Alexandre Franke [fr]
- Seán de Búrca [ga]
- Fran Dieguez [gl]
- Andika Triwidada [id]
- Aurimas Černius [lt]
- Piotr Drąg [pl]
- Matej Urbančič [sl]
- Victor Ibragimov [tg]

New and updated manual translations

- Gabor Kelemen [hu]

Version 3.9.90
--------------

New and updated translations:

- Khaled Hosny [ar]
- Marek Černocký [cs]
- Fran Dieguez [gl]
- Yaron Shahrabani [he]
- Gabor Kelemen [hu]
- Aurimas Černius [lt]
- Rafael Ferreira [pt_BR]
- Matej Urbančič [sl]
- Theppitak Karoonboonyanan [th]
- Chao-Hsiung Liao [zh_HK, zh_TW]

New and updated manual translations

- Christian Kirbach [de]

Version 3.9.5
-------------

Bug fixes:

 #683908, Screenshots in the manual should use the dark theme
          (Tiffany Antopolski)
 #702521, Delete Image menu does not have a mnemonic (Jiro Matsuzawa)
 #702523, Eog crashes deleting removed photo (Felix Riemann)
 #704074, eog-jobs.h includes non-installed header eog-uri-converter.h
          (Dominique Leuenberger)
 #704359, svg images displaced since gtk 3.9.2 (Sebastian Keller)

New and updated translations:

- Marek Černocký [cs]
- Benjamin Steinwender [de]
- Daniel Mustieles [es]
- Jiro Matsuzawa [ja]
- Kjartan Maraas [nb]
- Victor Ibragimov [tg]

New and updated manual translations

- Christian Kirbach [de]
- Daniel Mustieles [es]

Version 3.9.1
-------------

 * Integrate more modern job system from Evince with proper cancellation
   support in preparation for further refactoring (Javier Sánchez)

Bug fixes:

 #563538, Ability to permanently delete photo via keyboard shortcut (J. Sánchez)
 #630512, Eog initial window size exceeds screen height (Leonardo Donnelli)
 #699043, fix hyphenation in checkbox labels (Felix Riemann)

New and updated translations:

- Khaled Hosny [ar]
- Marek Černocký [cs]
- Dimitris Spingos (Δημήτρης Σπίγγος) [el]
- Daniel Mustieles [es]
- Fran Dieguez [gl]
- Yaron Shahrabani [he]
- Jiro Matsuzawa [ja]
- Kjartan Maraas [nb]
- Richard Stanislavský [sk]
- Matej Urbančič [sl]
- Victor Ibragimov [tg]
- tuhaihe [zh_CN]

New and updated manual translations

- Daniel Mustieles [es]
- OKANO Takayoshi [ja]

Version 3.8.1
-------------

New and updated translations:

- Chris Leonard [en_GB]
- Jiri Grönroos [fi]
- Praveen Illa [te]
- Muhammet Kara [tr]
- Daniel Korostil [uk]

New and updated manual translations

- Gabor Kelemen [hu]

Version 3.8.0
-------------

New and updated translations:

- Arash Mousavi [fa]
- chandankumar [hi]
- Gianvito Cavasoli [it]
- Dr.T.Vasudevan [ta]
- Victor Ibragimov [tg]

New and updated manual translations

- Alain Lojewski [fr]
- Gabor Kelemen [hu]

Version 3.7.92
--------------

Bug fixes:
 #695818, Disable color management support on !X (Matthias Clasen)

New and updated translations:

- Khaled Hosny [ar]
- Nilamdyuti Goswami [as]
- Ihar Hrachyshka [be]
- Gil Forcada [ca]
- Carles Ferrando [ca@valencia]
- Kenneth Nielsen [da]
- Mario Blättermann [de]
- Jiri Grönroos [fi]
- Balázs Úr [hu]
- Jiro Matsuzawa [ja]
- Changwoo Ryu [ko]
- Duarte Loreto [pt]

New and updated manual translations

- Dimitris Spingos (Δημήτρης Σπίγγος) [el]

Version 3.7.91
--------------

New and updated translations:

- Marek Černocký [cs]
- Iñaki Larrañaga Murgoitio [eu]
- Alexandre Franke [fr]
- Fabio Tomat [fur]
- Rūdolfs Mazurs [lv]
- Anish A [ml]
- A S Alam [pa]
- Aleksej Kabanov [ru]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]
- Gheyret Kenji [ug]
- Nguyễn Thái Ngọc Duy [vi]
- Chao-Hsiung Liao [zh_HK, zh_TW]

Version 3.7.4
-------------

 * Use XDG_DATA_DIRS and XDG_DATA_HOME as plugin search paths

Bug fixes:

 #683335, Set the basename for print-to-file (Federico Mena Quintero)
 #689165, eog contains files which do not have a valid copyright or
          license information (Felix Riemann)
 #690282, Load per-user plugins from $XDG_DATA_DIRS (Felix Riemann)
 #690931, Any combination of the `1` key is bound to "Normal Size" (F. Riemann)
 #691517, missing check against null in handle_image_selection_changed_cb
 #691552, Use <control>q shortcut to quit the application (Florian Müllner)

New and updated translations:

- Ivaylo Valkov [bg]
- Dimitris Spingos (Δημήτρης Σπίγγος) [el]
- Mattias Põldaru [et]
- Fabio Tomat [fur]
- Fran Dieguez [gl]
- Aurimas Černius [lt]
- Piotr Drąg [pl]
- Florencio Neves, Enrico Nicoletto [pt_BR]
- Richard Stanislavský [sk]
- Theppitak Karoonboonyanan [th]
- Gheyret Kenji [ug]

Version 3.7.2
-------------

 * Build system improvements / fixes (Felix Riemann)

Bug fixes:

 #687755, eog-metadata-reader-png.c does lots of void pointer arithmetic

New and updated translations:

- Yaron Shahrabani [he]
- Andika Triwidada [id]
- Kjartan Maraas [nb]

New and updated manual translations

- Yasumichi Akahoshi, OKANO Takayoshi [ja]

Version 3.7.1
-------------

 * Switch to GtkApplication for inhibiting the screensaver (Felix Riemann)
 * Misc. improvements/fixes (Cosimo Cecchi, Martin Olsson, Alexandre Rostovtsev)

Bug fixes:

 #684098, Inconsistent strings in nautilus and eog for setting background image
          (Cosimo Cecchi)
 #684179, switching images by next/prev mouse buttons (like in browsers)
          (Felix Riemann)
 #684581, Drop TotemScrSaver (Felix Riemann)
 #685106, [PATCH] Fix spelling errors in eog (Martin Olsson)
 #685923, eog.desktop fails to validate with desktop-file-utils-0.20
          (Alexandre Rostovtsev)

New and updated translations:

- Laura Balbastre [ca, ca@valencia]
- Hendrik Knackstedt [de]
- Tom Tryfonidis [el]
- Daniel Mustieles [es]
- Khoem Sokhem [km]
- Anish A [ml]
- Wouter Bolsterlee [nl]
- Matej Urbančič [sl]
- Re. [uk]

New and updated manual translations

- Aleix Badia i Bosch [ca]
- Daniel Mustieles [es]
- Yuri Myasoedov [ru]

Version 3.6.0
-------------

Bug fixes:

 #684401, eog 3.5.92 linking fails with undefined floor symbol (Kalev Lember)

New and updated translations:

- Alexander Shopov [bg]
- Mattias Põldaru [et]
- Rajesh Ranjan [hi]
- Anita Reitere [lv]
- Anish A [ml]
- YunQiang Su [zh_CN]

New and updated manual translations

- Tom Tryfonidis [el]
- Fran Dieguez [gl]
- Andrej Žnidaršič [sl]

Version 3.5.92
--------------

Bug fixes:

 #623604, After printing the number of copies are saved globally (Michael Wood)

New and updated translations:

- Ihar Hrachyshka [be]
- Marek Černocký [cs]
- Ask H. Larsen [da]
- Bruce Cowan [en_GB]
- Daniel Mustieles [es]
- Arash Mousavi [fa]
- Jiri Grönroos [fi]
- Alexandre Franke [fr]
- Gabor Kelemen [hu]
- Gianvito Cavasoli [it]
- Changwoo Ryu [ko]
- Fábio Nogueira [pt_BR]
- Dr.T.Vasudevan [ta]
- Theppitak Karoonboonyanan [th]
- Nguyễn Thái Ngọc Duy [vi]

New and updated manual translations

- Mario Blättermann [de]
- Tom Tryfonidis [el]
- Daniel Mustieles [es]
- Alexandre Franke [fr]
- Piotr Drąg [gl, lv]
- Gabor Kelemen [hu]

Version 3.5.91
--------------

 * Unify navigation in zoomed and unzoomed modes (Federico Mena Quintero)

Bug fixes:

 #659830, Arrow keys should always navigate, never scroll
          (Federico Mena Quintero)
 #682534, Wrong description about "Fullscreen with double-click"
          (Yasumichi Akahoshi)

New and updated translations:

- Nilamdyuti Goswami [as]
- Paul Seyfert [de]
- Aurimas Černius [lt]
- A S Alam [pa]
- Piotr Drąg [pl]
- Duarte Loreto [pt]
- Yuri Myasoedov [ru]
- Nguyễn Thái Ngọc Duy [vi]

New and updated manual translations

- Mario Blättermann [de]
- Tom Tryfonidis [el]
- Daniel Mustieles [es]
- Yasumichi Akahoshi [ja]

Version 3.5.90
--------------

 * Updated documentation (Fabiana Simões, Tiffany Antopolski)
 * Build help using yelp-tools instead of gnome-doc-utils (Javier Jardón)
 * Support for per-instance plugins (Felix Riemann)

Bug fixes:

 #682028, Port to new documentation infrastructure (Javier Jardón)

New and updated translations:

- Khaled Hosny [ar]
- Daniel Mustieles, Miguel Rodriguez [es]
- Fran Diéguez, Leandro Regueiro [gl]
- Yaron Shahrabani [he]
- Dirgita [id]
- Muhammet Kara [tr]
- Chao-Hsiung Liao [zh_HK, zh_TW]

New and updated manual translations

- Daniel Mustieles [es]

Version 3.5.4
-------------

 * Provide an application menu (Felix Riemann)

Bug fixes:

 #674938, Provide an app menu (Felix Riemann)

New and updated translations:

- Nilamdyuti Goswami [as]
- Tobias Endrigkeit [de]
- Tom Tryfonidis [el]
- Daniel Mustieles [es]
- Fran Dieguez [gl]
- Sweta Kothari [gu]
- Andika Triwidada [id]
- Jiro Matsuzawa [ja]
- Kjartan Maraas [nb]
- Matej Urbančič [sl]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]
- Praveen Illa [te]
- Chao-Hsiung Liao [zh_HK, zh_TW]

New and updated manual translations

- Dimitris Spingos (Δημήτρης Σπίγγος) [el]

Version 3.5.3
-------------

Bug fixes:

 #679505, Dialog for saving multiple images is too small (Felix Riemann)

New and updated translations:

- Ihar Hrachyshka [be]
- Alexander Shopov,Ivaylo Valkov [bg]
- Nguyễn Thái Ngọc Duy [vi]

Version 3.5.2
-------------

Bug fixes:

 #669830, eog fails to display a jpg image - and just hangs (Felix Riemann)
 #675569, Refuses to save file after horizontal flip:
          "Maximum supported image dimension is 65500 pixels" (Tom Gall)
 #676461, build: OpenBSD needs _XOPEN_SOURCE_EXTENDED
          for strptime(3) (Antoine Jacoutot)
 #676486, Missing scrollbars when zooming a SVG image (Felix Riemann)
 #677168, Image Gallery not displayed correctly with GTK+-3.4.3 (Felix Riemann)
 #677200, Race condition: misbehaves when launched twice
          in quick succession (Felix Riemann)

New and updated translations:

- Khaled Hosny [ar]
- Nilamdyuti Goswami [as]
- Tom Tryfonidis [el]
- Daniel Mustieles [es]
- Bruno Brouard [fr]
- Takayuki KUSANO [ja]
- Rūdolfs Mazurs [lv]
- Yuri Myasoedov [ru]
- Andrej Žnidaršič [sl]

New and updated manual translations

- Gabor Karsay [de]

Version 3.5.1
-------------

 * Try to avoid recompressing JPG images to PNG for printing (Felix Riemann)
 * Choose default paper orientation based on image dimensions (Javier Sánchez)

Bug fixes:

 #394260, PDF of JPG way too large (Felix Riemann)
 #531898, Printing paper orientation should default based on image dimensions
          (Javier Sánchez)
 #579595, fullscreen plugin is massively overzealous (Felix Riemann)
 #658127, replace slideshow time spinbutton with a scale (Felix Riemann)

New and updated translations:

- Khaled Hosny [ar]
- Jordi Serratosa [ca]
- Carles Ferrando [ca@valencia]
- Daniel Mustieles [es]
- Fran Dieguez [gl]
- Yaron Shahrabani [he]
- Andika Triwidada [id]
- Kjartan Maraas [nb]
- Matej Urbančič [sl]
- Praveen Illa [te]
- Chao-Hsiung Liao [zh_HK, zh_TW]

New and updated manual translations

- Mario Blättermann, Christian Kirbach [de]
- Daniel Mustieles [es]
- Alain Lojewski, Bruno Brouard [fr]
- Fran Dieguez [gl]
- Gabor Kelemen [hu]
- Yasumichi Akahoshi [ja]
- Andrej Žnidaršič [sl]

Version 3.4.0
-------------

New and updated translations:

- Kenneth Nielsen [da]
- Jiro Matsuzawa [ja]
- Aurimas Černius [lt]
- Praveen Arimbrathodiyil [ml]
- Krishnababu Krothapalli [te]

New and updated manual translations

- Bruno Brouard [fr]
- Andrej Žnidaršič [sl]
- Bhuvan Krishna [te]

Version 3.3.92
--------------

 * Fix crash with gtk+-3.3.18 and X.Org server 1.12 (Felix Riemann)
 * Various code cleanups and fixes (Adrian Zgorzałek, Felix Riemann)

Bug fixes:

 #671402, Doesn't compile with -Werror=deprecated-declarations (A. Zgorzałek)
 #671643, titlebar missing in maximized state (Felix Riemann)
 #671944, Preview images in file chooser dialog are too large (Felix Riemann)
 #672312, When scrolling through thumbnails with mousewheel, eog crashes

New and updated translations:

- Abderrahim Kitouni [ar]
- Ivaylo Valkov [bg]
- Laura Balbastre [ca]
- Marek Černocký [cs]
- Bruce Cowan [en_GB]
- Tiffany Antopolski [eo]
- Arash Mousavi [fa]
- Jiri Grönroos [fi]
- Bruno Brouard [fr]
- Sweta Kothari [gu]
- Gianvito Cavasoli [it]
- Changwoo Ryu [ko]
- Anita Reitere [lv]
- Kjartan Maraas [nb]
- Wouter Bolsterlee [nl]
- A S Alam [pa]
- Duarte Loreto [pt]
- Antonio Fernandes C. Neto [pt_BR]
- Yuri Myasoedov [ru]
- Sasi Bhushan Boddepalli [te]
- Muhammet Kara [tr]

New and updated manual translations

- Daniel Mustieles [es]
- Rūdolfs Mazurs [lv]

Version 3.3.91
--------------

 * More deprecated code removal (Adrian Zgorzałek, Felix Riemann)
 * Documentation improvements (Tiffany Antopolski)
 * Various fixes & improvements (Felix Riemann, Carlos Garcia Campos,
   Didier Roche)

Bug fixes:

 #670245, Documentation problems (Tiffany Antopolski)
 #670700, GPS coordinates don't show latitude (Felix Riemann)
 #671008, Remove deprecated VBox and HBox usage (Adrian Zgorzałek)
 #671038, Add Keyword for looking in both Gnome-shell and Unity (Didier Roche)
 #671202, EOG crashes on dragging icon to toolbar (Carlos Garcia Campos)

New and updated translations:

- Nilamdyuti Goswami [as]
- Ihar Hrachyshka [be]
- Kenneth Nielsen [da]
- Mario Blättermann [de]
- Kristjan SCHMIDT [eo]
- Daniel Mustieles [es]
- Mattias Põldaru [et]
- Iñaki Larrañaga Murgoitio [eu]
- Fran Dieguez [gl]
- Yaron Shahrabani [he]
- Gabor Kelemen [hu]
- Piotr Drąg [pl]
- Matej Urbančič [sl]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]
- Daniel Nylander [sv]
- Dr.T.Vasudevan [ta]
- Daniel Korostil [uk]
- Nguyễn Thái Ngọc Duy [vi]
- EL8LatSPQ, YunQiang Su [zh_CN]

New and updated manual translations

- Daniel Mustieles [es]
- Fran Dieguez [gl]
- Gabor Kelemen [hu]

Version 3.3.90
--------------

 * Relayout metadata sidebar to require less horizontal space (Felix Riemann)
 * Lots of - mostly deprecated - code cleanup (Robert Ancell, Felix Riemann)

Bug fixes:

 #670183, Remove unused variables (Robert Ancell)
 #670184, Fix deprecated GTK API usage (Robert Ancell)
 #670185, Use new GLib threading API (Robert Ancell)

New and updated translations:

- Mattias Põldaru [et]
- Jiro Matsuzawa [ja]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]
- Praveen Illa [te]

New and updated manual translations

- Bruno Brouard [fr]

Version 3.3.5
-------------

 * Hide titlebar when window is maximized (Claudio Saavedra)
 * Miscellaneous bug fixes (Felix Riemann)

Bug fixes:

 #563760, Color Management is Missing (Felix Riemann)
 #664747, 'Set as wallpaper' doesn't always work (Felix Riemann)
 #668178, Don’t show sidebar by default, or at least remember setting
 #668652, Do not show the titlebar when eog is maximized (Claudio Saavedra)

New and updated translations:

- Marek Černocký [cs]
- Paul Seyfert [de]
- Tiffany Antopolski [en_CA]
- Jiri Grönroos [fi]
- Kjartan Maraas [nb]
- Wouter Bolsterlee [nl]
- Fábio Nogueira [pt_BR]
- Matej Urbančič [sl]
- Daniel Nylander [sv]

New and updated manual translations

- Fran Dieguez [gl]

Version 3.3.4
-------------

Bug fixes:

 #495716, use scrollwheel to change scale in image preview (Claudio Saavedra)
 #666556, build failure upgrading from 3.3.2 to 3.3.3 (Felix Riemann)
 #667076, Add support for symlinks when dragging image to folder (Felix Riemann)

New and updated translations:

- Ihar Hrachyshka [be]
- Alexander Shopov [bg]
- Daniel Mustieles [es]
- Fran Dieguez [gl]
- Yaron Shahrabani [he]
- Jovan Naumovski [mk]
- Kjartan Maraas [nb]
- Yuri Myasoedov [ru]
- Muhammet Kara [tr]

Version 3.3.3
-------------

 * Extend "Open containing folder" to use Nautilus' new DBus API (Felix Riemann)
 * Make metadata summaries available as sidebar again (Felix Riemann)
 * Replace lots of deprecated APIs (Diego Escalante Urrelo, Felix Riemann)
 * Various fixes/improvements (Piotr Drąg, Claudio Saavedra, Javier Sánchez)

Bug fixes:

 #607287, visibility issue is found while saving files from Save As command
          (Javier Sánchez)
 #616438, Properties dialog should be a sidebar (Felix Riemann)
 #650402, Add an "Open containing folder" command (Felix Riemann)

New and updated translations:

- Wouter Bolsterlee [nl]

New and updated manual translations

- Matej Urbančič [sl]
- Kuang Chen [zh_CN]

Version 3.3.2
-------------

 * Fix deadlock with recently changed GApplication-behaviour (Ryan Lortie)
 * Automatically reload unmodified images when the file changes (Felix Riemann)
 * Try to preserve file attributes when saving (Javier Sánchez)
 * Allow reusing a window from the commandline (Michael Wünsch)
 * Improved help docs (Tiffany Antopolski)

Bug fixes:

 #555370, eog should auto-refresh when file changes (Felix Riemann)
 #614869, File paths get cut off in properties dialog (Felix Riemann)
 #617735, Add Functionality to open image always in same window (Michael Wünsch)
 #653065, On edit/rotation of image, group permissions eliminated/
          changed to "none" (Javier Sánchez)
 #655205, Image display stutters (Felix Riemann)
 #661325, doc, minor rephrasing needed (Tiffany Antopolski)
 #662630, eog fails to launch and hangs. (Ryan Lortie)

New and updated translations:

- Ihar Hrachyshka [be]
- Paul Seyfert [de]
- Daniel Mustieles [es]
- Fran Dieguez [gl]
- Yaron Shahrabani [he]
- Hideki Yamane [ja]
- Algimantas Margevičius [lt]
- Thura Hlaing [my]
- Kjartan Maraas [nb]
- Stas Solovey [ru]
- Matej Urbančič [sl]
- Krishnababu Krothapalli [te]
- Muhammet Kara [tr]
- Daniel Korostil [uk]
- Nguyễn Thái Ngọc Duy [vi]
- Andiswa Mvanyashe [xh]

New and updated manual translations

- Daniel Mustieles [es]
- Alain Lojewski, Bruno Brouard [fr]
- Gabor Kelemen [hu]
- Andrej Žnidaršič [sl]

Version 3.2.0
-------------

New and updated translations:

- Friedel Wolff [af]
- Nilamdyuti Goswami [as]
- Laura Balbastre, Carles Ferrando [ca, ca@valencia]
- Julen Ruiz Aizpuru, Inaki Larranaga Murgoitio [eu]
- Tommi Vainikainen [fi]
- Sweta Kothari [gu]
- Gabor Kelemen [hu]
- Gianvito Cavasoli [it]
- Yasumichi Akahoshi [ja]
- Changwoo Ryu [ko]
- Piotr Drąg [pl]
- Michal Štrba [sk]
- Ernest Mashele [ts]

New and updated manual translations

- Fran Dieguez [gl]
- Jiro Matsuzawa [ja]
- Changwoo Ryu [ko]

Version 3.1.92
--------------

 * Build system fixes/improvements (Claudio Saavedra, Vincent Untz)

Bug fixes:

 #659093, build: Update list of doc figures (Vincent Untz)

New and updated translations:

- Xandru Armesto [ast]
- Ihar Hrachyshka [be]
- Ivaylo Valkov [bg]
- Marek Černocký [cs]
- Kenneth Nielsen [da]
- Mario Blättermann [de]
- Bruce Cowan [en_GB]
- Tiffany Antopolski, Kristjan SCHMIDT [eo]
- Daniel Mustieles [es]
- Luc Guillemin [fr]
- Fran Dieguez [gl]
- Yaron Shahrabani [he]
- Andika Triwidada [id]
- Changwoo Ryu [ko]
- Aurimas Černius [lt]
- Rūdofls Mazurs [lv]
- Kjartan Maraas [nb]
- A S Alam [pa]
- Piotr Drąg [pl]
- Duarte Loreto [pt]
- Antonio Fernandes C. Neto [pt_BR]
- Yuri Myasoedov [ru]
- Martin Srebotnjak, Matej Urbančič [sl]
- Мирослав Николић [sr]
- Miroslav Nikolić [sr@latin]
- Daniel Nylander [sv]
- Dr.T.Vasudevan [ta]
- Theppitak Karoonboonyanan [th]
- Muhammet Kara [tr]
- Ernest Mashele [ts]
- Wylmer Wang [zh_CN]
- Chao-Hsiung Liao [zh_HK, zh_TW]

New and updated manual translations

- Mario Blättermann [de]
- Jorge González, Daniel Mustieles [es]

Version 3.1.91
--------------

 * Use 'Image Viewer' in all UI visible strings instead
   of 'Eye of GNOME' (Tiffany Antopolski)
 * Internationalization fixes (Felix Riemann)
 * Major help update (Tiffany Antopolski, Ryan Lortie, Phil Bull)

Bug fixes:

 #654548, Split sentences (Felix Riemann)
 #658152, eog should use generic name in titlebar (Tiffany Antopolski)

New and updated translations:

- Ihar Hrachyshka [be]
- Marek Černocký [cz]
- Jorge González [es]
- Arash Mousavi [fa]
- Jiri Grönroos, Ville-Pekka Vainio [fi]
- Bruno Brouard [fr]
- Fran Dieguez [gl]
- Wouter Bolsterlee [nl]
- Chao-Hsiung Liao [zh_HK]
- Chao-Hsiung Liao [zh_TW]

New and updated manual translations:

- Jorge González, Daniel Mustieles [es]

Version 3.1.90
--------------

  * Decrease the fullscreen toolbar timeout to match other popular
    applications (Claudio Saavedra)

New and updated translations:

- Ivaylo Valkov [bg]
- Andika Triwidada [id]
- A S Alam [pa]
- Og Maciel [pt_BR]
- Abduxukur Abdurixit [ug]

Version 3.1.5
-------------

  * Render compressed SVGs using librsvg as well (Felix Riemann)
  * Enable fullscreen plugin by default (Felix Riemann)
  * Miscellaneous fixes/improvements (Felix Riemann, Fabian Sturm)

Bug fixes:

  #552537, Fullscreen-plugin should be enabled by default (Felix Riemann)
  #655377, SVGZ is unsupported (Felix Riemann)
  #655794, Major bug in eog has_data function? (Felix Riemann, Fabian Sturm)
  #655889, image variable is not updated correctly (Felix Riemann, Fabian Sturm)

New and updated translations:

- Mario Blättermann, Hendrik Knackstedt [de]
- Bruno Brouard [fr]
- Fran Diéguez [gl]
- Yaron Shahrabani [he]
- Balázs Meskó [hu]
- Yuri Kozlov [ru]
- Andrej Žnidaršič [sl]
- Daniel Nylander [sv]
- Theppitak Karoonboonyanan [th]
- Julius Wong, 朱涛 [zh_CN]
- Priscilla Mahlangu [zu]

New and updated manual translations

- Bruno Brouard [fr]

Version 3.1.4
-------------

  * Stop silently ignoring errors while saving images (Javier Sánchez)
  * Improve display of GPS Exif tags (Felix Riemann)
  * Miscellaneous fixes/improvements (José Aliste, Felix Riemann)

Bug fixes:

  #615376, if saving an image fails it's done silently (Javier Sánchez)
  #627185, Incomplete EXIF GPS metadata (Felix Riemann)
  #653162, Warning on fullscreening (Felix Riemann)

New and updated translations:

- Ihar Hrachyshka [be]
- Marek Černocký [cs]
- Christian Kirbach, Paul Seyfert [de]
- Jorge González [es]
- Tommi Vainikainen [fi]
- Rūdofls Mazurs [lv]
- Kjartan Maraas [nb]
- Matej Urbančič [sl]
- Muhammet Kara [tr]
- Abduxukur Abdurixit, Sahran [ug]

New and updated manual translations

- Gabor Kelemen [hu]
- Andrej Žnidaršič [sl]

Version 3.1.2
-------------

  * New "Show containing folder" command (Akshay Gupta, Felix Riemann)
  * Improved SVG decoding (Felix Riemann)
  * Better orientation support for TIFF and non-exif formats (Felix Riemann)
  * Port from dbus-glib to GtkApplication (Claudio Saavedra)
  * Misc. code improvements (Felix Riemann, Claudio Saavedra)
  * Documentation improvements (Jorge González, Tiffany Antopolski)

Bug fixes:

  #649894, gui tag begins with capital letters (Jorge Gonzalez)
  #650402, Add an "Open containing folder" command (Akshay Gupta)
  #642725, EOG does not render SVG elements from other files at 100%
           zoom (Felix Riemann)
  #544068, Missing signal when the image has been displayed (Felix
           Riemann)
  #548474, EOG display TIFF files flipped (Felix Riemann)
  #615114, some .CR2 (RAW) pictures are displayed mirrored (Felix Riemann)
  #622876, Migrate from dbus-glib to GApplication (Claudio Saavedra)

New and updated translations:

- Gil Forcada [ca@valencia]
- Daniel Mustieles [es]
- Yaron Shahrabani [he]
- Fran Diéguez [gl]
- Kjartan Maraas [nb]
- Matej Urbančič [sl]
- Praveen Illa [te]

Updated manual translations:

- Christian Kirbach, Mario Blättermann [de]
- Daniel Mustieles [es]

Version 3.1.1
-------------

  * Rewrite help docs using Mallard (Tiffany Antopolski, Ryan Lortie,
    Mario Blättermann, Felix Riemann)
  * Upgrade to use Little CMS 2 library for color profiling (Felix Riemann)
  * Improve preferences dialog appearance (Diego Escalante Urrelo)
  * Miscellaneous fixes/improvements (Ryan Lortie, Felix Riemann)

Bug fixes:

  #646623, preferences-dialog: fix some rough edges in the ui file
           (Diego Escalante Urrelo)
  #648440, Toolbar editor should be disabled after toolbar is made invisible
           (Felix Riemann)
  #648055, Toolbar editor should be disabled if toolbar is not visible
           (Felix Riemann)
  #648833, unused variable 'screen' in eog_window_init (Ryan Lortie)

New and updated translations:

- Krasimir Chonov [bg]
- Gil Forcada [ca]
- Marek Černocký [cs]
- Kristjan SCHMIDT [eo]
- Jorge González [es]
- Arash Mousavi [fa]
- Fran Diéguez [gl]
- Yaron Shahrabani [he]
- Kjartan Maraas [nb]
- Wouter Bolsterlee [nl]
- Matej Urbančič [sl]
- Daniel Nylander [sv]
- Theppitak Karoonboonyanan [th]
- Muhammet Kara [tr]
- Abduxukur Abdurixit, Sahran [ug]
- Daniel Korostil [uk]

New and updated manual translations

- Daniel Mustieles, Joaquín Aramendía, Jorge González [es]
- Timo Jyrinki [fi]
- Yasumichi Akahoshi [ja]
- Andrej Žnidaršič [sl]

Version 3.0.0
-------------

New and updated translations:

- F Wolff [af]
- Nilamdyuti Goswami [as]
- Krasimir Chonov [bg]
- Runa Bhattacharjee [bn_IN]
- Jordi Serratosa [ca]
- Kenneth Nielsen [da]
- Wolfgang Stöggl [de]
- Iñaki Larrañaga Murgoitio [eu]
- Sweta Kothari [gu]
- Rajesh Ranjan [hi]
- Gianvito Cavasoli [it]
- Shankar Prasad [kn]
- Laco Gubík [sk]
- Милош Поповић [sr]
- Miloš Popović [sr@latin]
- Dr.T.Vasudevan [ta]
- Muhammet Kara [tr]
- Sahran [ug]
- Korostil Daniel [uk]
- Nguyễn Thái Ngọc Duy [vi]
- Chao-Hsiung Liao [zh_HK, zh_TW]

New and updated manual translations

- Petr Kovar [cs]

Version 2.91.92
---------------

  * Updates to work with latest GNOME3 APIs (Claudio Saavedra, Felix Riemann)

Bug fixes:

  #644417, Update GSettings key for desktop background (Claudio Saavedra)
  #644631, Use gnome-session d-bus api to inhibit screensaver (Felix Riemann)

New and updated translations:

- Marek Černocký [cs]
- Michael Kotsarinis [el]
- Bruce Cowan [en_GB]
- Fran Diéguez [gl]
- Gabor Kelemen [hu]
- Dirgita [id]
- Takayuki KUSANO [ja]
- Shankar Prasad [kn]
- Gintautas Miliauskas [lt]
- Rudolfs Mazurs [lv]
- Wouter Bolsterlee [nl]
- Piotr Drąg [pl]
- André Gondim, Flamarion Jorge [pt_BR]
- Lucian Adrian Grijincu [ro]
- Lele Long [zh_CN]

New and updated manual translations

- Claude Paroz [fr]

Version 2.91.91
---------------

  * Re-enable the Python plugin loader (Steve Frécinaux)
  * Open correct capplet when setting background image (Matthias Clasen)
  * Miscellaneous fixes (Cosimo Cecchi, Claudio Saavedra)

Bug fixes:

  #642969, "Open Background Preferences" does not work (Matthias Clasen)
  #644117, add the primary-toolbar style to the toolbar (Cosimo Cecchi)

New and updated translations:

- Khaled Hosny [ar]
- Gil Forcada [ca]
- Mario Blättermann [de]
- Daniel Mustieles [es]
- Ivar Smolin [et]
- Alain Lojewski, Bruno Brouard [fr]
- Yaron Shahrabani [he]
- Yasumichi Akahoshi, Takayuki KUSANO [ja]
- Changwoo Ryu [ko]
- Rudolfs Mazurs [lv]
- Kjartan Maraas [nb]
- A S Alam [pa]
- Duarte Loreto [pt]
- Yuri Myaseodov [ru]
- Matej Urbančič [sl]
- Daniel Nylander [sv]
- Wei Li, YunQiang Su [zh_CN]

Version 2.91.90
---------------

  * Miscellaneous fixes (Cosimo Cecchi, Garrett Regier, Felix Riemann)

Bug fixes:

  #641107, consider dropping open file type filter (Felix Riemann)

New and updated translations:

- Khaled Hosny [ar]
- Alexander Shopov [bg]
- Felix Riemann [de]
- Jorge González [es]
- Ivar Smolin [et]
- Iñaki Larrañaga Murgoitio [eu]
- Fran Diéguez [gl]
- Sweta Kothari [gu]
- Yaron Shahrabani [he]
- Torstein Adolf Winterseth [nb]
- Matej Urbančič [sl]
- Daniel Nylander [sv]
- Chao-Hsiung Liao [zh_HK, zh_TW]

New and updated manual translations

- Daniel Mustieles, Jorge González [es]

Version 2.91.7
--------------

  * Fixed build on systems without GDK-2.x (Diego Escalante Urrelo)
  * Miscellaneous cleanups (Felix Riemann, Yanko Kaneti)

Bug fixes:

  #628547, menupaths in documentation need updating (Felix Riemann)
  #639921, FTBFS: missing X11 link and bad gdk target detection
           (Diego Escalante Urrelo)

New and updated translations:

- Marek Černocký [cs]
- Michael Kotsarinis [el]
- Iñaki Larrañaga Murgoitio [eu]
- Arash Mousavi [fa]
- Fran Diéguez [gl]
- Yuri Myasoedov [ru]
- Matej Urbančič [sl]

New and updated manual translations

- Mario Blättermann [de]
- Michael Kotsarinis [el]

Version 2.91.6
--------------

  * The plugin system was converted to libpeas (Claudio Saavedra, Felix Riemann)
  * Basic support for GObject Introspection (Claudio Saavedra)
  * Support copying an image to the clipboard (Adrian Hands, Felix Riemann)
  * More GTK+-3.0 compatibility fixes (Claudio Saavedra)
  * Misc fixes, cleanups and optimizations (Claudio Saavedra, Felix Riemann)

Bug fixes:

  #78514,  copy item in edit menu (Adrian Hands, Felix Riemann)
  #626091, Port eog to use libpeas for the plugin engine (Claudio Saavedra,
           Felix Riemann)
  #626257, Add GObject Introspection support (Claudio Saavedra)
  #639312, rendering/layout infinite loop in GtkIconView (Claudio Saavedra)

New and updated translations:

- Khaled Hosny [ar]
- Alexander Shopov [bg]
- Paul Seyfert [de]
- Daniel Mustieles, Jorge González [es]
- Ivar Smolin [et]
- Fran Diéguez [gl]
- Yaron Shahrabani [he]
- Andika Triwidada [id]
- Kjartan Maraas, Torstein Adolf Winterseth [nb]
- Matej Urbančič [sl]
- Daniel Nylander [sv]
- Nguyễn Thái Ngọc Duy [vi]

Version 2.91.5
--------------

  * Fix build with GTK+ 2.91.7 (Claudio Saavedra)

Version 2.91.4
--------------

  * Fix unwanted image reloads for accidential drag&drops (Felix Riemann)
  * Initially use page settings from system print queue (Marek Kašík)
  * Various code improvements/fixes (Claudio Saavedra, Felix Riemann)

Bug fixes:

  #549039, gtkprint doesn't use the ppd default paper size (Marek Kašík)
  #585069, Drag&drop of current image forces the image to reload (Felix Riemann)
  #637648, Build error (Felix Riemann)

New and updated translations:

- Ivar Smolin [et]
- Lucian Adrian Grijincu [ro]
- Chao-Hsiung Liao [zh_HK, zh_TW]

New and updated manual translations

- Djavan Fagundes [pt_BR]

Version 2.91.3
--------------

  * Finish GSettings conversion (Felix Riemann)
  * Fix build with latest GNOME 3 APIs (Javier Jardón, Baptiste Mille-Mathias)
  * Various code fixes/cleanups (Baptiste Mille-Mathias, Felix Riemann)

Bug fixes:

  #620121, Migrate from GConf to GSettings (Felix Riemann)
  #622161, EOG + "Date in statusbar plugin" hangs with specific PNG pictures
           (Felix Riemann)
  #634907, Fix build against GNOME 3 platform (Baptiste Mille-Mathias)
  #634942, Removing any reference to *glade (Baptiste Mille-Mathias)

New and updated translations:

- Theppitak Karoonboonyanan [th]
- Gheyret T.Kenji [ug]

Version 2.91.2
--------------

  * Migrate to XDG folders for config files (Sebastian Geiger, Felix Riemann)
  * Adapt to API changes in latest GTK+ (Matthias Clasen, Javier Sánchez)
  * Further code fixes / improvements (Felix Riemann, Javier Sánchez)

Bug fixes:

  #522806, Eye of GNOME doesn't match FreeDesktop directories specs
           (Sebastian Geiger, Felix Riemann)
  #589921, Save as must set right permissions and not just copy (Felix Riemann)
  #632458, eog shows old information after deletion of last file (Felix Riemann)
  #632608, handle combo box text api going away(Matthias Clasen, Javier Sánchez)
  #632954, Remove references to gtk_widget_hide_all (Javier Sánchez)
  #633746, ”Random image” doesn't work with two images in a folder
           (Felix Riemann)

New and updated translations:

- Carles Ferrando [ca@valencia]
- Jakob Kramer [de]
- Ivar Smolin [et]
- Takayuki KUSANO [ja]
- Laco Gubík [sk]
- Matej Urbančič [sl]
- Gheyret T.Kenji, Sahran [ug]
- Aron Xu [zh_CN]

Version 2.91.1
--------------

  * Distributor-configurable "Edit Image" toolbar button (Ryan Lortie)
  * Make "Best Fit" a toggleable state of the image view (Felix Riemann)
  * Several code fixes / improvements (Claudio Saavedra, Felix Riemann)

Bug fixes:

  #609958, add "Edit Image" toolbar button (Ryan Lortie)
  #614634, EOG prevents the Desktop thumbnails to be updated.
           (Claudio Saavedra)
  #616890, Indicate when best fit and normal zoom are true (Felix Riemann)
  #623271, freezes on named pipe (Felix Riemann)
  #631710, displays garbage at bottom of image (Felix Riemann)
  #632290, eog does not save changes if image is rotated and flipped once
           (Felix Riemann)

New and updated translations:

- Jorge González [es]
- Fran Diéguez [gl]
- Yaron Shahrabani [he]
- Kjartan Maraas [nb]
- A S Alam [pa]

New and updated manual translations

- Andrej Žnidaršič, Matej Urbančič [sl]

Version 2.91.0
--------------

  * Switch rendering from GDK to cairo (Claudio Saavedra)
  * Request a dark theme variant for the UI (Florian Müllner)
  * Improved compatibility with GTK+-3 (Matthias Clasen, Florian Müllner,
    Claudio Saavedra, Felix Riemann)
  * Draw images against black background by default to gain a
    better contrast (Felix Riemann)
  * Copy image to disk when setting as desktop background when it is
    located on removable media (Claudio Saavedra)
  * Ask user whether to reload an externally modified image (Claudio Saavedra)
  * Improve GSettings-usage (Felix Riemann)
  * New toolbar button and shortcut to pause the slideshow (Felix Riemann)
  * Various Code improvements/fixes (Claudio Saavedra)

Bug fixes:

  #534348, eog should suggest to reload a modified file (Claudio Saavedra)
  #553283, The slideshow is not being paused when P is pressed (Felix Riemann)
  #613056, Side pane always shown at startup when plug-in is activated
           (Claudio Saavedra)
  #616450, Use a nicer background colour (Felix Riemann)
  #618886. Slideshow mode should have a pause button (Felix Riemann)
  #624261, Switch to GTK+-3.0 (Florian Müllner)
  #624262, Request a dark theme variant (Florian Müllner)
  #625226, Confirmation to update rotated images should be optional
           (Felix Riemann)
  #625325, Useless Yes/No question (Felix Riemann)
  #625384, Background setting doesn't work as expected (Claudio Saavedra)
  #626569, Button bar appears when deleting in fullscreen (Felix Riemann)
  #626795, Port EogScrollView to cairo (Claudio Saavedra)
  #628148, Miscellaneous string fixes (Philip Withnall)
  #630686. drop GtkObject use (Matthias Clasen)

New and updated translations:

- Khaled Hosny [ar]
- Xandru Armesto [ast]
- Ivaylo Valkov [bg]
- Gil Forcada [ca]
- Adrian Guniš [cs]
- Kenneth Nielsen [da]
- Christian Kirbach [de]
- Michael Kotsarinis [el]
- Philip Withnall [en_GB]
- Jorge González [es]
- Priit Laes [et]
- Iñaki Larrañaga Murgoitio [eu]
- Claude Paroz [fr]
- Sense Hofstede [fy]
- Fran Diéguez [gl]
- Yaron Shahrabani [he]
- Gabor Kelemen [hu]
- Andika Triwidada [id]
- Gianvito Cavasoli [it]
- Takayuki KUSANO [ja]
- Baurzhan Muftakhidinov [kk]
- Aurimas Černius [lt]
- Kjartan Maraas [nb]
- Wouter Bolsterlee [nl]
- A S Alam [pa]
- Duarte Loreto [pt]
- Lucian Adrian Grijincu [ro]
- Yuri Myasoedov [ru]
- Matej Urbančič [sl]
- Милош Поповић [sr]
- Miloš Popović [sr@latin]
- Dr.T.Vasudevan [ta]
- Dean Lee [zh_CN]
- Chao-Hsiung Liao [zh_HK, zh_TW]

New and updated manual translations

- YunQiang Su [zh_CN]

Version 2.31.4
--------------

  * Rename "Image Collection" to "Image Gallery" (Felix Riemann)
  * Update totem-scrsaver to use GDBus (Bastien Nocera, Florian Müllner)
  * Build fixes (Claudio Saavedra, Felix Riemann)
  * Optimize GSettings-usage and fix key names (Felix Riemann)

Bug fixes:

  #618304, Rename 'Image Collection' to 'Gallery' (Felix Riemann)
  #621370, invalid character (_) in gsettings key (Felix Riemann)
  #621439, Update totem-scrsaver from upstream (Bastien Nocera, Florian Müllner)
  #621616, eog-2.30.1 fails to configure when --without-libjpeg is passed
           (Claudio Saavedra)

New and updated translations:

- Mario Blättermann [de]
- Kristjan SCHMIDT [eo]
- Jorge González [es]
- Ivar Smolin [et]
- Fran Diéguez [gl]
- Yaron Shahrabani [he]
- Kjartan Maraas [nb]

New and updated manual translations:

- Carles Ferrando Garcia [ca]
- Mario Blättermann [de]
- Jorge González [es]
- Jukka Heikkilä [fi]

Version 2.31.3
--------------

  * Begin GSettings migration (Felix Riemann)
  * Allow using a custom background color for the image view (Felix Riemann)

Bug fixes:

  #502992, allow user to specify background color (Felix Riemann)

New and updated translations:

- Ivar Smolin [et]
- Yaron Shahrabani [he]
- Sira Nokyoongtong [th]

Version 2.31.2
--------------

  * Make eog fully GSEAL-compilant (Felix Riemann)

Bug fixes:

  #606883, Make eog GSEAL-compatible (Andre Klapper, Felix Riemann)

New and updated translations:

- Ihar Hrachyshka [be]
- Thomas Thurman [en@shaw]
- Wouter Bolsterlee [nl]
- Manoj Kumar Giri [or]
- Matej Urbančič [sl]

Version 2.31.1
--------------

  * Render SVGs natively when zoomed (Hiroyuki Ikezoe)
  * Print SVGs as vector image (Felix Riemann)
  * Embed page setup in print dialog (Marek Kašík)
  * Add high resolution app icon (Hylke Bons)
  * Various UI improvements (Hylke Bons, Gabriel Corvalan Cornejo)
  * Further GSEAL-compatibility work (Andre Klapper, Felix Riemann)

Bug fixes:

  #108435, SVG scaling support (Hiroyuki Ikezoe)
  #518055, SVG being printed as low res bitmap (Felix Riemann)
  #614405, use icons for recent file list (Hylke Bons)
  #614451, Embed page setup dialog in the print dialog (Marek Kašík)
  #614457, menu tweaks (Hylke Bons, Felix Riemann)
  #614497, bad wording in open file dialog (Gabriel Corvalan Cornejo)
  #615344, Does not show external linked images that the URI is
           relative path in svg (Hiroyuki Ikezoe)
  #615356, hires icon for eog (Hylke Bons)
  #615387, libjpeg-8 breaks lossless JPEG modification (Felix Riemann)
  #615531, Please support --version (Felix Riemann)

New and updated translations:

- Amitakhya Phukan [as]
- Runa Bhattacharjee [bn_IN]
- Gil Forcada [ca]
- Gil Forcada [ca@valencia]
- Jorge González [es]
- Ivar Smolin [et]
- Fran Diéguez [gl]
- Shankar Prasad [kn]
- Žygimantas Beručka [lt]
- Anita Reitere [lv]
- Ani Peter [ml]
- Sandeep Shedmake [mr]
- Kjartan Maraas [nb]
- Wouter Bolsterlee [nl]
- Yannig Marchegay (Kokoyaya) [oc]
- Krishna Babu K [te]
- Theppitak Karoonboonyanan [th]
- Gheyret T.Kenji [ug]

Version 2.30.0
---------------

New and updated translations:

- Krasimir Chonov [bg]
- Sadia Afroz[bn]
- Gil Forcada [ca]
- Kenneth Nielsen [da]
- Thanos Lefteris [el]
- Bruce Cowan [en_GB]
- Mattias Põldaru [et]
- Iñaki Larrañaga Murgoitio [eu]
- Tommi Vainikainen [fi]
- Claude Paroz [fr]
- Sweta Kothari [gu]
- Yaron Shahrabani [he]
- Gabor Kelemen [hu]
- Gianvito Cavasoli [it]
- Hideki Yamane (Debian-JP), SUGITA Toshinori [ja]
- Changwoo Ryu [ko]
- Gintautas Miliauskas [lt]
- A S Alam [pa]
- Piotr Drąg [pl]
- Duarte Loreto [pt]
- Горан Ракић [sr]
- Goran Rakić [sr@latin]
- Daniel Nylander [sv]
- Maxim Dziumanenko [uk]
- Chao-Hsiung Liao [zh_HK, zh_TW]

Version 2.29.91
---------------

  * Build fixes (Maciej Piechotka, Felix Riemann)

Bug fixes:

  #609184, Build failure: doesn't look for some required libs (Felix Riemann)
  #610692, eog 2.29.90 fails to build (Maciej Piechotka)

New and updated translations:

- Khaled Hosny [ar]
- Amitakhya Phukan [as]
- Adrian Guniš [cs]
- Jorge González [es]
- Fran Diéguez [gl]
- Kjartan Maraas [nb]
- Vladimir Melo [pt_BR]
- Lucian Adrian Grijincu [ro]
- Alexander Saprykin [ru]
- Matej Urbančič [sl]
- Dr,T,Vasudevan [ta]

Version 2.29.90
---------------

  * Further GSEAL-compatibility improvements (Felix Riemann)
  * Allow switching to a random image from the collection (Quinten Lansu)
  * Build fixes (Daniel Macks)
  * Ask user if he actually needs the Appearance capplet after setting a new
    desktop wallpaper through Eye of GNOME (Felix Riemann)

Bug fixes:

  #606935, "Change desktop background" dialog shows up when using
           "Set as desktop wallpaper" option in image viewer (Felix Riemann)
  #609184, Build failure: doesn't look for some required libs (Daniel Macks)

New and updated translations:

- Khaled Hosny [ar]
- Krasimir Chonov [bg]
- Sadia Afroz [bn]
- Christian Kirbach, Felix Riemann [de]
- Jorge González [es]
- Ivar Smolin [et]
- Sweta Kothari [gu]
- Kjartan Maraas [nb]
- Michel Recondo [pt_BR]
- Matej Urbančič [sl]
- Dr,T,Vasudevan [ta]
- Theppitak Karoonboonyanan [th]
- YunQiang Su [zh_CN]
- Chao-Hsiung Liao [zh_HK, zh_TW]

Version 2.29.5
--------------

  * Remember last save location during session (Felix Riemann)
  * String fixes / improvements (Philip Withnall)
  * Improve GSEAL-compatibility (Felix Riemann)
  * Use GtkInfoBar widget for the error message area (Felix Riemann)

Bug fixes:

  #604230, Don't remaind the last save location (directory) (Felix Riemann)
  #605851, Miscellaneous string fixes (Philip Withnall)
  #605852, Use Pango markup attributes in GtkBuilder file (Philip Withnall)

New and updated translations

- Philip Withnall [en_GB]
- Jorge González [es]
- Laurent Coudeur [fr]
- Yaron Shahrabani [he]
- Kjartan Maraas [nb]
- Nils-Christoph Fiedler [nds]
- Daniel Nylander [sv]
- Clytie Siddall [vi]
- Maxim Dziumanenko [uk]

New and updated manual translations

- Maxim V. Dziumanenko [uk]

Version 2.29.3
--------------

  * Code fixes / improvements (Felix Riemann)

New and updated translations

- Khaled Hosny [ar]
- Ivar Smolin [et]
- Tao Wei [zh_CN]

Version 2.29.2
--------------

  * Add dialog asking to save changes on exit (Marcus Carlson)
  * Build system fixes (Sebastien Bacher)

Bug fixes:

  #322243, eog doesn't ask whether to save changes (Marcus Carlson)
  #600893, don't use LOCALMODLIBS in the configure (Sebastien Bacher)

New and updated translations

- Alexander Shopov [bg]
- Thomas Thurman [en@shaw]
- Jorge González [es]
- Antón Méixome [gl]
- Matej Urbančič [sl]

Version 2.29.1
--------------

  * Support for animated GIFs (Raoul Berger)
  * Enhance statusbar translatability (Khaled Hosny)
  * Code fixes/improvements (Josh Lee, Felix Riemann)

Bug fixes:

  #335093, Support for animated images (Raoul Berger)
  #566104, Reverse Left/Right arrows action in RTL mode (Felix Riemann)
  #597059, Make statusbar info string translatable (Khaled Hosny)
  #597754, Incorrect behavior when slideshow delay is set to 0 seconds
           (Josh Lee)

New and updated translations

- Khaled Hosny [ar]
- Denis Arnaud [br]
- Jordi Mas [ca]
- Adrian Guniš [cs]
- Christian Kirbach [de]
- Jorge González [es]
- Ivar Smolin [et]
- Claude Paroz [fr]
- Gabor Kelemen [hu]
- Davide Falanga [it]
- Kjartan Maraas [nb]
- A S Alam [pa]
- Wancharle Sebastião Quirino [pt_BR]
- Leonid Kanter [ru]
- Matej Urbančič [sl]
- Daniel Nylander [sv]
- Dr.T.Vasudevan [ta]

New and updated manual translations

- Khaled Hosny [ar]

Version 2.28.0
--------------

New and updated translations:
- Amitakhya Phukan [as]
- astur [ast]
- Runa Bhattacharjee [bn_IN]
- Denis ARNAUD [br]
- Kenneth Nielsen [da]
- Giannis Katsampirhs [el]
- Philip Withnall [en_GB]
- Sweta Kothari [gu]
- Rajesh Ranjan [hi]
- Shankar Prasad [kn]
- Gintautas Miliauskas [lt]
- Ani Peter [ml]
- Sandeep Shedmake [mr]
- Manoj Kumar Giri [or]
- A S Alam [pa]
- Adi Roiban [ro]
- Matej Urbančič [sl]
- Krishna Babu K [te]
- Maxim Dziumanenko [uk]

New and updated manual translations:
- Ask Hjorth Larsen [da]
- Μάριος Ζηντίλης, Kostas Papadimas [el]

Version 2.27.92
---------------

Bug fixes:

  #592945, Images not automatically rotated (Felix Riemann)
  #594403, Display order is broken in some locales (Felix Riemann)

New and updated translations
- Runa Bhattacharjee [bn_IN]
- Denis Arnaud [br]
- Iñaki Larrañaga Murgoitio [eu]
- Gabor Kelemen [hu]
- Davide Falanga [it]
- Shankar Prasad [kn]
- Changwoo Ryu [ko]
- Duarte Loreto [pt]
- Miloš Popović [sr, sr@latin]
- Askin Yollu [tr]

Version 2.27.91
---------------

  * Make "Open With..." plugin look more like Nautilus's (Marcus Carlson)
  * Code fixes / improvements (Felix Riemann)

Bug fixes:

  #592649, Open with list should be in sync with nautilus (Marcus Carlson)

New and updated translations
- Khaled Hosny [ar]
- Alexander Shopov [bg]
- Adrian Guniš [cs]
- Tommi Vainikainen [fi]
- Laurent Coudeur [fr]
- Seán de Búrca [ga]
- Antón Méixome [gl]
- Piotr Drąg [pl]
- Theppitak Karoonboonyanan [th]

Version 2.27.90
---------------

  * Fix crashes with plugins using Clutter 1.0 (Felix Riemann)
  * Make netbook-mode and xdg-fallback always enabled (Felix Riemann)
  * Support Automake 1.11's silent build rules (Felix Riemann)
  * Generate ChangeLog from git history (Lucas Rocha)
  * Build system fixes (Felix Riemann)

Bug fixes:

  #590124, Eog fails to compile if exempi/exif are not available (Felix Riemann)

New and updated translations:

- Carles Ferrando [ca@valencia]
- Adrian Gunis [cs]
- Jochen Skulj [de]
- Jorge González [es]
- Ivar Smolin [et]
- Iñaki Larrañaga Murgoitio [eu]
- Antón Méixome [gl]
- Yaron Shahrabani [he]
- Peteris Krisjanis [lv]
- Kjartan Maraas [nb]
- Manoj Kumar Giri [or]
- Krix Apolinário, Leonardo Ferreira Fontenelle [pt_BR]
- Daniel Nylander [sv]
- Dr.T.Vasudevan [ta]
- Chao-Hsiung Liao [zh_HK, zh_TW]

Version 2.27.5
--------------

  * Add option to move the detailed metadata list on its own page in the image
    properties dialog; useful on small screens (Felix Riemann)
  * Add option to have filechooser show the XDG pictures folder by default if 
    no image is loaded (Felix Riemann)
  * Code improvements (Claudio Saavedra, Frédéric Péters)
  * Build system improvements / fixes (Felix Riemann)

Bug fixes:

  #566810, Image properties dialog too big for netbooks (Felix Riemann)
  #589151, Let filechooser fall back to user's pictures folder (Felix Riemann)
  #589584, always show icon for rotate/flip menu items (Frédéric Péters)

New and updated translations

- Khaled Hosny [ar]
- Jorge González [es]
- Ivar Smolin [et]
- Ilkka Tuohela [fi]
- César Veiga, Leonardo Ferreira Fontenelle [pt_BR]
- Bùi Xuân Dương, Nguyễn Thái Ngọc Duy [vi]
- Chao-Hsiung Liao [zh_HK, zh_TW]

New and updated manual translations

- Marek Černocký [cs]

Version 2.27.4
--------------

  * Allow having a "Save" button on the toolbar (Felix Riemann)
  * Try to realise the main window from the main loop to reduce the risk
    of crashes when clutter-using plugins use the sidebar. (Felix Riemann)

New and updated translations:

- Mark Krapivner [he]
- Daniel Nylander [sv]
- wanderlust [uk]

Version 2.27.3
--------------

Bug fixes:

  #585357, Undefined entity in .de helpfile (Felix Riemann)

New and updated translations:

- Kjartan Maraas [nb]

Version 2.27.2
--------------

  * Interpolation controllable independently for zoom-in and zoom-out
    (Brad Greco, Evert Verhellen)
  * Code improvements / fixes (Felix Riemann)

Bug fixes:

  #491197, Avoiding zoom-in blurriness (Brad Greco, Evert Verhellen)
  #583268, properties in image properties dialog not selectable (Felix Riemann)
  #583448, Crash on exif data (Felix Riemann)

New and updated translations:
- Nathan-J. Hirschauer [de]
- Jorge González [es]
- Ivar Smolin [et]
- Dr.T.Vasudevan [ta]

New and updated manual translations:

- Βασίλης Κοντογιάνης, Simos Xenitellis [el]

Version 2.27.1
--------------

  * Drop libart_lgpl dependency (Felix Riemann)
  * Allow disabling trash confirmation dialog (Felix Riemann)
  * Shortcut improvements (Gabor Kelemen, Felix Riemann, Claudio Saavedra,
    Cyriac Thomas)
  * Reduce number of exported symbols (Felix Riemann)
  * UI improvements (Claudio Saavedra, Robin Stocker)
  * Code improvements / fixes (Josselin Mouette, Felix Riemann,
    Claudio Saavedra)

Bug fixes:

  #541967, Make possible to remove image with 'Delete' without being asked
           for confirmation (Felix Riemann)
  #543158, Make deletion confirmation dialog optional during session
           (Felix Riemann)
  #556378, "Best Fit" zoom setting should have a shortcut (Felix Riemann)
  #557317, image collection's scroll bar doesn't have a proportional slider
           (Robin Stocker)
  #571732, Get rid of deprecated libart_lgpl (Felix Riemann)
  #575772, Move to Trash button has no accelerator (Gabor Kelemen)
  #576558, Crashes when trying to save write protected file
           (Josselin Mouette, Felix Riemann)
  #579212, JPEG file causes memory corruption (Claudio Saavedra)
  #580600, eog crashes on drag&drop a directory from places menu (Felix Riemann)
  #581180, Set as background on Right click (Cyriac Thomas)

New and updated translations:

- Osama Khalid [ar]
- Amitakhya Phukan [as]
- Thanos Lefteris, Simos Xenitellis [el]
- Jorge González [es]
- Claude Paroz [fr]
- Shankar Prasad [kn]
- Gintautas Miliauskas [lt]
- A S Alam [pa]
- Vladimir Melo [pt_BR]
- Matej Urban [sl]
- Miloš Popović [sr.po, sr@latin]
- Funda Wang [zh_CN]

New and updated manual translations:

- Felix Riemann [de]
- Marios Zindilis, Fotis Tsamis [el]
- Claude Paroz [fr]

Version 2.26.0
--------------

New and updated translations:

- Runa Bhattacharjee [bn_IN]
- Kenneth Nielsen, Ask H. Larsen [da]
- Suso Baleato, Ignacio Casal Quinteiro [gl]
- Yaron Shahrabani [he]
- Rajesh Ranjan [hi]
- Žygimantas Beručka, Gintautas Miliauskas [lt]
- Rajesh Ranjan [mai]
- Ani Peter [ml]
- Sandeep Shedmake [mr]
- Manoj Kumar Giri [or]
- Duarte Loreto [pt]
- Nickolay V. Shmyrev [ru]
- I. Felix [ta]
- Krishna Babu K, Krishnababu K [te]

New and updated manual translations:

- Kenneth Nielsen [da]
- Philip Withnall [en_GB]
- Milo Casagrande [it]
- Łukasz Jernaś [pl]

Version 2.25.92
---------------

  * Code improvements / fixes (Christian Persch, Claudio Saavedra)
  * Typo fixes in UI / docs (Milo Casagrande, Łukasz Jernaś)

Bug fixes:

  #550086, Rotate image counterclockwise shortcut (Felix Riemann)
  #558086, simplify drag targets handling (Christian Persch)
  #572410, eog crashed with SIGSEGV in g_closure_invoke() (Claudio Saavedra)
  #572723, Misspelled word in a window (Milo Casagrande)
  #572889, Possible typo (Łukasz Jernaś)

New and updated translations:

- Jordi Mas, David Planella [ca]
- Petr Kovar, Adrian Gunis [cs]
- Marios Zindilis, Simos Xenitellis [el]
- David Lodge, Philip Withnall [en_GB]
- Ivar Smolin [et]
- Claude Paroz [fr]
- Sweta Kothari [gu]
- Milo Casagrande [it]
- Shankar Prasad [kn]
- Changwoo Ryu [ko]
- Manoj Kumar Giri [or]
- Adi Roiban, Jani Monoses [ro]

New and updated manual translations:

- Joan Duran [ca]
- Jorge Gonzalez [es]
- Daniel Nylander [sv]

Version 2.25.91
---------------

  * Additional workaround for CVE-2008-5978 (Morten Welinder)

Bug fixes:

  #569228, eog: untrusted python modules search path (Morten Welinder)

New and updated translations:

- Ihar Hrachyshka [be@latin]
- Alexander Shopov [bg]
- Kenneth Nielsen [da]
- Christian Kirbach [de]
- Iñaki Larrañaga Murgoitio [eu]
- Gabor Kelemen [hu]
- Takeshi AIHANA [ja]
- Kjartan Maraas [nb]
- Wouter Bolsterlee [nl]
- Tomasz Dominikowski [pl]
- Duarte Loreto [pt]
- Adi Roiban, Jani Monoses [ro]
- Daniel Nylander [sv]
- Theppitak Karoonboonyanan [th]
- Clytie Siddall [vi]

New and updated manual translations:

- Ask. H. Larsen [da]
- Daniel Nylander [sv]

Version 2.25.90
---------------

  * Support for deleting files that can't be trashed (Claudio Saavedra)
  * Build system improvements / fixes (Luis Medinas, Felix Riemann)
  * Code improvements / fixes (Christian Persch, Joaquim Rocha)

Bug fixes:

  #441637, Patch to delete file when Trash isn't found (Claudio Saavedra)
  #568410, eog 2.25.5 build fails (Felix Riemann)
  #568882, don't rely on gtk implementation details (Christian Persch)
  #569657, Eog needs update on data/eog.pc.in (Luis Medinas)
  #569855, Unref on thumbnail manipulator functions (Joaquim Rocha)

New and updated translations:

- Jordi Mas, Gil Forcada [ca]
- Andre Klapper [de]
- Jorge González [es]
- Ilkka Tuohela [fi]
- Changwoo Ryu [ko]
- Krix Apolinário, Og Maciel, Henrique P. Machado, César Veiga [pt_BR]
- Chao-Hsiung Liao [zh_HK]
- Chao-Hsiung Liao [zh_TW]

New and updated manual translations:

- Andre Klapper [de]

Version 2.25.5
--------------

  * Code improvements / fixes (Felix Riemann)
  * Drop libgnome dependency (Felix Riemann)

Bug fixes:

  #559500, drop libgnome dependency (Felix Riemann)
  #557662, Cannot build doc without exif enabled. (Arun Raghavan)
  #566104, Reverse Left/Right arrows action in RTL mode (Khaled Hosny)
  #566190, scroll buttons of the icons navigation window are reversed for
           RTL locales (Yair Hershkovitz)

New and updated translations:

- Gil Forcada, Jordi Mas [ca]
- Marios Zindilis [el]
- Jorge Gonzalez, Jorge González [es]
- Kjartan Maraas [nb]
- Nurali, Nurali Abdurahmonov [uz]

Version 2.25.4
--------------

  * Code improvements / fixes (Felix Riemann)
  * Python bindings improvements (Felix Riemann)

Bug fixes:

  #566367, no weekday calculation in exif date display (Felix Riemann)

New and updated translations:

- Ivar Smolin [et]
- Gabor Kelemen [hu]
- Kjartan Maraas [nb]

New and updated manual translations:

- Jorge Gonzalez [es]

Versio 2.25.3
--------------

  * Build system improvements (Daniel Macks, Felix Riemann)
  * Code improvements / fixes (Claudio Saavedra, Friedrich Oslage, Tom Parker)
  * Fetch tooltip data asynchronously (Claudio Saavedra)
  * UI enhancements (Bob Mauchin, Robin Sonefors)

Bug fixes:

  #514352, HIG says "Page Setup" not "Page Setup..." (Bob Mauchin)
  #555480, Add a delete button (Robin Sonefors)
  #558442, eog should load image tooltips data asynchronously (Claudio Saavedra)
  #560070, Sub-optimal -I flag ordering (Daniel Macks)
  #560073, Poor linking against convenience libs (Daniel Macks, Felix Riemann)
  #563570, GNOME Goal: Clean up GLib and GTK+ includes (Claudio Saavedra)
  #564290, eog_image_load doesn't correctly clear errors on read issues
           (Tom Parker)
  #564526, eog SIGBUS on sparc (Friedrich Oslage)

New and updated translations:

- Jorge González [es]
- Mark Krapivner, Yair Hershkovitz [he]
- Daniel Nylander [sv]

Version 2.25.2
--------------

 * Build system fixes / improvements (Felix Riemann, Kjartan Maraas)
 * Workarounds to make remote images work again (Felix Riemann)
 * Fix broken keyboard keys (Frederic Peters)
 * String improvements (Luca Ferretti)
 * Code improvements (Felix Riemann)

Bug fixes:

-   #559579, Don't use "wallpaper" term deprecated by GDP style guide (Luca Ferretti)
-   #560065, Build failure: local variable-name collides with system-header symbol (Felix Riemann)
-   #560068, Insufficient check for libz (Felix Riemann)
-   #560336, need to update the eggtreemultidnd.[ch] copy from libegg (Felix Riemann)
-   #560396, can't open menu with keyboard when no image is shown (Frederic Peters)
-   #562119, eog doesn't open remote images (Felix Riemann)

New and updated translations:

- Jorge González [es]

Version 2.25.1
--------------

 * Improvements to the JPEG metadata reader (Felix Riemann)
 * Fix progress reporting when images only need copying during "Save As" (Felix Riemann)
 * Fix some critical warnings (Claudio Saavedra, Vincent Untz)
 * Do not open some images at 98% or 99% (Felix Riemann)
 * Install metadata related headers properly (Pierre-Luc Beaudoin)
 * Avoid possible markup "injection attack" (Martin Olsson)
 * Copy non-local images locally when setting them as wallpaper (Claudio Saavedra)
 * Allow DnD without an enabled collection (Claudio Saavedra)
 * Use less deprecated APIs (Felix Riemann, Diego Escalante Urrelo)
 * Code & Docs cleanups + improvements

Bug fixes:

-   #553232, copy remote wallpapers locally (Claudio Saavedra)
-   #476709, I need to drag & drop images from eog's simple viewer (Claudio Saavedra)
-   #530447, Eye of GNOME opens images resized at 98% or 99% zoom (Felix Riemann)
-   #555940, eog is vulnerable to pango injection attack :-) (Martin Olsson)
-   #555942, Not all public EXIF API headers are installed (Pierre-Luc Beaudoin)
-   #556086, Use gtk_show_uri instead of gnome_help (Diego Escalante Urrelo)
-   #555916, drop libglade dependency; use GtkBuilder (Felix Riemann)
-   #556029, Drop gnome-desktop dependency (Felix Riemann)

New and updated translations:

- OsamaKhalid [ar]
- Alexander Shopov [bg]
- Adrian Guniš [cs]
- Pierros Papadeas [el]
- Takeshi AIHANA [ja]
- Jovan Naumovski [mk]
- Wouter Bolsterlee [nl]
- Vladimir Melo [pt_BR]
- Laurent Dhima [sq]
- Daniel Nylander [sv]
- Maxim Dziumanenko [uk]

New and updated manual translations:

- Osama K [ar]
- Mario Blättermann [de]
- Sira Nokyoongtong [th]

Version 2.24.0
--------------

  * Fixes setting an image as wallpaper (Felix Riemann, Claudio Saavedra)

Bug fixes:

-   #552109, won't set wallpaper (Felix Riemann, Claudio Saavedra)

New and updated translations:

- Friedel Wolff [af]
- Khaled Hosny [ar]
- Jordi Mas, Gil Forcada [ca]
- Adrian Guniš [cs]
- M.P. Rommedahl, Kenneth Nielsen [da]
- Philipp Kerling [de]
- David Lodge, Philip Withnall [en_GB]
- Jorge González, Claudio Saavedra [es]
- Ivar Smolin [et]
- Iñaki Larrañaga Murgoitio, Inaki Larranaga Murgoitio [eu]
- Ilkka Tuohela [fi]
- Claude Paroz [fr]
- Ankit Patel, Ankitkumar Patel, Sweta Kothari [gu]
- Robert Sedak [hr]
- Gabor Kelemen [hu]
- Milo Casagrande, Luca Ferretti [it]
- Shankar Prasad [kn]
- Changwoo Ryu [ko]
- Žygimantas Beručka, Gintautas Miliauskas [lt]
- Sandeep Shedmake [mr]
- Kjartan Maraas [nb]
- Tomasz Dominikowski [pl]
- Duarte Loreto [pt]
- Vladimir Melo [pt_BR]
- Mugurel Tudor [ro]
- Alexandre Prokoudine [ru]
- Goran Rakić [sr.po, sr@latin]
- Dr.T.Vasudevan, Tirumurthi Vasudevan [ta]
- Theppitak Karoonboonyanan [th]
- Baris Cicek [tr]

New and updated manual translations:

- Mario Blättermann [de]
- Jorge Gonzalez [es]
- Robert-André Mauchin [fr]
- Milo Casagrande [it]

Version 2.23.92
---------------

  * Fixes in the recent files management (Felix Riemann)
  * Fixes drawing problems on the message area (Claudio Saavedra)
  * Fixes "Operation not supported" error on save-as-many (Felix Riemann)
  * Fixes the "reload image" plugin (Claudio Saavedra, Felix Riemann)
  * More API reference (Claudio Saavedra)

Bug fixes:

  #548392, redisplay image plugin is broken (Claudio Saavedra, Felix Riemann)
  #504538, When image is not found, eog shows broken background for the message (Claudio Saavedra)
  #550252, The Gimp breaks EOG's recent files order (Felix Riemann)

New and updated translations

- Alexander Shopov [bg]
- Hendrik Richter [de]
- David Lodge, Philip Withnall [en_GB]
- Rajesh Ranjan [hi]
- Robert Sedak [hr]
- Clytie Siddall, Nguyễn Thái Ngọc Duy [vi]
- Funda Wang [zh_CN]


Version 2.23.91
---------------

  * Fixes segfaults with XMP-only files (Felix Riemann)
  * Do not fail to show current directory in the open file chooser
   (Claudio Saavedra)
  * More robust handling of image loading errors (Felix Riemann)
  * Sensible UI defaults if GConf fails (Claudio Saavedra)
  * Misc UI improvements (Claudio Saavedra)
  * Build system and docs improvements (Tom Parker)

Bug fixes:

  #548738, Segfault trying to see properties of an image with XMP metadata
           (Felix Riemann)
  #547466, eog builds without python support can't build documentation
           (Tom Parker)
  #548736, eog's 'Open..' dialog gives an false "No such file or directory"
           (Claudio Saavedra)

New and updated translations:

- Goran Rakic [sr@Latn]
- Petr Kovar, Adrian Gunis [cs]
- Dawa pemo, Pema Geyleg [dz]
- Jorge González [es]
- Žygimantas Beručka, Gintautas Miliauskas [lt]
- Tomasz Dominikowski [pl]
- Chao-Hsiung Liao [zh_HK]
- Chao-Hsiung Liao [zh_TW]

New and updated manual translations:

- Leonardo Gregianin [pt_BR]

Version 2.23.90
---------------

Misc improvements/fixes:

  * Build system improvements (Felix Riemann, Paul, Tom Parker)

Bug fixes:

  #547302, eog trunk needs gtk >= 2.13.1 not 2.11.6 (Tom Parker)
  #547566, eog crashed with SIGSEGV in eog_thumbnail_load() (Felix Riemann)
  #548079, can not access File menu with Alt-F key combo (Felix Riemann)
  #548202, in the plugins, move $(EOG_LIBS) from libwhatever_la_LDFLAGS
           to libwhatever_la_LIBADD (Paul)

New and updated translations:

- Khaled Hosny [ar]
- Ihar Hrachyshka [be@latin]
- Iñaki Larrañaga Murgoitio [eu]
- Ilkka Tuohela [fi]
- Mark Krapivner, Yair Hershkovitz [he]
- Takeshi AIHANA [ja]
- Shankar Prasad [kn]
- Arangel Angov [mk]
- മണിലാല്‍ കെ.എം|Manilal K M, Hari Vishnu, Sarath Lakshman [ml]
- Duarte Loreto [pt]
- Vladimir Melo [pt_BR]
- Theppitak Karoonboonyanan [th]

Version 2.23.6
--------------

Misc improvements/fixes:

  * Code cleanups (Claudio Saavedra)
  * More icon naming specs usage (Matthias Clasen)

Bug fixes:

  #545873, use standard icon names (Matthias Clasen)

New and updated translations:

- Djihed Afifi [ar]
- Jorge Gonzalez [es]
- Ivar Smolin [et]
- Iñaki Larrañaga Murgoitio, Laurent Dhima [eu]
- Pierre Lemaire [fr]
- Ignacio Casal Quinteiro [gl]
- Kjartan Maraas [nb]
- Wouter Bolsterlee [nl]
- Yannig Marchegay (Kokoyaya) [oc]
- Hugo Doria, Fabrício Godoy [pt_BR]
- Laurent Dhima [sq]
- Woodman Tuen [zh_TW]

New and updated manual translations:

- Daniel Nylander [sv]

Version 2.23.5
--------------

Misc improvements/fixes:

  * Show 35mm film equivalent in addition to lens focal length in
    properties dialog if value is provided by image.
  * Code improvements and cleanups (Claudio Saavedra, Felix Riemann)

Bug fixes:

  #539495, eog stays in Slideshow mode even in Full Screen or normal window
           (Felix Riemann)
  #543171, Unexpected/Wrong EXIF information about "Focal length" shown
           (Felix Riemann)

New and updated translations:

- Jordi Mas, Joan Duran [ca]
- Rakesh Pandit [ks]
- Yannig Marchegay (Kokoyaya) [oc]
- Zabeeh Khan [ps]
- Laurent Dhima [sq]
- Daniel Nylander [sv]

New and updated manual translations:

- Joan Duran [ca]

Version 2.23.4.1
----------------

Misc improvements/fixes:

  * Depend on intltool 0.40.0

Version 2.23.4
--------------

Misc improvements/fixes:

  * Code improvements and cleanups (Felix Riemann, Cosimo Cecchi)

Bug fixes:

  #526483, Use play icon for Slideshow (Andreas Nilsson, Michael Monreal)
  #537488, Fix some build warnings (Cosimo Cecchi)
  #537758, libz not included so build breaks on Solaris (Damien Carbery)

New and updated translations:

- Djihed Afifi [ar]
- Luca Ferretti [it]
- Theppitak Karoonboonyanan [th]

Version 2.23.3
--------------

New features:

  * Allow to use arrow keys to scroll the image if zoomed in (Gernot Klimscha)

Misc improvements/fixes:

  * Code improvements and cleanups (Claudio Saavedra, Felix Riemann)
  * More documentation on plugin API (Claudio Saavedra)

Bug fixes:

  #528454, Metadata box should have limited width (Lucas Rocha)
  #533041, Eog generates thumbnails of thumbnails (Lucas Rocha)
  #532925, Missing feature: movement of image not possible with keyboard
           when image is zoomed

New and updated translations:

- Djihed Afifi [ar]
- Philip Withnall, David Lodge [en_GB]
- Clytie Siddall [vi]

Version 2.23.2
--------------

New features:

  * Use gtk-doc to document plugin API (Claudio Saavedra)

Bug fixes:

  #530102, Doesn't register support for compressed svg (Franklin Piat)
  #531300, fails to start up due to lcms error (Felix Riemann)
  #531809, scroll view scrollbar needs to have secondary steppers disabled
           (Benjamin Berg)

New and updated translations:

- Petr Kovar [cs]
- Ivar Smolin [et]
- Andrea Decorte [fur]
- Ignacio Casal Quinteiro [gl]
- Tino Meinen [nl]

Version 2.23.1
--------------

New features:

  * Migration to gio/gvfs (Cosimo Cecchi)
  * An initial set of default plugins (Lucas Rocha, Claudio Saavedra)
  * New command line option --new-instance to force creation of a
    new instance instead of reusing existing one (Claudio Saavedra)
  * PNG metadata (XMP and color profile) support (Felix Riemann)

Misc improvements/fixes:

  * Miscellaneous improvements in thumbnailing code (Michael Chudobiak)
  * Several metadata handling improvements (Felix Riemann, Claudio Saavedra)

Bug fixes:

  * Fixed #343061, Can't save picture after opened a link picture (Cosimo
    Cecchi, Felix Riemann)
  * Fixed #427053, Keyboard shortcuts managed in eog-scroll-view.c only work
    if image has focus (Claudio Saavedra)
  * Fixed #466566, Display date in a more prominent place (Claudio Saavedra)
  * Fixed #492017, Bring back 'Q' to exit eog (Lucas Rocha)
  * Fixed #517017, Gtk-CRITICAL **: gtk_widget_event: assertion
    `WIDGET_REALIZED_FOR_EVENT (widget, event)' failed (Wouter Bolsterlee)
  * Fixed #517821, Save print settings in key file (Claudio Saavedra)
  * Fixed #523173, provide option not to fork and exit if existing instance
    (Claudio Saavedra)
  * Fixed #525618, thumbnail code issues (Michael J. Chudobiak)
  * Fixed #526331, EoG can't read XMP tags created with F-SPOT whereas Nautilus
    can (Felix Riemann)
  * Fixed #527798, compile warnings (Claudio Saavedra)
  * Fixed #522077, make it easier to add more metadata readers (Felix Riemann)
  * Fixed #523856, read (and use) selected PNG metadata (Felix Riemann)

New and updated translations:

- Alexander Shopov, Yavor Doganov [bg]
- Simos Xenitellis, Kostas Papadimas [el]
- Philip Withnall, David Lodge [en_GB]
- Jorge González, Jorge Gonzalez [es]
- Ivar Smolin [et]
- Mark Krapivner, Yair Hershkovitz [he]
- Sandeep Shedmake [mr]
- Kjartan Maraas [nb]
- Peter Tuhársky [sk]
- Nguyễn Thái Ngọc Duy, Clytie Siddall [vi]

New and updated manual translations:

- Jorge Gonzalez, Jorge González [es]
- Maxim Dziumanenko, Maxim V. Dziumanenko [uk]

Version 2.22.0
--------------

New features:

  * Contextual menu in image view widget
  * Support for resetting the toolbar to its default layout

Misc improvements/fixes:

  * Performance improvements
  * Several fixes and improvements in the UI
  * Improvements in plugin API

Bug fixes:

  #519028, EOG crashes when loading too small ICC chunk (Felix Riemann)
  #519910, crash in Image Viewer: I saved a new picture in... (Felix Riemann)
  #498989, Eog gets it's locking wrong and crashes. (Matt Keenan)
  #506421, eog with python enabled requires NO_IMPORT, NO_IMPORT_PYGOBJECT
           defined to prevent multiply defined symbols (Paul)
  #509079, Recent files wrong direction when in RTL with latin file names
           (Djihed Afifi)

New and updated translations:

- Djihed Afifi [ar]
- Runa Bhattacharjee [bn_IN]
- Gil Forcada, Jordi Mas [ca]
- Kenneth Nielsen, M.P. Rommedahl [da]
- Philip Withnall, David Lodge [en_GB]
- Jorge González, Jorge Gonzalez [es]
- Stéphane Raimbaul [fr]
- Ankit Patel [gu]
- Gabor Kelemen [hu]
- Luca Ferretti [it]
- Gintautas Miliauskas, Žygimantas Beručka [lt]
- Rahul Bhalerao, Sandeep Shedmake [mr]
- Åsmund Skjæveland [nn]
- Alexandre Prokoudine [ru]
- Peter Tuhársky [sk]
- Laurent Dhima [sq]
- Daniel Nylander [sv]
- Maxim Dziumanenko [uk]
- Chao-Hsiung Liao [zh_HK]
- Chao-Hsiung Liao, Woodman Tuen [zh_TW]

New and updated manual translations:

- Kenneth Nielsen, M.P. Rommedahl [da]
- Jorge Gonzalez, Jorge González [es]
- Claude Paroz [fr]
- Luca Ferretti [it]
- Leonardo Ferreira Fontenelle, Rodrigo Flores [pt_BR]
- Daniel Nylander [sv]

Version 2.21.92
---------------

Bug fixes:

  #513958, crash in Image Viewer: Pressing page down to go... (Felix Riemann)
  #500203, eog crash when .gnome2/eog is not a directory (Felix Riemann)
  #513827, Use DateTimeOriginal for the "Taken on" metadata (Francisco Rojas)
  #517450, Missing return ? (Rodrigo Moya)

New and updated translations:

- Daniel Nylander [sv]
- Duarte Loreto [pt]
- Vincent van Adrighem [nl]
- Ihar Hrachyshka [be@latin]
- R: Leonardo Ferreira Fontenelle [pt_BR]
- Pawan Chitrakar [ne]
- Changwoo Ryu [ko]
- Kjartan Maraas [nb]
- Andre Klapper, Hendrik Richter [de]
- Runa Bhattacharjee [kn]
- Luca Ferretti [it]
- Arangel Angov [mk]
- Gabor Kelemen [hu]
- Theppitak Karoonboonyanan [th]
- Ilkka Tuohela [fi]
- Petr Kovar [cs]
- Priit Laes [et]
- Ignacio Casal Quinteiro [gl]
- Takeshi Aihana [ja]
- Artur Flinta [pl]

New and updated manual translations:

- Changwoo Ryu [ko]
- Kenneth Nielsen [da]

Version 2.21.90
---------------

Misc improvements/fixes:

  * Convert remaining help manuals over to g-d-u (Felix Riemann)
  * Reuse the loaded image's data to create the thumbnail if it doesn't exist
    (Claudio Saavedra)

Bug fixes:

  #322728, Add support for --disable-scrollkeeper (Felix Riemann)
  #511393, Tooltip could be more precise (Felix Riemann)
  #512626, eog 2.20.4 crashes on some jpeg files when there's a loaded
           color profile (Felix Riemann)
  #515250, EOG slow, locks up system on bitonal TIFF (Claudio Saavedra)

New and updated translations:

- Khaled Hosny [ar]
- Amitakhya Phukan [as]
- Andre Klapper [de]
- Kostas Papadimas [el]
- Jorge González, Jorge Gonzalez [es]
- Iñaki Larrañaga Murgoitio, Inaki Larranaga Murgoitio [eu]
- Claude Paroz [fr]
- Ignacio Casal Quinteiro [gl]
- Mark Krapivner, Mark Krapviner [he]
- Luca Ferretti [it]
- Arangel Angov, Jovan Naumovski [mk]
- Sandeep Shedmake [mr]
- Yannig Marchegay (Kokoyaya) [oc]
- Tomasz Dominikowski, GNOME PL Team [pl]
- Duarte Loreto [pt]
- Leonardo Ferreira Fontenelle, Pedro de Medeiros [pt_BR]
- Danishka Navin [si]
- Theppitak Karoonboonyanan [th]
- Baris Cicek [tr]
- Maxim Dziumanenko [uk]
- Woodman Tuen, Chao-Hsiung Liao [zh_HK]
- Woodman Tuen, Chao-Hsiung Liao [zh_TW]

New and updated manual translations:

- Luca Ferretti [it]
- Yannig Marchegay [oc]
- Rodrigo Flores, Leonardo Ferreira Fontenelle [pt_BR]

Version 2.21.4
--------------

Misc improvements/fixes:

  * Fix ICC profiles implementation (Frederic Crozat, Claudio Saavedra)
  * Do not close a window while an image is being saved (Claudio Saavedra)
  * More discrete toolbar in fullscreen mode  (Francisco Rojas)
  * Added documentation for the toolbar editor (Felix Riemann)
  * Misc. performance improvements (Claudio Saavedra)
  * Misc. UI improvements, code improvements, leaks fixed, etc (Claudio
    Saavedra, Felix Riemann, Seán de Búrca)

Bug fixes:

  #487075, crash in Image Viewer: Trying to ``save as'' Th... (Felix Riemann)
  #491092, eog shouldn't quit while an image is being saved (Claudio Saavedra)
  #496464, Tooltips in Eye of GNOME (Claudio Saavedra)
  #501073, Toolbar in full screen view should be more "discrete" (Francisco
  	   Rojas)
  #503637, No toolbar documentation (Felix Riemann)
  #504093, Print size units default to inches (Felix Riemann)
  #505576, Keypress navigation in slideshow mode do not reset slideshow timer
  	   (Priit Laes)
  #505811, slow image switching due to GtkRecent (Claudio Saavedra)
  #505949, String fixes for EOG HEAD (Seán de Búrca, Felix Riemann)
  #507068, XICC implementation is broken, causing eog to quit when loading
  	   sRGB images (Frederic Crozat)
  #509149, Build failure for eog-properties-dialog.c (Claudio Saavedra)

New and updated translations:

- Khaled Hosny, Djihed Afifi [ar]
- Ihar Hrachyshka [be@latin]
- Jorge González [es]
- Ivar Smolin, Leonardo Ferreira Fontenelle [et]
- Iñaki Larrañaga Murgoitio, Inaki Larranaga Murgoitio [eu]
- Seán de Búrca [ga]
- Erdal Ronahi [ku]
- Kjartan Maraas, Espen Stefansen [nb]
- Yannig Marchegay (Kokoyaya) [oc]
- Leonardo Ferreira Fontenelle [pt_BR]
- Daniel Nylander [sv]
- Clytie Siddall [vi]

New and updated manual translations:

- Jorge Gonzalez [es]

Version 2.21.3
--------------

Misc improvements/fixes:

  * Miscellaneous fixes in the UI (Felix Riemann, Lucas Rocha)

New and updated translations:

- Jakub Friedl [cs]
- Kostas Papadimas [el]
- Kjartan Maraas [nb]
- Rodrigo Flores [pt_BR]

Version 2.21.2
--------------

New features:

  * Support for resetting the toolbar to its default layout (Felix Riemann)

Misc improvements/fixes:

  * Fixes for memory leaks and code optimizations (Felix Riemann)
  * Improvements in plugin API (Lucas Rocha)
  * Improvements in the plugin system Python bindinds (Ross Burton)

Bug fixes:

  #458661, Up/Down keys in image collection (Claudio Saavedra)
  #491528, Use trash icon i.s.o. delete icon for move to trash
           menu item (Jaap Haitsma)
  #491826, Defaults are wrong (Lucas Rocha)
  #494881, Support for exempi 1.99.5 (Sebastian Dröge)
  #496184, Eog does not support color management (Felix Riemann)
  #499154, Specify correct type for eog_image_load and
           _has_data (Ross Burton)
  #499156, Wrap eog_image_load in Python (Ross Burton)
  #480975, Feature request : EOG lack an option to reset
           toolbars (Felix Riemann)

New and updated translations:

- Alexander Shopov [bg]
- Ihar Hrachyshka [be@latin]
- Changwoo Ryu [ko]
- Gil Forcada [ca]
- Yannig Marchegay [oc]
- Daniel Nylander [sv]
- Gabor Kelemen [hu]
- Matej Urbančič [sl]
- Priit Laes [et]
- Ignacio Casal Quinteiro [gl]
- Jorge Gonzalez [es]

New and updated manual translations:

- Yannig Marchegay [oc]
- Luca Ferretti [it]

Version 2.21.1
--------------

New features:

  * Contextual menu in image view widget (Cosimo Cecchi)

Misc improvements/fixes:

  * Several code cleanups and improvements (Felix Riemann, Claudio Saavedra)

Bug fixes:

  #482752, crash when opening a tiff image (eog_image_load) (Felix Riemann)
  #475124, Add " (invalid Unicode)" suffix when image caption is not a valid utf8
           string (Lucas Rocha)
  #475645, When an image is saved, the selection is lost (Lucas Rocha)
  #476313, plugins about dialog is not gtk+-2.11/2.12 ready (Felix Riemann)
  #476919, eog save menu is always active (Cosimo Cecchi)
  #477550, fileformat combobox in save-as-many dialog is empty (Felix Riemann)
  #479029, eog crashes when showing Image Collection (Felix Riemann)
  #479400, Renamed files vanish from the collection (Claudio Saavedra)
  #479884, Mouse dragging UI broken. (Lucas Rocha)
  #481096, Thumbnails in collection viewer not updated when scrolling
           (Felix Riemann)
  #481301, Add a context menu in main window (open with/properties etc.)
           (Cosimo Cecchi)
  #482128, Hangs on XPM file (Felix Riemann)
  #486057, "SetAsWallpaper" functionality doesn't launch background properties
           (Felix Riemann)
  #488344, using the scroll buttons of a non-first instance of eog scrolls the
           collection on the first one (Claudio Saavedra)
  #488808, eog won't display some .jpg files (Felix Riemann)
  #490065, Retry string not marked for translation (Kelemen Gabor)
  #481712, Substandard .desktop file (patch against latest SVN attached)
           (Stéphane Loeuillet)

New and updated translations:

- Ihar Hrachyshka [be@latin]
- Kjartan Maraas [nb]
- Kenneth Nielsen [da]
- Djihed Afifi [ar]
- Matej Urbančič [sl]
- Priit Laes [et]
- Jorge Gonzalez [es]
- Yair Hershkovitz [he]

Version 2.20.0
--------------

New features:

  * Complete rewrite of application core which means more stable,
    maintanable, faster image viewer for GNOME
  * New plugin system which allows developers to extend EOG's UI
    and behavior. Python support is available.
  * Editable application toolbar
  * New image collection pane with on-demand thumbnail loading,
    polished look, and continuous scrolling side buttons.
  * Side Pane to be extended by plugins
  * New image properties dialog which replaces the image info
    sidepane
  * Single instance D-Bus-based activation support
  * Revamped error/warning UI
  * "Open with" support to quickly open images on other applications
  * Mouse scrollwheel improvements: HIG compliancy and zoom factor
    setting
  * General UI polishing
  * Command line options for fullscreen, slideshow and image collection
    disabling
  * Display EXIF MakerNotes
  * XMP Support

Misc improvements/fixes:

  * Small refactorings in metadata readers (Claudio Saavedra)

Bug fixes:

  #354352, Show incomplete images (Lucas Rocha)
  #394803, Fails to load .svgz (Matthias Clasen, Felix Riemann)
  #440254, Eog crashes when opening an image with invalid unicode
           as filename (Lucas Rocha)
  #447063, eog hangs when opening SVG files that include external
           images (Felix Riemann)
  #459665, opened images should take as much screen space as
           possible (Claudio Saavedra)
  #465583, thumbnails badly rotated (autorotation enabled) (Lucas Rocha)
  #470521, some image is rendered with a wrong rotation (Lucas Rocha)
  #471530, Confusing PyGtk configure failure message (Paolo Borelli)
  #474642, ./configure is semi-broken (Martin Olsson)
  #474710, eog crashes when you try to open this .jpg file (it works fine on
           Vista/XP) (Claudio Saavedra)
  #474931, factore out some code in the metadata consumer (Claudio Saavedra)

New and updated translations:

- Vincent van Adrighem [nl]
- Alexandre Prokoudine [ru]
- Ankit Patel [gu]
- Goran Rakić [sr, sr@Latn]
- Duarte Loreto [pt]
- Kostas Papadimas [el]
- Changwoo Ryu [ko]
- Gil Forcada [ca]
- Hendrik Richter [de]
- Yannig Marchegay [oc]
- Jovan Naumovski [mk]
- Gabor Kelemen [hu]
- Andre Klapper [sk]
- Djihed Afifi [ar]
- David Lodge [en_GB]
- Maxim Dziumanenko [uk]
- Inaki Larranaga Murgoitio [eu]
- Priit Laes [et]
- Kenneth Nielsen [da]
- Laurent Dhima [sq]
- Artur Flinta [pl]

New and updated manual translations:

- Claude Paroz [fr]
- Luca Ferretti [it]

Version 2.19.92
---------------

New features:

  * New image collection pane layout with continuous scrolling
    side buttons (Lucas Rocha)

Misc improvements/fixes:

  * Several code cleanups and improvements (Felix Riemann)

Bug fixes:

  #427046, Scrollwheel on image list doesn't work (Lucas Rocha)
  #458663, Kill the scrollbar! (Lucas Rocha)

New and updated translations:

- Ilkka Tuohela [fi]
- Stéphane Raimbault [fr]
- Alexander Shopov [bg]
- Raphael Higino [pt_BR]
- Funda Wang [zh_CN]
- Clytie Siddall [vi]
- Kjartan Maraas [nb]
- Ankit Patel [gu]
- Daniel Nylander [sv]
- Gintautas Miliauskas [lt]
- Theppitak Karoonboonyanan [th]
- Ani Peter [ml]
- Priit Laes [et]
- Ignacio Casal Quinteiro [gl]
- Takeshi AIHANA [ja]
- Jorge Gonzalez [es]
- I. Felix [ta]

New and updated manual translations:

- Daniel Nylander [sv]
- Jorge Gonzalez [es]

Version 2.19.91
---------------

Misc improvements/fixes:

  * Small improvements on thumbnails appearance (Lucas Rocha)

Bug fixes:

  #470297, eog doesn't display images from an empty window (Felix Riemann)
  #311308, Drag and Dropping the same image twice in EOG will open
           2 windows (Lucas Rocha)
  #467835, Patch to HIGify plugin list (Martin Ejdestig)
  #470416, Icon install location (Lucas Rocha)
  #470686, zooming documentation is confusing (Lucas Rocha)
  #466681, Page Setup/Properties/Trash items not accessible (Patrick Wade)

New and updated translations:

- Adam Weinberger [en_CA]
- Ankit Patel [gu]
- Alexander Shopov [bg]
- Duarte Loreto [pt]
- Raphael Higino [pt_BR]
- Kjartan Maraas [nb]
- Hendrik Richter [de]
- Daniel Nylander [sv]
- Gabor Kelemen [hu]
- Žygimantas Beručka [lt]
- Jorge Gonzalez [es]
- Theppitak Karoonboonyanan [th]
- Ilkka Tuohela [fi]
- Priit Laes [et]
- Takeshi AIHANA [ja]
- Artur Flinta [pl]
- I. Felix [ta]

New and updated manual translations:

- Daniel Nylander [sv]

Version 2.19.5
---------------

New features:

   * XMP Support (Hubert Figuiere)
   * Side Pane to be extended by plugins (Lucas Rocha)
   * Inhibit screensaver when running slideshow/fullscreen (Lucas Rocha)
   * Improved selection visual feedback in image collection
     pane (Lucas Rocha)

Misc improvements/fixes:

   * Several code cleanup and fixes (Felix Riemann, Claudio Saavedra)

Bug fixes:

   #456451, crash in EOG: Saving rotated image (Claudio Saavedra)
   #408591, Add wbmp to supported image types (Sven Arvidsson)
   #427806, Crash: when specifying an invalid extension in save
            as dialog (Felix Riemann)
   #451101, Support Adobe XMP metadata (Hubert Figuiere)
   #453151, Changing scale of image in print dialog is slow (Stefan Röllin,
            Claudio Saavedra)
   #455672, Use "document-page-setup" named icon for File->Setup Page
            (Luca Ferretti)
   #455700, tooltips in collection don't update (Claudio Saavedra)
   #459819, Inhibit screensaver when running slideshow (Lucas Rocha)
   #460780, Weird preferences window (Felix Riemann)
   #462362, Application specific icons are installed in the wrong directory
            (Jaap Haitsma)
   #462785, Fail to build with undefined reference to
            `eog_application_register_service' (Felix Riemann)
   #462971, Thumbnails of modified images wrongly loaded from thumbnail
            factory (Claudio Saavedra)
   #462973, thumbnails not updated after applying a transformation
            (Claudio Saavedra)
   #464709, [patch] make thumbnail of modified and saved images actually
            appear (Claudio Saavedra)
   #465060, [patch] get rid of compilation warnings (Cosimo Cecchi)
   #465628, configure doesn't check for libexif/exif-data.h (Claudio Saavedra)

New and updated translations:

- Kostas Papadimas [el]
- Ankit Patel, Josep Puigdemont i Casamajó  [gu]
- Nguyễn Thái Ngọc Duy [vi]
- Jordi Mas [ca]
- Inaki Larranaga Murgoitio [eu]
- Priit Laes [et]
- Jorge Gonzalez [es]
- Wouter Bolsterlee [nl]
- Kjartan Maraas [nb]
- Åsmund Skjæveland [lv]
- Žygimantas Beručka [lt]
- Theppitak Karoonboonyanan [th]
- Artur Flinta [pl]
- Stéphane Raimbault [fr]
- Leonardo Ferreira Fontenelle, Raphael Higino [pt_BR]
- Gabor Kelemen [hu]
- Åsmund Skjæveland [hi]
- Ilkka Tuohela [fi]
- Takeshi Aihana [ja]
- Daniel Nylander [sv]
- Jovan Naumovski [mk]

New and updated manual translations:

- Claude Paroz [fr]

Version 2.19.4
--------------

New features:

   * Python support on plugin system (Lucas Rocha)
   * Use same thumbnail frame than Nautilus (Lucas Rocha)
   * Ability to enable collection pane when in fullscreen (Lucas Rocha)
   * Display EXIF MakerNotes (Jef Driesen)
   * Image Collection toolbar item available on toolbar editor (Lucas Rocha,
     Andreas Nilsson, Jakub Steiner)

Misc improvements/fixes:

   * Several code cleanup and fixes (Felix Riemann, Lucas Rocha)
   * Several improvements and fixes on editable toolbar (Felix Riemann, Jaap
     Haitsma)

Bug fixes:

   #340831, add toolbar icon for image collection (Lucas Rocha)
   #350809, Exif MakerNotes are not decoded (even when supported by
            libexif) (Jef Driesen)
   #374582, Need 'slideshow' button on toolbar (Felix Riemann)
   #413211, eog crashed with SIGSEGV in eog_image_load() (Chris Wilson)
   #425613, Grey border around images in fullscreen/presentation mode
            (Felix Riemann)
   #435408, next and previos button don't get sensitive (Lucas Rocha)
   #435456, focus on the "Exif" tab should be remebered (Lucas Rocha)
   #438242, EOG should have a drag mode when zooming (Lucas Rocha)
   #440168, spacing in vertical collection not ideal (Lucas Rocha)
   #445535, Plugin menù problem (Lucas Rocha)
   #449741, Add ability to enable collection pane when in fullscreen
            (Lucas Rocha)
   #452849, egg-toolbareditor copy needs to be synched with libegg (Jaap
            Haitsma)
   #452886, Typo in data/eog.schemas.in (Bob Mauchin)
   #453064, Use a shorter label for collection button on toolbar (Lucas
            Rocha)
   #453503, null string pointer for "value" in eog_window.c at line 345
            (Lucas Rocha)
   #450590, [toolbareditor] allow named icons with
            Gtk{Radio,Toggle}Actions (Felix Riemann, Jaap Haitsma)
   #452923, [toolbareditor] use gobject type helpers instead of defining
            our own (Felix Riemann)
   #313676, Cleanup of EXIF tab (or, if you want, side pane) (Lucas Rocha)
   #441138, use nautilus thumbnails in the image pane (Lucas Rocha)

New and updated translations:

- Ankit Patel [gu]
- Funda Wang [zh_CN]
- Clytie Siddall, Nguyễn Thái Ngọc Duy [vi]
- Kjartan Maraas [nb]
- Daniel Nylander [sv]
- Jovan Naumovski  [mk]
- Danishka Navin [si]
- Pema Geyleg, Jorge Gonzalez [dz]
- Artur Flinta [pl]
- Theppitak Karoonboonyanan [th]
- Priit Laes [et]
- Sunil Mohan Adapa [te]
- Jorge Gonzalez [es]
- Tirumurthi Vasudevan [ta]

New and updated manual translations:

- Daniel Nylander [sv]
- Jorge Gonzalez [es]

Version 2.19.3
--------------

New features:

   * New preferences tab for the image collection view position/size features
     (Felix Riemann).

Misc improvements/fixes:

   * Make the toolbar keyboard navigable (Patrick Wade, Claudio Saavedra)
   * Several code cleanup and fixes (Felix Riemann, Christian Persch,
     Claudio Saavedra, Damien Carbery)

Bug fixes:

   #430021, crash in Image Viewer: Eog crashes when it star...
   	    (Claudio Saavedra)
   #439907, /usr/lib/eog/plugins/ warning not required (Claudio Saavedra)
   #440207, duplicate actions (Christian Persch)
   #440716, sys/time.h header needed to build on Solaris (Damien Carbery)
   #385327, Keyboard navigation doesn't work in eog toolbar. (Patrick Wade,
   	    Claudio Saavedra)

New and updated translations:

- Danilo Segan, Goran Rakic [sr, sr@Latn]
- Kjartan Maraas [no, nb]
- Daniel Nylander [sv]
- David Lodge [en_GB]
- Theppitak Karoonboonyanan [th]
- Jakub Friedl [cs]
- Priit Laes [et]
- Ignacio Casal Quinteiro [gl]
- Jorge Gonzalez [es]
- Yair Hershkoviz [he]

Version 2.19.2
--------------

New features:

   * New plugin system which allows developers to extend EOG's UI
     and behavior (Lucas Rocha)

Misc improvements/fixes:

   * Several code cleanups (Felix Riemann, Lucas Rocha)
   * Correctly set slideshow delay when being entered with the
     keyboard (Ryan Cumming)

Bug fixes:

   #435614, When DnD rotate left/right icons to "Toolbar Editor" the
            icon not appear (Felix Riemann)
   #437691, README files needs an update (Claudio Saavedra)

New and updated translations:

   * Nickolay V. Shmyrev [ru]
   * Kjartan Maraas [nb]
   * Daniel Nylander [sv]
   * Jorge Gonzalez [es]

New and updated manual translations:

   * Nickolay V. Shmyrev [ru]
   * Daniel Nylander [sv]

Version 2.19.1
--------------

New features:

   * Complete rewrite of application core which means more stable,
     maintanable, faster image viewer for GNOME (Claudio Saavedra,
     Felix Riemann, Lucas Rocha, and others)
   * Editable application toolbar (Claudio Saavedra, Lucas Rocha)
   * New image collection pane with on-demand thumbnail loading
     (Claudio Saavedra, Felix Riemann, Lucas Rocha)
   * Support for setting image collection position (left, right, top,
     bottom) and wether it's resizable or not. No preference UI
     yet (Lucas Rocha)
   * New image properties dialog which replaces the image info
     sidepane (Lucas Rocha)
   * Single instance D-Bus-based activation support (Claudio Saavedra)
   * Revamped error/warning UI (Lucas Rocha)
   * "Open with" support to quickly open images on other applications
     (Rodrigo Aguilar)
   * Mouse scrollwheel improvements: HIG compliancy and zoom factor
     setting (Lucas Rocha)
   * Migration to GtkRecent (Felix Riemann)
   * UI polishing on multiple images save as dialog (Claudio Saavedra)
   * Command line options for fullscreen, slideshow and image collection
     disabling (Bruno Boaventura, Lucas Rocha)

Bug fixes:

   #377123, [eog-ng] implement EogJobSave (Felix Riemann, Lucas Rocha)
   #319859, "open image with" function (Rodrigo Aguilar)
   #334321, Should be possible move the collection in EOG (Lucas Rocha)
   #316175, EOG gives no error upon opening non image files (Lucas Rocha)
   #432439, Run gtk-update-icon-cache in uninstall-hook (Brian Pepple)
   #429156, [patch] "Save As" dialog for multiple files is way too
            ugly (Claudio Saavedra)
   #427154, Some strings are not translated in save-as-multiple dialog.
            (Felix Riemann)
   #419756, Slideshow background should be black. (Diego Escalante)
   #404708, eog crashed with SIGSEGV in g_closure_invoke() (Lucas Rocha)
   #404126, Convert debug messages to eog_debug_message (Claudio André)
   #401939, [eog-ng] Remove leaftag support. (Claudio Saavedra)
   #399333, EOG-NG crash while opening Print dialog (Claudio Saavedra)
   #398250, build bug: missing symbols from libpangoft2 (Elijah Newren)
   #389314, eog should use stock_print-setup from g-i-t for the
            "Page setup..." action (Thomas Andersen)
   #376513, TRACKER: command-line options (Bruno Boaventura, Lucas Rocha)
   #355858, switching image forward and back quickly can display wrong
            image (Felix Riemann)
   #351040, [eog-ng] use GtkRecent (Felix Riemann)
   #344140, [eog-ng] remove duplicate code in fullscreen-code (Claudio
            Saavedra)
   #342817, crash trying to view profile image (Felix Riemann)
   #342103, [patch] [eog-ng] update about dialog (Claudio Saavedra)
   #341935, Should not zoom with mouse wheel (Lucas Rocha)
   #341831, [eog-ng] memory usage increases when switching fastly between
            images (Lucas Rocha)
   #341600, [eog-ng] EOG eats a lot o CPU when inactive (Paolo Borelli)
   #340957, Filenames containing numbers are not properly sorted (as how
            nautilus does) (Felix Riemann)
   #335689, Middle mouse drag should also scroll (Wouter Bolsterlee,
            Lucas Rocha)
   #327424, progress bar changes view size which forces re-zooming of
            image (Lucas Rocha)
   #322057, eog print output is corrupt (Jan Kümmel)
   #305823, The rotate buttons on the toolbar are blurred (Luca Ferretti)
   #404907, [eog-ng] Crash when opening properties dialog (broken EXIF).
            (Felix Riemann)
   #372820, First call to PKG_CHECK_MODULES is conditional without a prior
            call to PKG_PROG_PKG_CONFIG (Felix Riemann)
   #381867, mouse cursor disappear after exit fullscreen mode
            (Bruno Boaventura)
   #383090, Slideshow / Slide Show (Bruno Boaventura)
   #336973, [eog-ng] Migration of the collection pane to GtkIconView and
            GtkListStore (Claudio Saavedra, Felix Riemann, Lucas Rocha)
   #356947, [eog-ng] GtkPrint support (Claudio Saavedra)
   #393586, [eog-ng] Editable toolbar for EOG (Claudio Saavedra, Lucas Rocha)
   #401946, [eog-ng] [patch] D-Bus based activation (Claudio Saavedra)
   #416321, [eog-ng] Use tooltips to show image information in the
            thumbview (Lucas Rocha)
   #89512,  Setting for how much the mouse wheel should affect
            zoom (Lucas Rocha)
   #321400, mouse side-buttons for navigation (Lucas Rocha)

New and updated translations:

   * Laurent Dhima [sq]
   * Yannig Marchegay [oc]
   * Daniel Nylander [sv]
   * Jovan Naumovski [mk]
   * again, Luca Ferretti [it]
   * Djihed Afifi [ar]
   * David Lodge [en_GB]
   * Jakub Friedl [cs]
   * Ignacio Casal Quinteiro [gl]
   * Jorge González, Claudio Saavedra [es]

New and updated manual translations:

   * Changwoo Ryu [ko]
   * Daniel Nylander [sv]
   * Jorge González, Claudio Saavedra [es]

Version 2.18.0.1
----------------

- Build when libexif is not installed in the system [#417684].
- Updated translations: Nikos Charonitakis (el).
- Updated manual translations: Maxim Dziumanenko (uk), A S
  Alam (pa).

Version 2.18.0
--------------

- Avoid ellipsizing image position in statusbar for with big
  numbers (Lucas Rocha) [#357427]
- Fix crasher when trying to print an already removed image
  (Claudio Saavedra) [#414547]
- Correctly handle external file removals (Claudio Saavedra) [#399982]
- Update image list position and length when image are externaly
  removed or added (Lucas Rocha, Claudio Saavedra) [#414968]
- Removed 'Application' category from desktop file (Claudio Saavedra).
- Updated manual translations: Daniel Nylander (sv), Amadeu A.
  Barbosa (pt_BR), Christophe Bliard (fr), David Lodge (en_GB)
- Updated translations: Ankit Patel (gu), Artur Flinta (pl),
  Erdal Ronahi (ku), Gintautas Miliauskas (lt), Reinout van
  Schouwen (nl), Goran Rakić (sr, sr@Latn), Nickolay V. Shmyrev (ru)


Version 2.17.92
--------------

- Take other images in the same location into account even for remote
  URIs (if the image's parent is a directory) (Lucas Rocha) [#364426]
- EOG dependency on GTK >= 2.10 (Felix Riemann)
- Several code cleanups (Claudio Saavedra)
- Updated manual translations: Daniel Nylander (sv),
  Amadeu A. Barbosa Junior (pt_BR), Maxim Dziumanenko (uk),
  Christophe Bliard (fr)
- Updated translations: Ihar Hrachyshka (be), Daniel Nylander (sv),
  Theppitak Karoonboonyanan (th), Josep Puigdemont i Casamajó (ca),
  Ilkka Tuohela (fi), Leonardo Ferreira Fontenelle (pt_BR),
  Duarte Loreto (pt), Djihed Afifi (ar), David Lodge (en_GB),
  Takeshi Aihana (ja), Ivar Smolin (et), Nguyễn Thái Ngọc Duy (vi),
  Maxim Dziumanenko (uk), Stéphane Raimbault (fr), Hendrik Richter (de),
  Abel Cheung (zh_CN), Peter Bach (da), Alexander Shopov (bg),
  Kjartan Maraas (nb), Changwoo Ryu (ko), Gabor Kelemen (hu)

Version 2.17.91
--------------

- Show an error message instead of closing the program if the image
  loading has failed (Claudio Saavedra) [#399988]
- Fix crash when exiting EOG (Kees Cook) [#389755]
- Several code cleanups and memory leak fixes (Felix Riemann, Claudio Saavedra)
- Fix crash when closing EOG while printing (Felix Riemann) [#404708]
- Change launcher description to match UI review (Lucas Rocha) [#383436]
- Updated manual translations: Vasiliy Faronov (ru), AP Singh Alam (pa),
  David Lodge (en_GB)
- Updated translations: Daniel Nylander (sv), David Lodge (en_GB),
  Kjartan Maraas (nb), Theppitak Karoonboonyanan (th), Pema Geyleg (dz),
  Priit Laes (et), Josep Puigdemont i Casamajó (ca), Leonardo Fontenelle (pt_BR),
  Jakub Friedl (cs), Stéphane Raimbault (fr), Philip Kerling (de),
  Ihar Hrachyshka (be), Ilkka Tuohela (fi), Changwoo Ryu (ko), Djihed Afifi (ar),
  Duarte Loreto (pt), Alexander Shopov (bg)

Version 2.17.90
--------------

- Several code cleanups (Felix Riemann)
- Small i18n fix (Philip Kerling) [#395541]
- Updated translations: Priit Laes (et), Daniel Nylander (sv),
  Clytie Siddall (vi), Hendrik Richter (de), Raphael Higino (pt_BR),
  Djihed Afifi (ar), Rasmus Ory Nielsen (da), Yair Hershkovitz (he),
  Theppitak Karoonboonyanan (th), Kjartan Maraas (nb), Matic Zgur (sl),
  Jakub Friedl (cs)

Version 2.17.4
--------------

- Several printing fixes (Claudio Saavedra)
- Fix crash on automatic orientation (Felix Riemann) [#388413]
- Use gnome-icon-theme icon for printing setup (Thomas Andersen) [#389314]
- Fix fatal warning when reusing windows (Felix Riemann) [#390268]
- Several code cleanups (Felix Riemann, Lucas Rocha) [#354106]
- New themable EOG icon by Ulisse Perusin (Luca Ferretti) [#357413]
- New interactive image print preview on printing
  dialog (Claudio Saavedra) [##356947, #321815]
- Updated manual translations: Daniel Nylander (sv)
- Updated translations: Francisco Javier F. Serrador (es),
  Ales Nyakhaychyk (be), Raivis Dejus (lv), Djihed Afifi (ar),
  Daniel Nylander (sv), Kjartan Maraas (nb), David Lodge (en_GB),
  Theppitak Karoonboonyanan (th), Josep Puigdemont i Casamajó (ca),
  Jovan Naumovski (mk), Alexander Shopov (bg), Clytie Siddall (vi),
  Jakub Friedl (cs), Priit Laes (et)


Version 2.17.3
--------------

- Printing fixes (Claudio Saavedra) [#381358]
- Memory leaks fixes (Felix Riemann)
- Automatic orientation based on EXIF (Kalle Vahlman, Jef Driesen) [#148400]
- Simplify preferences dialog label texts (Lucas Rocha) [#382586]
- Updated manual translations: Francisco Javier F. Serrador (es),
  Jan Arne Petersen (de)
- Updated translations: Francisco Javier F. Serrador (es), Ilkka Tuohela (fi),
  Kjartan Maraas (nb), Theppitak Karoonboonyanan (th), Priit Laes (et),
  Djihed Afifi (ar)

Version 2.17.2
--------------

- Manual translations fixes (Claudio Saavedra, Felix Riemman)
  [#363348, #366695]
- Several code cleanups (Claudio Saavedra, Felix Riemann) [#375897]
- Use stock icons for rotate and flip actions (Luca Ferretti) [#305823]
- Migration to GtkPrint (Claudio Saavedra)
- Make check pattern for transparent images a bit lighter (Claudio Saavedra)
  [#350183]
- i18n fixes on save as dialog for multiple images (Felix Riemman)
  [#337642, #340490]
- Build infrastructre fixes (Felix Riemann) [#372820]
- Updated manual translations: Daniel Nylander (sv), Francisco Javier
  F. Serrador (es)
- Updated translations: Satoru Satoh (ja), Hendrik Richter (de),
  Danilo Nylander (sv), Jakub Friedl (cs)


Version 2.17.1
--------------

- Use mouse sidebuttons for image navigation (Lucas Rocha) [#321400]
- Use mouse wheel to scroll, not to switch images (Wouter Bolsterlee) [#331645]
- Save customized keybindings on application shutdown (Lucas) [#324757]
- Fix some memory leaks (Claudio Saavedra)
- Fix critical warnings (Claudio)
- Undo stack optimizations (Felix Riemman)
- Make sure correct image is displayed when reselecting current one while
  loading other image (Felix) [#355858]
- Add stock icon to undo action (Felix)
- Several code cleanups and updates (Felix)
- Optimize transformations calculations (Felix)
- Updated translations: Jakub Friedl (cs), Mindu Dorji (dz), Ivar Smolin (et),
  Christophe Bliard (fr), Satoru SATOH (ja), Kjartan Maraas (nb), Åsmund
  Skjæveland (nn), Pablo Saratxaga (wa).

Version 2.16.0.1
----------------

- Fix infinite loop on canvas destruction (Sven Herzberg) [#350569]

Version 2.16.0
---------------

- Updated translations: Raivis Dejus (lv), Duarte Loreto (pt),
  Žygimantas Beručka (lt), Robert-André Mauchin (fr),
  Theppitak Karoonboonyanan (th), Gabor Kelemen (hu),
  Chao-Hsiung Liao (zh_HK, zh_TW), Jovan Naumovski (mk),
  Nikos Charonitakis (el), Inaki Larranaga (eu), Abel Cheung (zh_HK, zh_TW),
  Danilo Šegan (sr, sr@Latn.po), Runa Bhattacharjee (bn_IN)

Version 2.15.92
---------------

- .desktop file small fix (Lucas Rocha) [#343052]
- Fix error when loading images	with ':' in their filenames
  from command line (Felix Riemman) [#305129].
- Fix critical warnings when opening remote
  images (Lucas Rocha) [#350557]
- Make transparency color preferences work on full screen
  mode (Felix Riemman) [#346680]
- Updated translations: Wouter Bolsterlee (nl), Baris Cicek (tr),
  Ilkka Tuohela (fi), Jovan Naumovski (mk), Priit Laes (et),
  Guntupalli Karunakar (dz), Francisco Javier F. Serrador (es),
  Maxim Dziumanenko (uk), Ani Peter (ml), Hendrik Richter (de),
  Vladimer Sichinava (ka), Ahmad Riza H Nst (id), Clytie Siddall (vi),
  Ankit Patel (gu), Gabor Kelemen (hu), Daniel Nylander (sv),
  Leonid Kanter (ru), Satoru Satoh (ja), Artur Flinta (pl),
  Funda Wang (zh_CN), Alexander Shopov (bg), Matic Žgur (sl).

Version 2.15.91
---------------

- Small fixes on error dialog (Lucas Rocha)
- Fix memory leak on image transformation (Felix Riemman) [349434]
- Fix typo on UI message (Lucas Rocha) [349361]
- Panning around the image with arrows on fullscreen mode
  (Lucas Rocha) [347174]
- Updated translations: Hendrik Richter (de), Francisco Javier F.
  Serrador (es), Christophe Merlet (fr), Maxim Dziumanenko (uk),
  Jovan Naumovski (mk), Bastien Nocera (en_GB), Theppitak
  Karoonboonyanan (th), Ankit Patel (gu), Jakub Friedl (cs)

Version 2.15.90
---------------

- Avoid losing EXIF data when saving changed jpeg images (Felix Riemman)
  [#309219]
- Use middle mouse drag to scroll image (Wouter Bolsterlee) [#335689].
- Make transparent color selection work (Felix Riemman) [#347600].
- Fix crash when switching images with mouse wheel (Callum McKenzie) [#340827].
- Updated translations: Mahay Alam Khan (bn_IN), Jordi Mallach (ca), Jakub
  Friedl (cs), Kostas Papadimas (el), Christophe Merlet (RedFox) (fr), Satoru
  SATOH (ja), Daniel Nylander (sv).

Version 2.15.4
---------------

- Several code cleanups (Felix Riemman) [#321267, #321267]
- Updated FSF address (Francisco Javier F. Serrador).
- Updated translations: Ales Nyakhaychyk (be), Vladimir Petkov (bg), Mahay
  Alam Khan (bn_IN), Mahay Alam Khan (bn), Lukas Novotny (cs), Martin Willemoes
  Hansen (da), Hendrik Richter (de), Mindu Dorji (dz), Alan Horkan (en_GB),
  Francisco Javier F. Serrador (es), Priit Laes (et), Iñaki Larrañaga
  Murgoitio (eu), Ilkka Tuohela (fi), Benoît Dejean (fr), Ankit Patel (gu),
  Mohammad DAMT (id), Changwoo Ryu (ko), Fanomezana Rajaonarisoa (mg), Sanlig
  Badral (mn), Mahesh Subedi (ne), A S Alam (pa), Licio Fernando Nascimento da
  Fonseca (pt_BR), Leonid Kanter (ru), Felix (ta), Theppitak
  Karoonboonyanan (th), Gheyret T.Kenji (ug), Woodman Tuen (zh_HK), Woodman
  Tuen (zh_TW)

Version 2.15.3
---------------
- Properly sort image filenames containing numbers (Felix Riemann) [#340957]
- Thumbnailing fixes (Felix Riemann) [#342817]
- Fix printing for images with alpha channel (Jan Kümmel) [#322057]
- Updated translations: Ignacio Casal Quinteiro (gl), Ankit Patel (gu),
  Theppitak Karoonboonyanan (th), Clytie Siddall (vi), Inaki Larrañaga (eu),
  Pema Geyleg (dz), Francisco Javier F. Serrador (es)

Version 2.15.2
---------------
- Small code cleanups (Lucas Rocha)
- About dialog update (Claudio Saavedra) [#342103]
- Respect desktop saving lockdown (Lucas Rocha) [#341862]
- Avoid rezooming caused by progress bar (Lucas Rocha) [#327424]
- Partial fix for crash on slideshow/fullscreen
  cancel (Claudio Saavedra) [#320206]

Version 2.15.1
---------------
- gnome-doc-utils migration (Lucas Rocha)
- Use the directory of the currently viewed file as
  initial location of file chooser (Lucas Rocha) [#335653]
- Image navigation keyboard shortcuts review for desktop
  coherence: Alt-Left for previous image, Alt-Right for
  next, Alt-Home for first, Alt-End for last (Jaap Haitsma)
- GOption migration (Michael Plump)
- Small UI fixes (Lucas Rocha) [#339315, #335109]
- Duplex printing off by default (Lucas Rocha) [#334016]
- Fix crash when saving files on directories that EOG
  is watching (Lucas Rocha) [#336050]
- Use of po/LINGUAS file (Michiel Sikkes)
- Updated translations: Baris Cicek (tr), Gora Mohanty (or),
  Tommi Vainikainen (dz), Priit Laes (et),
  Vincent van Adrighem (nl), Lukas Novotny (cs),
  Clytie Siddall (vi), Kjartan Maraas (no),
  Ankit Patel (gu).

Version 2.14.0
---------------
- Fixes crasher when opening images with strange extensions
  (Ryan Lortie) [#333551]
- Quit EOG when not able to load images (Lucas Rocha)
- Fix window positioning behavior (Lucas Rocha)
- Updated translations: Alexander Shopov (bg), Mugurel Tudor (ro),
  Rajesh Ranjan (hi), Luca Ferretti (it), Ole Laursen (da),
  Gabor Kelemen (hu), Daniel Nylander (sv), Elnaz Sarbar (fa),
  Farzaneh Sarafraz (fa), Miloslav Trmac (cs), Benoît Dejean (fr).

Version 2.13.92
---------------

- Disable all debug messages by default (Lucas Rocha) [#331362]
- Fix 64-bit pointer truncation (Pascal Hofstee, Alexander
  Nedotsukov) [#331971]
- Correct handling of zoom precision with mouse wheel
  (Felix Riemann) [#310833]
- Build system fixes (Sylvain Bertrand) [#330708]
- Define a minimum window size (Lucas Rocha) [#327065]
- Mouse scroll wheel now makes image switching on collection
  pane (Lucas Rocha) [#331645]
- Fixes crash when removing images from a directory with images
  that EOG is watching (Lucas Rocha)
- Updated translations: Žygimantas Beručka (lt), Kostas Papadimas (el),
  Satoru Satoh (ja), Inaki Larrañaga (eu), Artur Flinta (pl),
  Rhys Jones (cy), Leonid Kanter (ru), Alessio Frusciante (it),
  Maxim Dziumanenko (uk)

Version 2.13.91
---------------

- Remove critical warnings on save dialogs (Lucas Rocha) [#327170]
- Use current locale for images on NIS filesystem (Takao Fujiwara) [320289]
- Updated translations: Laurent Dhima (sq), Hendrik Richter (de),
  Lukas Novotny (cs), Alexander Sigachov (ru)

Version 2.13.90
---------------

- Normal viewing of images from SMB shares (#326104)
  Patch from Felix Riemann.
- .desktop file fixes (#328033)
- Updated translations:  Theppitak Karoonboonyanan (th), Ankit Patel (gu),
  Adam Weinberger (en_CA), Slobodan D. Sredojevic (sr, sr@Latn),
  Priit Laes (et), Clytie Siddall (vi), Kjartan Maraas (no, nb),
  Josep Puigdemont i Casamajó (ca), Francisco Javier F. Serrador (es),
  Chao-Hsiung Liao (zh_TW, zh_HK), Funda Wang (zh_CN), Duarte Loreto (pt),
  Evandro Fernandez Giovanini (pt_BR)

Version 2.13.5
--------------

- Plural string fixes (#327106)
- Updated translations: Clytie Siddall (vi), Ankit Patel (gu),
  Gabor Kelemen (hu), Ivar Smolin (et), Takeshi Aihana (ja),
  Kjartan Maraas (no, nb), Chao-Hsiung Liao (zh_TW, zh_HK),
  Francisco Javier F. Serrador (es), Slobodan D. Sredojevic (sr, sr@Latn),
  Ignacio Casal Quinteiro (gl), Ilkka Tuohela (fi)


Version 2.13.4
--------------

- Disable xscreensaver on fullscreen mode (#326369)
- Correctly refresh image section for very small images (#317641).
  Patch from Felix Riemann.
- New delete confirmation dialog (#322884). Patch from
  Jaap Haitsma.
- Several code cleanups. Patches from Felix Riemann.
- Resize window according to the image dimensions (#323204)
- Add BackSpace accel for previous image action (#324088)
- Fix GTK+ dependency version. (#324149)
- Updated translations: Alan Horkan (en_GB), Clytie Siddall (vi),
  Ilkka Tuohela (fi), Abel Cheung (zh_TW, zh_HK), Josep Puigdemont
  i Casamajó (ca), Žygimantas Beručka (lt), Vincent van Adrighem (nl),
  Kjartan Maraas (no, nb), Ignacio Casal Quinteiro (gl), Theppitak
  Karoonboonyanan (th), Ankit Patel (gu), Alexander Shopov (bg),
  Adam Weinberger (en_CA)

Version 2.13.3
--------------

- Added Return accelerator for Next Image and Shift+Return
  and Shift+SpaceBar accelerators for Previous Image. (#322593)
  Patch from Jaap A. Haitsma <jaap@haitsma.org>
- Use one single function when changing single selection
  instead of six too similar ones. (#321395) Patch from
  Claudio Saavedra <csaavedra@alumnos.utalca.cl>)
- Icon now shown in about dialog. (#321665) Patch from
  Vincent Noel <vincent.noel@gmail.com>.
- Image information pane is disabled by default. (#313672)
- Other assorted bug fixes and code cleanups.
- Updated translations:
  Ankit Patel (gu), Alessio Frusciante (it), Miloslav Trmac (cs),
  Åsmund Skjæveland (nn),  Francisco Javier F. Serrador (es),
  Alexander Shopov (bg), Žygimantas Beručka (lt),Ales Nyakhaychyk (be),
  Takeshi AIHANA (ja), Adam Weinberger (en_CA), Funda Wang (zh_CN),
  Priit Laes (et), Ignacio Casal Quinteiro (gl), Kjartan Maraas (nb, no),
  Guilherme de S. Pastore (pt_BR), Theppitak Karoonboonyanan (th).

Version 2.13.2
--------------

- UI redesign. Fixes bugs #148643 and #320542. (Lucas Rocha)
  * Removed 'New Window' and 'Open Folder' from 'File' menu;
  * Removed 'New Window' and 'Open' items from toolbar;
  * Moved rotation toolbar items to the right edge;
  * Added Next/Previous button to toolbar for easy navigation
    through image collection;
  * Added 'Go' menu with Next/Previous/First/Last Image items;
  * Status shows the position of image within a collection,
    not the number the selected images;
  * Added 'Image Collection' item to 'View' menu to Show/Hide
    image collection pane;
  * Accelerators: Ctrl+PageDown and spacebar switches to the next
    image, Ctrl+PageUp switches to the previous image, Ctrl+Home
    switches to the first image, Ctrl+End switches to the last image,
    F9 shows/hides image collection pane, F5 starts slideshow.
- Fix crash when setting window icon. Fixes bug #320245.
  (Claudio Saavedra)
- Removed confirmation dialog when removing an image. Fixes
  bug #309046. (Lucas Rocha)
- Option to use an image as the desktop wallpaper. Fixes bug
  #140768. (Nirmal Kumar, Lucas Rocha)
- Page Up and Page Down scroll images up and down. Fixes bug
  #152364. (Lucas rocha)
- Several code cleanups. (Lucas Rocha, Paolo Borelli)
- Correct keys that cancel Fullscreen and Slideshow. (Lucas
  Rocha)
- On single and collection view, default focus on
  image. Fixes bug #169836. (Lucas Rocha)
- Make it possible to use '=' or '+' for zooming in. Fixes
  bug #320367. (Lucas Rocha)
- Added accelerators from numerical keypad for zooming in
  and out. Fixes bug #315183. (Felix Riemann)
- Make scrollbar buttons work in thumbnails pane. Fixes
  bug #124653. (Juan Carlos Inostroza)
- More coherent fullscreen/slide show behavior. Fixes
  bug #317392. (Lucas Rocha)
- Window icon is a thumbnail of the image. Fixed bug
  #311720. (Lucas Rocha)
- Use intuitive gnome-icon-theme icon for image viewer
  instead of EOG icon. Fixes bug #167087. (Lucas Rocha)
- Fix width of the information pane that was too small.
  Fixes bug #313674. (Ed Catmur)

Version 2.13.1
--------------

- Update window title when saving in another location.
  Fixes bug #318318. (Lucas Rocha)
- Asks to overwrite target file instead of source when 'Saving
  as'. Fixes bug #162627. (Lucas Rocha)
- Don't crash when removing images from a collection.
  Fixes bug #313003. (Lucas Rocha)
- No "Open in new window" option on save action. Fixes bug #318734.
  (Lucas Rocha)
- Add image/svg+xml to the list of supported file types.
  Closes bug #314566. (Lucas Rocha)
- Fix RGBA->RGB conversion when saving PNG images to JPEG.
  Fixes bug #314742. (Felix Riemann)
- Update "recent files" when viewing images. Fixes bug #316004.
  (Lucas Rocha)
- Ctrl+I keybinding to show/hide Image Properties bar.
  Fixes bug #307188. (Lucas Rocha)
- Fix crash when trying to view an image from recent list that
  doesn't exist anymore. Fixes bug #312448. (Lucas Rocha)
- Change X development libraries checking in build system
  to work on every platform. Fixes bug #317828. (Christophe Belle)
- Fix crash when adding new non-image files to a directory eog
  watches and when trying to view a PNG image with a JPEG extension.
  Fixes bugs #316808 and #311925. (Callum McKenzie)
- Translation Updates: Ivan Noris (sk)

Version 2.12.1
--------------

- Several bug fixes from Lucas Rocha: fixes a crash reading broken
  SVG files, fixes a crash when opening a symlink to an image,
  and properly updates the status bar on opening.
- Translation Updaes: Vladimir Petkov (bg), Mahay Alam Khan (bn),
  Miloslav Trmac (cs), Iñaki Larrañaga Murgoitio (eu), Ignacio
  Casal Quinteiro (gl), Alessio Frusciante (it), Christian Rose (sv),
  Clytie Siddall (vi)


Version 2.12.0
--------------

- Images opened with the sidebar enabled are now shown at 100% zoom
  with a correct window size. Bug #315189. (Ryan Lortie)
- Fixed a crashing bug while using arrow keys to navigate a
  directory. Bug #311086. (Lucas Rocha)
- Translation Updates: Vladimir Petkov (bg), Jordi Mallach (ca),
  Miloslav Trmac (cs), Rhys Jones (cy), Hendrik Richter (de),
  Kostas Papadimas (el), Stéphane Raimbault (fr), Gil Osher (he),
  Gabor Kelemen (hu), Mohammad DAMT (id), Young-Ho Cha (ko),
  Erdal Ronahi (ku), Žygimantas Beručka (lt), Michiel Sikkes (nl),
  Guilherme de S. Pastore (pt_BR), Duarte Loreto (pt), Mugurel
  Tudor (ro), Leonid Kanter (ru), Laurent Dhima (sq), Baris
  Cicek (tr), Maxim Dziumanenko (uk), Clytie Siddall (vi),
  Woodman Tuen (zh_TW)


Version 2.11.92
--------------

- Threading bug fix from Ross Burton.
- New Ukraininian translation of the manual.
- Translation Updates:
  Vladimir Petkov (bg), Jordi Mallach (ca), Miloslav Trmac (cs),
  Kostas Papadimas (el), Gabor Kelemen (hu), Žygimantas Beručka (lt),
  Guilherme de S. Pastore (pt_BR), Duarte Loreto (pt) , Mugurel
  Tudor (ro), Leonid Kanter (ru), Laurent Dhima (sq), Maxim
  Dziumanenko (uk), Woodman Tuen (zh_TW)


Version 2.11.90
---------------

- Bug fixes for dual-screen/multi-monitor display.
  (Davyd Madeley)
- ICC color profile support, requires the Little CMS library
  available at http://www.littlecms.com/ (Ross Burton)
- The thumbnail list of images is now updated dynamically
  based on filesystem changes. (Philip Van Hoof)
- Printing and print preview bugs have been fixed. (Philip Van Hoof)
- Many small bug fixes and UI changes.
- Translation Updates:
  Abdulaziz Al-Arfaj (ar), Vladimir Petkov (bg), Jordi Mallach (ca),
  Miloslav Trmac (cs), Martin Willemoes Hansen (da), Hendrik Richter
  (de), Nikos Charonitakis (el), Adam Weinberger (en_CA), David Lodge
  (en_GB), Francisco Javier F. Serrador (es), Priit Laes (et), Iñaki
  Larrañaga Murgoitio (eu), Meelad Zakaria (fa), Ilkka Tuohela
  (fi), Benoît Dejean (fr), Ignacio Casal Quinteiro (gl), Ankit
  Patel (gu), Rajesh Ranjan (hi), Gabor Kelemen (hu), Mohammad DAMT
  (id), Alessio Frusciante (it), Takeshi AIHANA (ja), Changwoo Ryu
  (ko), Žygimantas Beručka (lt), Terance Edward Sola (nb), Pawan
  Chitrakar (ne), Michiel Sikkes (nl), Åsmund Skjæveland (nn),
  Terance Edward Sola (no), Zuza Software Foundation (nso), Bartosz
  Kosiorek (pl), Guilherme de S. Pastore (pt_BR), Duarte Loreto
  (pt), Mugurel Tudor (ro), Leonid Kanter (ru), Steve Murphy (rw),
  Ivan Noris (sk), Laurent Dhima (sq), Игор Несторовић
  (sr), Christian Rose (sv), (tamil), Theppitak Karoonboonyanan (th),
  A. Alphan Bayazit (tr), Gheyret T.Kenji (ug), Maxim Dziumanenko
  (uk), Clytie Siddall (vi), Canonical Ltd (xh), Funda Wang (zh_CN),
  Woodman Tuen (zh_TW), Zuza Software Foundation (zu)


Version 2.11.0
--------------

- The status bar code has been reworked (Paolo Borelli)
- Preferences and Help dialogs now launch centered on the
  parent window. (Paolo Borelli)
- Some small fixes to the zoom UI (Paolo Borelli)
- Color picker button has been rewritten to use new Gtk API
  (Paolo Borelli)
- More UI fixes (Paolo Borelli, Dennis Cranston, Murali K.)
- Many bug fixes (Kjartan Maraas, Behdad Esfahbod)
- Portable to the Microsoft Windows platform (Tor Lillqvist)
- Translation Updates:
  Vladimir Petkov (bg), Martin Willemoes Hansen (da),
  Francisco Javier F. Serrador (es), Ivar Smolin (et),
  Ilkka Tuohela (fi), Ignacio Casal Quinteiro (gl),
  Terance Edward Sola (nb), Michiel Sikkes (nl),
  Terance Edward Sola (no), Ivan Noris (sk),
  Theppitak Karoonboonyanan (th), Gheyret T.Kenji (ug),
  Funda Wang (zh_CN), Woodman Tuen (zh_TW)

Version 2.10.2
--------------
- Translation Updates: Vladimir Petkov (bg), Ivar Smolin (et)
  Iñaki Larrañaga Murgoitio (eu), Ignacio Casal Quinteiro (gl)
  Gabor Kelemen (hu), Žygimantas Beručka (lt), Steve Murphy (rw)
  Clytie Siddall (vi), Canonical Ltd (xh), Woodman Tuen (zh_TW)

Version 2.10.0
--------------
- Translation Updates:
  Albanian (Laurent Dhima), Brazilian Portuguese (Guilherme de
  S. Pastore), Bulgarian (Vladimir Petkov), Canadian English (Adam
  Weinberger), Catalan (Jordi Mallach), Chinese Simplified (Funda
  Wang), Chinese Traditional (Woodman Tuen), Czech (Miloslav Trmac),
  Danish (Martin Willemoes Hansen), Dutch (Tino Meinen), English/GB
  (David Lodge), Estonian (Ivar Smolin), Finnish (Ilkka Tuohela),
  French (Benoît Dejean), German (Frank Arnold), Greek
  (Nikos Charonitakis), Gujarati (Ankit Patel), Hungarian (Gabor
  Kelemen), Indonesia (Mohammad DAMT), Italian (Alessio Frusciante),
  Japanese (Takeshi AIHANA), Korean (Changwoo Ryu), Lithuanian
  (Žygimantas Beručka), Macedonian (Tomislav Markovski), Norwegian
  (Kjartan Maraas), Norwegian (Kjartan Maraas), Polish (Bartosz
  Kosiorek), Portuguese (Duarte Loreto), Punjabi (Amanpreet Singh
  Alam), Romanian (Mugurel Tudor), Russian (Leonid Kanter), Serbian
  (Данило Шеган), Slovak (Ivan Noris), Spanish (Francisco Javier
  F. Serrador), Swedish (Christian Rose), Thai (Theppitak
  Karoonboonyanan), Turkish (A. Alphan Bayazit), Ukrainian (Maxim
  Dziumanenko), Xhosa (Canonical Ltd)

Version 2.9.0
-------------
- Support for bug-buddy auto version completion (Christoffer Olsen)
- Some critical bug fixes (James Henstridge, Jens)
- Preferences help (Vinay M R)
- Removing of eel dependency (Paolo Borelli)
- Show/hide image info view
- Translation Updates:
  Adam Weinberger (en_CA), Alexander Shopov (bg), David Lodge (en_GB),
  Dwayne Bailey (nso), Francisco Javier F. Serrador (es), Hendrik Richter
  (de), Kjartan Maraas (nb), Laurent Dhima (sq), Martin Willemoes Hansen
  (da), Miloslav Trmac (cs), Mohammad DAMT (id),

Version 2.8.1
-------------
- Documentation update
- File/directory chooser fix
- Removed quit from menu for consistency
- Recent files update
- More statusbar information
- Improved slideshow navigation
- Translation Updates:
  Abel Cheung (zh_TW, mk, de), Akagic Amila (bs), Alessio
  Frusciante (it), Arafat Medini (ar), Changwoo Ryu (ko),
  Danilo Šegan (sr), Jens Finke (cs), Jesus Bravo Alvarez (gl),
  Nikos Charonitakis (el), Paisa Seeluangsawat (th),
  Stanislav Visnovsky (sk)

Version 2.8.0
-------------
- Bug fixes
- Translation Updates:
  Adam Weinberger (en_CA), Alexander Shopov (bg), Arafat Medini
  (ar), Baris Cicek (tr), Changwoo Ryu (ko), Christian Rose (sv),
  Christophe Merlet (fr), Dafydd Harries (cy), Danilo Šegan (sr),
  David Lodge (en_GB), Estêvão Samuel Procópio (pt_BR), Francisco
  Javier F. Serrador (es), Gora Mohanty (or), Ilkka Tuohela (fi),
  Iñaki Larrañaga (eu), Jayaradha (ta), Jordi Mallach (ca),
  Kjartan Maraas (nb, no), Kostas Papadimas (el), Laszlo Dvornik (hu),
  Laurent Dhima (sq), Leonid Kanter (ru), Martin Willemoes Hansen (da),
  Miloslav Trmac (cs), Mugurel Tudor (ro), Peteris Krisjanis (lv),
  Roozbeh Pournader (fa), Takeshi AIHANA (ja), Vincent van Adrighem (nl),
  Åsmund Skjæveland (nn)

Version 2.7.1
-------------
- eog.desktop fix (Ray Strode)
- About icon added (Mason Kidd)
- Removed bonob dependencies
- Compile with new libexif (Grzegorz Golawski)
- Multiple string translation fixes
- Multiple bug fixes (slideshow, crasher)
- Translation Updates:
  Adam Weinberger (en_CA), Alexander Shopov (bg), Ankit Patel (gu),
  Artur Flinta (pl), Changwoo Ryu (ko), Christian Rose (bs, or),
  Danilo Šegan (sr), David Lodge (en_GB), Duarte Loreto (pt),
  Francisco Javier F. Serrador (es), Funda Wang (zh_CN), Gareth Owen
  (en_GB), Gora Mohanty (or), Guntupalli Karunakar (hi), Gustavo Maciel
  Dias Vieira (pt_BR), Hasbullah Bin Pit (ms), Jens Finke (de),
  Kjartan Maraas (nb, no), Laszlo Dvornik (hu), Laurent Dhima (sq),
  Martin Willemoes Hansen (da), Maxim Dziumanenko (uk), Miloslav
  Trmac (cs), Takeshi AIHANA (ja), Telsa Gwynne (cy), Tommi Vainikainen
  (fi), Vincent van Adrighem (nl), Åsmund Skjæveland (nn),
  Žygimantas Beručka (lt)

Version 2.7.0
-------------
- Kicked bonobo components. Eog is a monolithic program again.
- Display image info for single and collection view.
- Better metadata reader
- Speed improvements
- Use new GtkUIManager
- New icons for flipping transformations
- "Save As" function in collection view
- "Delete" function
- Translation Updates:
  Adam Weinberger (en_CA), Alexander Shopov (bg), Alexander Winston (en_CA),
  Christian Rose (tk), Christophe Merlet (fr), Est Samuel Proc io (pt_BR),
  Francisco Javier F. Serrador (es), Gareth Owen (en_GB), Gil Osher (he),
  Gustavo Maciel Dias Vieira (pt_BR), Jens Finke (de), Laurent Dhima (sq),
  Miloslav Trmac (cs), Pablo Saratxaga (wa), Pawan Chitrakar (ne),
  Vincent van Adrighem (nl)

Version 2.6.1
-------------
* General:
   - Fullscreen fixes for Xinerama (#137137)
* Translation Updates:
  Abel Cheung (zh_TW), Andras Timar (hu), Christian Rose (af),
  Guntupalli Karunakar (gu), Iñaki Larrañaga (eu), Pablo Saratxaga (wa),
  Samúel Jón Gunnarsson (is)

Version 2.6.0
-------------
* General:
   - Fileselector opens non local URIs (Seth Nickell)
   - Italian documentation update (Lucca Feretti)
* Translation Updates:
  Andras Timar (hu), Arafat Medini (ar), Baris Cicek (tr), Dmitry G.
  Mastrukov (ru), Gareth Owen (en_GB), Guntupalli Karunakar (pa),
  Stanislav Visnovsky (sk), Telsa Gwynne (cy)

Version 2.5.91
--------------
* Translation Updates:
  Abel Cheung (zh_TW), Alastair McKinstry (ga),
  Alexander Winston (en_CA), Dafydd Harries (cy), Dinesh Nadarajah (ta),
  Francisco Javier F. Serrador (es), Gustavo Maciel Dias Vieira (pt_BR),
  Leonid Kanter (ru), Maxim Dziumanenko (uk), Miloslav Trmac (cs),
  Robert Sedak (hr), Sanlig Badral (mn), Sayamindu Dasgupta (bn)

Version 2.5.90
--------------
* General:
   - Documentation updates (Breda McColgan)
   - Translation markup fix (Ole Laursen) - #119170
   - File Selection fixes (Jan Arne Peterson, Jonathan Blandford,
     Jens) - #128396, #135816
* Collection:
   - New busy icon, borrowed from nautilus. - #134981
   - Thumbnail layout fixes.
* Translation Updates:
  Alastair McKinstry (ga), Ales Nyakhaychyk (be),
  Alessio Frusciante (it), Changwoo Ryu (ko), Christophe Merlet (fr),
  Duarte Loreto (pt), Francisco Javier F. Serrador (es), Guntupalli
  Karunakar (hi), Jarkko Ranta (fi), Jordi Mallach (ca),
  Kjartan Maraas (no), Kostas Papadimas (el), Miloslav Trmac (cs),
  Mugurel Tudor (ro), Mətin Əmirov (az), Ole Laursen (da),
  Paisa Seeluangsawat (th), Priit Laes (et), Takeshi AIHANA (ja),
  Vincent van Adrighem (nl), Yuriy Syrota (uk), Žygimantas Beručka (lt)

Version 2.5.6
-------------
* General:
   - Updated documentation (Breda McColgan)
   - Typo fixes (Alessio Frusciante)
   - AIX compilation fixes
   - Recent files update
* Collection:
   - Marked forgotten string for translation (Danilo Šegan)
* Translation Updates:
  Artur Flinta (pl), Christian Rose (sv), Danilo Šegan (sr),
  Francisco Javier F. Serrador (es), Hasbullah Bin Pit (ms),
  Jarkko Ranta (fi), Jens Finke (de), Kostas Papadimas (el),
  Laurent Dhima (sq), Miloslav Trmac (cs), Takeshi AIHANA (ja),
  Åsmund Skjæveland (nn)

Versino 2.5.5
-------------
* General:
  - Don't force file selector window size.
* Collection:
  - Save scroll position in exif data, when switching images.
    Fixes #123463.
* Translation Updates:
  Alastair McKinstry (ga), Arafat Medini (ar), Changwoo Ryu (ko),
  Christian Rose (sv), Danilo Šegan (sr, sr@Latn), Francisco
  Javier F. Serrador (es), Hasbullah Bin Pit (ms), Laurent Dhima (sq),
  Mətin Əmirov (az), Nikos Charonitakis (el), Takeshi AIHANA (ja),
  Vincent van Adrighem (nl)

Version 2.5.4
-------------
* General:
  - Recent files update (Jason Leach)
  - Compile fixes - #131766 (German Poo Caaman~o)
  - Crash fix for filenames with ':' - #130726
  - Close file dialog on cancel in all cases - #131654
    (Balamurali Viswanathan)
* Collection:
  - Display name of the directory shown - #132263
  - Fixed memory leaks.
  - Mnemonic for "View as Image Collection" in Nautilus - #128796
   (Christian Neumair)
* Translation Updates:
  Changwoo Ryu (ko), Laurent Dhima (sq), Christophe Merlet (fr),
  Miloslav Trmac (cs), Takeshi AIHANA (ja), Kostas Papadimas (el),
  Robert Sedak (hr), Sanlig Badral (mn), Jens Finke (de),
  Artur Flinta (pl), Vincent van Adrighem (nl), Francisco Javier F.
  Serrador (es), Žygimantas Beručka (lt), Duarte Loreto (pt),
  Ole Laursen (da), Hasbullah Bin Pit (ms), Kjartan Maraas (no),
  Andras Timar (hu), Mətin Əmirov (az), Åsmund Skjæveland (nn),
  Danilo Šegan (sr)

Version 2.5.3
-------------
* General:
  - Preview of images in the fileselector if an thumbnail
    already exists.
  - 'eog *.jpg' works again and give you a nice collection view
  - Handle spaces in filenames.
* Translation Updates:
  Žygimantas Beručka (lt), Miloslav Trmac (cs), Francisco Javier
  F. Serrador (es), Taneem Ahmed (bn), Danilo Šegan (sr, sr@Latn),
  Robert Sedak (hr), Duarte Loreto (pt), Christophe Merlet (fr),
  Åsmund Skjæveland (nn), Laurent Dhima (sq), Jordi
  Mallach (ca), Roozbeh Pournader (fa), Kjartan Maraas (no),
  Artur Flinta (pl), Arafat Medini (ar)

Version 2.5.2.1
---------------
* General:
  - Intltool build fix (#130062)
* Collection:
  - Indicate modified images by bold caption
  - Better caption wrapping
* Translation Updates:
   Laurent Dhima (sq), Gustavo Noronha Silva (pt_BR),
   Takeshi AIHANA (ja), Miloslav Trmac (cs),
   Åsmund Skjæveland (nn), Duarte Loreto (pt),
   Artur Flinta (pl)

Version 2.5.2
-------------
* General:
  - Use new GTK file chooser (Jan Arne Petersen)
  - Compilation fixes (Kaushal Kumar)
  - Build fix (Thomas Vander Stichele)
  - Multiple save-issues fixed
  - Fullscreen mode crash fixed
  - 0-byte file issue fixed
* Collection:
  - Show only image files, which can actully loaded by GdkPixbuf
* Translation Updates:
  Jens Finke (de), Danilo Šegan (sr, sr@Latn), Francisco Javier
  F. Serrador (sp), Miloslav Trmac (cs), Kjartan Maraas (no),
  Changwoo Ryu (ko), Takeshi AIHANA (jp), Arafat Medini (ar),
  Vincent van Adrighem (nl), Laurent Dhima (sq), Kjartan Maraas (no)

Version 2.5.1
-------------
* General:
  - Support lossless saving of jpeg files (Jens)
* Collection:
  - Select last viewed slideshow image when returning from fullscreen
    (Jens) - #118617
* Viewer:
  - Display image file size (Jens)
  - Ask user before overwriting files (pasupathi.duraisamy@wipro.com)
    #119469
* Translation Updates:
  Laurent Dhima (sq), Paisa Seeluangsawat (th), Vincent van Adrighem
  (nl), Miloslav Trmac (cs), Žygimantas Beručka (lt), Danilo Šegan
   Šegan (sr), Ole Laursen (da), Jordi Mallach (ca), Kostas Papadimas
  (el), Francisco Javier F. Serrador (es)

Version 2.5.0.1
---------------
* General:
  - Cache recently loaded images.
  - Use exif loader from libexif >= 0.5.12.
  - Reworked image loading status cycle
  - Made fullscreen shortcut key F11 work on Solaris (Shivaram
    Upadhyayula, Jens) - #104805
  - Updated help (Breda McColgan)
* Collection:
  - Don't include auto-generated files in tarball - #125118
  - New model implementation (EogImageList)
  - Mem leak fix
  - Slideshow: automatic switching after user determined timeout.
  - Slideshow: determine upscale status for small images by config
    key.
* Shell:
  - Consider gconf key 'open_new_window' - #91189
  - Tool-/statusbar hiding (Kaushal Kumar, Jens) - #114231

* Translation Updates:
  Danilo Šegan (sr, sr@Latn), Åsmund Skjæveland (nn), Kostas Papadimas (el),
  KAMAGASAKO Masatoshi (ja), Jordi Mallach (ca), Vincent van Adrighem (nl),
  Hasbullah Bin Pit (ms)

Version 2.5.0 (changes since 2.4.0)
-------------
* General:
  - Better filename -> UTF-8 translation - #122671, #117838 (Jens,
    Hidetoshi Tajima)
  - configure switch to disable libexif support
  - Added X-GNOME-DocPath to .desktop file - #124196
* Collection:
  - Fixed crash on shutdown
  - Fixed crash when libexif is not available
  - Fixed duplicate size entries in info view
  - Update image infos on modification
  - Much better thumbnail layout
  - Mark status message for translation
  - Don't show frame around temporary icons
* Translation Updates:
  Pablo Saratxaga (wa), Gustavo Maciel Dias Vieira (pt_BR),
  Žygimantas Beručka (lt), toivo@linux.ee (et), Jordi Mallach (ca),
  Christian Rose (sv), Pablo Gonzalo del Campo (es),
  Vincent van Adrighem (nl), Danilo Šegan (sr), Jens Finke (de)

==== gnome-2-4 branch ====

Version 2.4.0
-------------
* General:
  - User documentation updates (Irene Ryan)
* Collection View:
  - Crash fixed on startup when not linking against libexif. (Jens)
* Translation Updates:
  Mugurel Tudor (ro), Jarkko Ranta (fi), Ivan Stojmirov (mk),
  Guntupalli Karunakar (hi), Pablo Saratxaga (vi)

Version 2.3.90
--------------
* Build fix - #120871 (William Jon McCann
* Translation Updates:
  Dafydd Harries (cy), Vincent van Adrighem (nl), Stanislav Visnovsky (sk),
  Pablo Gonzalo del Campo (es), Yuriy Syrota (uk)

Version 2.3.6
-------------
* General:
  - HIG dialog fixes - #117799 (Martin Kretzschmar)
  - Menu layout fixes - #117270 (Andreas KÃ¶hler)
  - Removal of debug messages/code (Jens)
  - Destroy "file does not exsit" dialog #117673 - (Andreas KÃ¶hler)
* Controls:
  - Wait until timeout before destroying control on last reference
    #118204 - (Gustavo Carneiro, Jens)
* Translation Updates:
  Vincent van Adrighem (nl), Duarte Loreto (pt), Kostas Papadimas
  (el), Francisco Javier Fernandez (es), Takeshi AIHANA (jp), Changwoo Ryu (ko),
  Dafydd Harries (cy), Pablo Saratxaga (vi), Christophe Merlet (fr),
  Laurent Dhima (sq), Evandro Fernandes Giovanini (pt_BR),
  Hasbullah Bin Pit (ms), Alessio Frusciante (it), Dmitry G. Mastrukov (be),
  Ole Laursen (da), Funda Wang (zh_CN), Metin Amiroff (az), Danilo
  Šegan (sr, sr@Latn), Jarkko Ranta (fi), Metin Amiroff (az),
  Kjartan Maraas (no), Abel Cheung (zh_TW), SamÃÂºel JÃÂ³n Gunnarsson (is),
  Sanlig Badral (mn)

Version 2.3.5
-------------
* General:
  - UI polishing
  - Documentation build fixes (John Fleck)
  - Don't show title on error dialogs
  - Unified copyright string - #101726 (Christian Neumair)
  - eog.desktop fixes (Jordi Mallach)
* Collection View:
  - Hide side panes on splitter mouse click
  - Draw frame around thumbnails
  - Arrange thumbnails better
  - Show scrollbars only if required (Andreas KÃ¶hler)
* Image View:
  - Window should be adapted to image size in all cases now - #114189
  - Show error dialog on I/O errors
* Translation Updates:
  Valek Filippov (ru), Andras Timar (hu), Vincent van Adrighem (nl),
  Dmitry G. Mastrukov (b), Pablo Saratxaga (wa), Metin Amiroff (az),
  Owain Green & Dafydd Harries (cy), Jens Finke (de), Christian Rose
  (sv), Jordi Mallach (ca), Miloslav Trmac (cs), Gil "Dolfin" Osher
  (he), Artur Flinta (pl)

Version 2.3.4
-------------
* SVG mime type fixes (Christian Schaller)
* Special support for JPEG images on save (preserves EXIF data,
  requires libjpeg)
* Function for saving modified images in a collection.
* Collection thumbnail creation/update fixes.
* Code cleanup
* GUI cleanup (before the freeze)
* Gconf keys cleanup
* Translation Updates:
  Christian Rose (sv), Jordi Mallach (ca), Takeshi AIHANA (ja),
  Christophe Merlet (fr), Sam?el J?n Gunnarsson (is), Dmitry
  G. Mastrukov (ru), Laurent Dhima (sq), Hasbullah Bin Pit (ms),
  Miloslav Trmac (cs), Vincent van Adrighem (nl), Taneem Ahmed (bn),
  Mohammad DAMT (id), Jens Finke (de), Gil "Dolfin" Osher (he), Ole
  Laursen (da), Artur Flinta (pl), Pauli Virtanen (fi).

Version 2.3.3
-------------
* Printing of images in image viewer (Lutz MÃ¼ller)
* Image Collection View:
   - Layout computation fix (Federico)
   - image rotation/flipping (Jens)
   - drag'n'drop source (Jens)
* Load/transform progress indication (Jens)
* Scheme type fixes (Abel Cheung)
* Build fix (Art Haas)
* Translation Updates:
  Christophe Merlet (fr), Takeshi AIHANA (ja), Paul Duffy (ga),
  Pablo Gonzalo del Campo (es), Danilo Danilo Šegan (sr@Latn),
  Paisa Seeluangsawat (th), Hasbullah Bin Pit (ms),
  Duarte Loreto (pt), Abel Cheung (zh_TW), Christian Rose (sv),
  Dmitry G. Mastrukov (be), Laurent Dhima (sq), Miloslav Trmac (cs),
  Christian Neumair (de), Jordi Mallach (ca), Kostas Papadimas (el),
  Vincent van Adrighem (nl), Evandro Fernandes Giovanini (pt_BR),

Version 2.3.2
-------------
Release skipped.

Version 2.3.1
-------------
* TIFF loading fixes - #109139 (Jens)
* Consider theme background (Jens)
* Code cleanup (Federico)
* List collection view in nautilus only if there are images in
  the directory (Alexander Larsson)
* Hide mouse cursor in fullscreen mode - #92184 (Jens)
* Added menu mnemonics - #107831 (Jens)
* More international help docs (Mike Lei)
* Collection view supports zoom interface (Jens)
* Recent files support (Jens)
* Scheme installation fixes (Bobby Kashani, Jens)
* Fullscreen image pre-load improvements (Jens)
* Translation updates:
  Jens Finke (de), Fatih Demir (ta), Laurent Dhima (sq), Miloslav
  Trmac (cs), Changwoo Ryu (ko)

Version 2.3.0
-------------
* Architectural changes (Jens)
* Build image collection component always
  (this is also usable in Nautilus as photo collection view) (Jens)
* Collection view shows the selected image in the top
  half of the window (Jens)
* Support for thumbnail management spec (Jens)
* Adaption to content size works better (Jens)
* Sticky zoom to fit (if you resize the window the image zoom will be
  adapted automatically) (Jens)
* Progressive image loading for remote or large files - #89831 (Jens)
* EXIF support in collection view (requires optional libexif) (Jens)
* Correct filename escaping - #105192, #95561, #104961 (Federico)
* Session recovery fixes - #108829 (Shivaram Upadhyayula)
* File selector improvements - #101888, #102116, #90767, #102117 (Jens)
* More HIG compatible - #106169, #100206 (Jens)
* Use 'Image Viewer' in .desktop entry - #100205 (Elle Uca)
* Require libeel (Federico)
* Compiler warning fixes - #108342 (Kelledin, Jens)
* Don't close preferences on ESC - #105720 (Jens)
* Updates of strings to translate - #99572 (Jens)
* GConf configure fixes - #106130 (Julio Merino)
* Translation Updates:
   Roozbeh Pournader (fa), FSF-India (ml),
   Metin Amiroff (az), Paul Duffy (ga),
   Belarusian team (be), Christophe Merlet (fr)

=============== Branch for Gnome 2.4 ================

Version 2.2.0
-------------
* Translation updates.

Version 1.1.4
-------------
* Translation updates.

Version 1.1.3
-------------
* Toolbar fix (Christian Neumaier)
* Translation updates.

Version 1.1.2
-------------

* Typo fixes. (Kjartan Maraas)
* Translation updates.

Version 1.1.1
-------------

* Typo fixes. (Kjartan Maraas)
* Documentation updates. - #91027 (Irene Ryan)
* URI handling fixes. (Jens)
* Don't depend on libgnomeprint until printing is working again. (Jens)
* Translation updates.

Version 1.1.0
-------------

* We don't crash anymore if the user doesn't have permissions to read
  a file - #85263 (Federico).
* The window is correctly sized upon startup, and you can shrink it
  again - #72352, #75713 (Jens).
* Nautilus will now display "Display as Image", which is better than
  "Display as EOG Image" - #73651 (Federico).
* Images now have a simple context menu - #75889 (Federico).
* We do the right thing to destroy the window list on File/Exit -
  #86469 (Federico).
* Filenames with percent signs in them are now handled correctly -
* #89372 (Federico).
* The File/Open dialog now displays a list of the supported image
  types - #85690 (Jens).
* Removed Tiles interpolation as it does not make sense for EOG. (Federico)
* Reworked preferences dialog and droped View menu settings. (Jens)
* Components are installed in $(libexec) (Michael).
* Restarted work on the collection component, currently disabled
  by default (Jens).
* No distorted view anymore when resizing an empty window. -
  #85927 (Jens)
* DnD into an empty window doesn't open a new window. (Jens)
* Load control ui xml file correctly (Ross Burton).
* Fullscreen now uses the whole screen again. (Jens)
* Better HIG compliance. (Jens)
* Rotating and flipping images - #68340 (Jens).
* New Latvian translation (Peteris Krisjanis).
* New Bulgarian translation (Borislav Aleksandrov).
* New Albanian translation (Laurent Dhima, Christian Rose).
* Lots of updated translations.

=========== Branch for Gnome 2.2 =================

Version 1.0.1
-------------

* We now display error dialogs if files that do not exist get passed
  through the command line - #84890 (Federico).
* Fixed a stupid bug that affected session management - #85216
  (Federico).
* Translation Updates

Version 1.0.0
-------------

* Fixed installation of locale files on Solaris - #83642 (Hidetoshi
  Tajima)
* Translation Updates

Version 0.119
-------------

* Updated the scrolling engine for GTK+ 2.0; it is nice and fast again -
  #82417 (Federico)
* EOG doesn't crash on exit anymore if you bring up the preferences
  dialog - #82426 (Federico)
* Session is saved and discarded correctly - #82603 (Federico)
* Re-added scroll wheel support - #79351 (Federico)
* Fixes for installation prefix - #83399 (Ross Burton)
* Opening an image in a window that already contains one will not screw
  up the image view size - #83233 (Federico)
* Prettified the About dialog (Federico)
* Misc. code cleanup (Federico)

Version 0.118
-------------

* include dir fix (Ronald Bultje, me)
* fix for save-session crash (me)
* reduced debug output  (Michael)
* accessibility support (Muktha Narayan, Federico)
* support for loading svg images (Jacob Berkman)
* zoom to fit does fit, #76406 (Federico)
* image saving fix, #76239 (Federico)
* preference dialog has help (Satyajit Kanungo, Federico)
* Updated translations:
  Pablo Saratxaga (vi, ca, wa),Duarte Loreto (pt), Kjartan Maraas (no),
  Stanislav Visnovsky (sk), Hector Garcia Alvarez (es),
  Christophe Merlet (fr), Ole Laursen (da), Abel Cheung (zh_TW),
  Zbigniew Chyla (pl), Christian Rose (sv), Hasbullah Bin Pit (ms)


Version 0.117
-------------

* no re-rendering on mouse moves, bug #72351 (fix has been in 0.116.1 already
  but wasn't announced yet) (Michael Meeks)
* session management fixes (Federico)
* image saving fixes, bug #77173 (Federico)
* bonobo_window_new adaptions (Murray Cumming)
* build fixes regarding broken libjpeg, bug #79010 (Federico)
* help topic menuitem added (Satyajit Kanungo)
* fullscreen fix, bug #73606 (Federico)
* Updated translations:
  Jarkko Ranta (fi), Ole Laursen (da), Changwoo Ryu (ko),
  Zbigniew Chyla (pl), Hasbullah Bin Pit (ms)


Version 0.116.0
---------------

* added mnemonics to preference dialog
* menu rearrangements to fit HIG better
* bigger default window size
* session management
* build fixes
* removed remaining uses of deprecated API
* fixed memory leak with preference dialog
* beautified preference dialog
* Updated translations:
  Christian Rose (sv), Jarkko Ranta (fi), Stanislav Visnovsky (sk),
  Abel Cheung (zh_TW),  Duarte Loreto (pt),  Kjartan Maraas (no),
  Fatih Demir (ta), Christophe Merlet (fr), Changwoo Ryu (ko),
  Zbigniew Chyla (pl), Hasbullah Bin Pit (ms), Jens Finke (de)


Version 0.115.0
---------------

* reworked user dialog when opening multiple files concurrently
* report loading errors to the user through a dialog
* reworked preferences dialog
* Updated translations:
  Ole Laursen (da), Zbigniew Chyla (pl), Hasbullah Bin Pit (ms),
  Jens Finke (de), Roy-Magne Mo (nn), Wang Jian (zh_CN),
  Valek Filippov (ru), Jarkko Ranta (fi)

Version 0.114.0
---------------

* zooming fixes
* memory leak fixes
* documentation fixes (John Fleck)
* don't ask for collection component when there are
  multiple files on the command line
* link with popt explicitly (Laszlo Peter)
* save preference settings through gconf
* updated translations:
  Valek Filippov (ru), Stanislav Visnovsky (sk), Zbigniew Chyla (pl),
  Hasbullah Bin Pit (ms), Ole Laursen (da), Takayuki KUSANO (ja),
  Kjartan Maraas (no), Jarkko Ranta (fi)

Version 0.113.0
---------------

* fixed statusbar updates
* merged most of the ChangeLogs into a single one (Federico)
* check for required library versions on configure
* don't crash on non-image files (bug #72228)
* integrate smoothly with nautilus (bug #72069)
* use gtk stock icons
* updated translations:
  Ole Laursen (da), Kjartan Maraas (no), Jens Finke (de),
  Wan Jian (zh_CN)

Version 0.112.0
---------------

* fixed display flickering when zooming (Jens)
* removed features which won't be ready
  within the Gnome2 timeframe:   (Jens)
    - evolution & gnocam configure options
    - printing support
* eog.desktop updates for Gnome2 (Jens)
* build fixes for Forte CC (Laszlo Peter)
* disable properites menu item when
  no component is loaded (Jens)
* fixed all remaining places where
  strings aren't marked as translatable (Jens)
* some code cleanup (Jens)
* Updated translations:
  Zbigniew Chyla (pl), Cristian Rose (sv), Duarte Loreto (pt)
  Ole Laursen (da)

Version 0.111.0
---------------

* setup eog-image-viewer component for translation (Jens)
* removed decorations on fullscreen mode (Jens)
* fixed image saving (Jens)
* fixed all the remaining issues where strings don't get translated (Jens
* Updated translations:
  Abel Cheung (zh_TW), Takayuki KUSANO (ja)

Version 0.110.0
---------------

* Better integration with Nautilus (Michael Meeks)
* autoconf 2.5x build fix (Havoc Pennington)
* bind_textdomain fixes (Shingo Akagaki)
* Bonobo reference leak fixes (Jens)
* Resize window to image on opening (Jens)
* Drag'n'drop fixes (Jens)
* Re-enabled preference settings  (Jens)
* gconf schema installation fixes (Jens)
* Code cleanup & compile warning fixes (Jens)
* New/updated translations:
  Christophe Merlet (fr), Ole Laursen (da), Duarte Loreto (pt),
  Zbigniew Chyla (pl),Stanislav Visnovsky (sk), Roy-Magne Mo (nn),
  Jarko Ranta (fi), Vincent van Adrighem (nl), Kjartan Maraas (no),
  Chrisitan Rose (sv), Hasbullah Bin Pit (ms)


=========== 0.11x.0 versions are for Gnome 2 ======================

Version 0.6
-----------

* There's a totally new Bonobo component which uses the core EOG
  code to display things (Martin, Michael). The old component has
  been moved into Nautilus.

* Requires Bonobo 0.35, GConf 0.12, gnome-print 0.25 and OAF 0.6.2.

Version 0.5
-----------

* You can now drag a bunch of filenames into a window and EOG will
  open them for you (patch from Juan Pablo Mendoza).

* Introduced a maximum zoom factor so that the gdk-pixbuf scaling
  functions are happy (Federico).

* Fixes to the documentation installation procedure (Federico).

Version 0.4
-----------

* Requires libglade stable and GConf 0.8.

* We now have a wonderful user's manual courtesy of Eliot Landrum.
  This guy deserves a beer.

* Greatly enhanced the scrolling engine.  Now it is fast and nice.  It
  also supports a two-pass scrolling mode which is useful for slow
  machines when scrolling zoomed images (Federico).

* New full screen viewing mode.  Look at your images on the big
  screen! (Federico)

* We support wheel mice; you can use the wheel for zooming (Federico).

* Windows can adjust their size and zoom factor automatically when
  opening new images (Federico).

* New preferences dialog and a slew of options to tinker
  with (Arik, Federico).

* The Bonobo part can now use OAF instead of GOAD (Maciej).

* Plenty of Bonobo work (Michael, Iain, Maciej).

* Miscellaneous UI polishing (Federico).

* New and updated translations (Fatih, Pablo, Rasta, Kjartan, JesÃºs,
  Zbigniew, Yukihiro, Christopher, Andreas, Jarkko, Valek, Gergo,
  Ville, Yuri, Kusano, Kenny, Kai, George, Matthias, Federico).

Version 0.3
-----------

* Requires gdk-pixbuf 0.7, gnome-print 0.18, bonobo > 0.9.

* The old canvas-based rendering engine is gone.  We now have a custom
  rendering engine using gdk-pixbuf's fast scaling functions (right
  now only bilinear interpolation is supported, but that will change).
  Zooming and scrolling can be interrupted by the user at any time,
  leading to a smoother user interface experience (Federico).

  Scrolling is not finished, look at the TODO list to see what is
  missing.  The final scrolling support will be in the next version.

* Image windows now display the filename and image size in the title
  (Miguel, Federico).

* Many enhancements to the Bonobo component (Michael).

* RGBA print support for the Bonobo component (Michael).

* We now install an eog.desktop file and a cool icon (Tuomas).

* Many new and updated translations (Ville, Jarkko, Pablo, Dan, Gergo,
  Alastair, Tomasz, Richard, Yuri, Matthias, Sergey, Fatih, Dennis,
  Christopher, George, Lauris, Vincent, Simos, Kjartan).

Version 0.2
-----------

* Requires gdk-pixbuf-0.3.  Uses the new gdk-pixbuf API.

* Added "hand" scrolling.  Performance sucks due to limitations in
  GtkLayout and the GNOME canvas.  These will be fixed shortly.


Version 0.1
-----------

This is the first public release of the Eye of Gnome.  It is *far*
from complete, but is stable and usable enough to work as a small and
fast image viewer.

Features in this release:

- Opening multiple images at once in different windows.

- Fast zooming and scrolling, while keeping memory usage constant.

- Opening multiple images from the command line.
